Introducing VMware Workstation

VMware Workstation allows operating systems and applications to run inside virtual machines. Virtual machines are discrete environments that run independently of the host machine's operating system. Within VMware Workstation, you can launch a virtual machine inside of a window that can run its own operating systems and applications. You can switch between multiple virtual machines running on your desktop, share virtual machines over a network (such as a corporate LAN), suspend and resume virtual machines, and exit virtual machines -- all without affecting the operation of your host machine and any operating system or applications it is running.

For example, if you're a developer who needs to test in Windows NT -- plus Windows 3.1, Windows 98, Windows 2000 and Linux -- you can do it with VMware Workstation. You can create a whole set of virtual computers, and run them simultaneously from a single machine -- without rebooting.

VMware Workstation is used for many different purposes. It can be used to test new operating system or application environments, deploy new operating systems to users, share configured environments during educational seminars, and so on.

VMware products are built on our patent-pending MultipleWorlds™ technology. This is a thin software layer that sits between Intel architecture computer hardware and the operating system, virtualizing the hardware and managing all hardware resources. MultipleWorlds technology takes the principles of classic virtual machine technology -- and combines them with advanced virtual networking and system and resource management technologies.

The physical computer where you install the VMware Workstation software is called the host computer, and its operating system is called the host operating system. The operating system running inside a virtual machine is called a guest operating system.

Related links:

  • Glossary
  • System requirements

Back to top

© 2001 VMware, Inc. All rights reserved.


About This Version of VMware Workstation Help

In this release of VMware Workstation, we have greatly expanded the number of topics available in Help, as well as provided more details about how to use the product.

However, there is still a lot more work to be done with the Help documentation. A number of Help files contain only the following message:

    More information to be provided in a future release.

Also, a number of Help files are not yet completely accurate with respect to the various improvements made to the user interface and general function of this release of VMware Workstation.

If you wish, you may file an incident report about problems you find with this version of the Help documentation (or any other issue with this version of VMware Workstation) by going to the VMware Workstation Technical Support Incident Login Page on our Web site.

Additional documentation about this version of VMware Workstation is also available on the Web at http://www.vmware.com/support/ws3/doc/.


Problems with a serial number

More information to be provided in a future release.


Uninstalling VMware Workstation

More information to be provided in a future release.


Lock files used by virtual machines

A running virtual machine tries to create lock files to prevent consistency problems on disks. If the virtual machine did not use locks, multiple virtual machines might read and write to the disk, causing users to lose data.

Lock files are always created in the same directory as the .vmdk or .pln file. There are two types of lock files: reader and writer. A nonpersistent disk is protected by reader lock files, while persistent and undoable disks use writer lock files. A disk protected by a writer lock file can be accessed by only one virtual machine. A disk that has reader lock files can be read by more than one virtual machine but cannot be written to. The extents of a plain disk are individually locked, using the same method.

A virtual machine will remove lock files it created when the virtual machine is powered off. If it cannot remove the lock, a stale lock file will be left protecting the .vmdk or .pln file. For example, if the machine crashes before the virtual machine has a chance to remove its lock file, there will be a stale lock.

If a stale lock file remains when the virtual machine is started again, the virtual machine will try to remove the stale lock. To make sure that no virtual machine could be using the lock file, the virtual machine checks the lock file to see if:

  • The lock was created on the same host where the virtual machine is running
  • The process that created the lock is not running

If those two conditions are true, the virtual machine can safely remove the stale lock. If either of those conditions are not true, a dialog will be shown explaining what the user can do about the lock.

Raw disk partitions are also protected by locks. However, if the host operating system is installed on the same raw disk that the virtual machine is using, the locks are ignored. VMware strongly recommends that the raw disk for the virtual machine not be installed on the same raw disk as the host operating system for this reason.


Finding the VMware Product Build Number

VMware products use unique build numbers for each release. To identify the build number of the release, choose the About VMware Workstation option from the Help menu (Help > About VMware Workstation).

VMware Tools have a separate build number. To identify the build number of the VMware Tools release:

  • When running VMware Tools in a Windows virtual machine, double-click the VMware Tools icon (generally in the system tray at the end of the taskbar). The build number appears on the 'VMware Tools' tab.
  • When running VMware Tools or VMware Tools for FreeBSD in a Linux or FreeBSD virtual machine, choose the About option from the VMware Tools Help menu (Help > About).


Configuration Editor

The Configuration Editor is used to configure a virtual machine. The Configuration Editor can modify an existing virtual machine configuration; for example, one created by the New Virtual Machine Wizard.

If you wish to use the Configuration Editor to edit an existing virtual machine configuration, use File > Open to open the virtual machine configuration file (.vmx) then use Settings > Configuration Editor to edit it. All configuration options may be modified when a virtual machine is powered off. Some configuration options may be modified while a virtual machine is powered on; for example, removable devices and Power On/Off and Suspend parameters.

After making changes in the Configuration Editor, you have two choices:

  • OK. Click OK to apply your changes and leave the editor.
  • Cancel. Click Cancel to leave the Configuration Editor without modifying your configuration.

Use Power > Power On to start the virtual machine.

Related Topics:

  • New Virtual Machine Wizard
  • Configuring a virtual machine
  • Creating a new virtual machine with the Configuration Editor


Installing a guest operating system into a virtual machine

You can run different operating systems on one computer at the same time using virtual machines -- without affecting the host system. Each operating system is installed in a virtual disk file -- therefore, there is no need to repartition the real system disk. This is possible because Workstation does not require one-to-one mapping of an operating system with a hardware environment. When you are finished with the operating system, you can discard the virtual machine disk.

Once you have installed Workstation, and configured its memory, disks and networking, you are ready to install a guest operating system into it. To do so, you power on the virtual machine with the operating system installation disk in your CD-ROM or floppy drive. The virtual machine will boot and the operating system will start in its normal installation procedure within the virtual machine window.

You cannot install an operating system into a virtual machine if you only have an upgrade package for the OS.

Supported Guest Operating Systems

The operating systems listed here have been tested in Workstation virtual machines and are officially supported.

Other operating systems designed for Intel-based PCs may work, as well.

Microsoft Windows

  • Windows XP Home Edition
  • Windows XP Professional
  • Windows 2000 Professional
  • Windows 2000 Server
  • Windows 2000 Advanced Server
  • Windows NT (version 4.0 with Service Pack 3, 4, 5, and 6a for both Workstation and Server)
  • Windows Me
  • Windows 98
  • Windows 95
  • Windows for Workgroups
  • Windows 3.1

MS-DOS (MS-DOS version 6 is supported.)

Linux. The following types of Linux operating systems are supported:

  • Linux-Mandrake 8.0
  • Red Hat 5.x, 6.x, 7.0 and 7.1
  • SuSE Linux 5.3, 6.x, 7.0, 7.1 and 7.2
  • Caldera OpenLinux 1.3, and 2.x
  • TurboLinux 6.0
  • Corel Linux OS 1.0, 1.1 and 1.2

FreeBSD. The following versions of FreeBSD are supported:

  • FreeBSD 2.2.x and 3.x

To check the updated list of supported and unsupported operating systems, you can go to this URL: http://www.vmware.com/support/ws3/doc/guest_list_ws_win.html

Related Topics:

  • Installing Windows 2000
  • Installing Windows NT
  • Installing Windows 98
  • Installing Windows 95
  • Installing DOS or Windows 3.x
  • Installing Red Hat Linux
  • Installing SuSE Linux
  • Installing OpenLinux
  • Installing FreeBSD
  • Installing VMware Ready-to-Run OSs
  • Installing applications in a guest operating system
  • Enabling sound from the virtual machine
  • Enabling networking after installation
  • Configuring SCSI devices in the guest operating system
  • Installing a guest operating system onto a raw disk partition


Configuring a virtual machine

Before you can run a virtual machine, you must configure it. You can create your virtual machine configuration using either the New Virtual Machine Wizard or the Configuration Editor. If you are a new user, it is recommended that you use the New Virtual Machine Wizard to set up a virtual machine. You can edit your virtual machine configuration using the Configuration Editor.

The set of configuration parameters for each virtual machine is stored in a configuration file (.vmx ). You can modify the configuration of a virtual machine while it is powered off. Certain configuration options may be modified while a virtual machine is powered on. For example, removable devices and other similar parameters.

Related Topics:

  • Selecting a known state
  • Configuring automation properties
  • Configuring the display
  • Configuring the memory
  • Running with debugging information
  • Choosing a directory for logs
  • Setting priority for processes
  • Determining when input will be grabbed
  • Adding virtual drives to a virtual machine
  • Configuring devices for a virtual machine
  • Choosing the display name for the virtual machine
  • Choosing the guest operating system for the virtual machine
  • Hiding the type of read-only partitions


Configuring the automation properties of a virtual machine

You can use the Configuration Editor to set automation properties for your virtual machine.

To do so:

  • Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  • Select Settings > Configuration Editor.
  • Click the Options panel .
  • Under "Power options" , select the options you wish to enable, then click OK to apply your changes.

The automation properties that can be set for a virtual machine are described in the following table.

Option | Description
Power on after starting the application . | Check this option if you want the virtual machine to automatically power on after Workstation is started. If you choose this option, you will not have an opportunity to modify configuration options for the virtual machine prior to starting it. If you do not choose this option, you will need to click Power On to start the virtual machine.
Enter full screen mode after powering on . | Check this option if you want the virtual machine to automatically expand to use the full screen after it is powered on.
Use APM features of guest OS when suspending | Check this option if you want to suspend the virtual disk using Advanced Power Management (APM).
Exit the application after powering off . | Check this option if you want to exit Workstation automatically after powering off the virtual machine.


Running a virtual machine with debugging information

You can run a virtual machine with debugging information that will be helpful to VMware technical support in resolving issues.

To turn debugging mode on:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor.
  3. Click the Options panel .
  4. Under "Debug options" , select the 'Debug monitor' option , then click OK to apply your changes.


Problems with your graphical display

The following table lists problems you might encounter with graphical display within virtual machines, and suggests solutions for resolving the issues.

Problem

Resolution

The display becomes blank or distorted upon switching the virtual machine to full screen mode.

Depending on the virtual machine's resolution and color depth, some monitors will not be able to display properly at the default refresh rate. If you experience this problem, lower the refresh rate by following these steps:

  1. Select Settings > Preferences from Workstation.
  2. Click the Display panel.
  3. Select a lower value from the "Full Screen Refresh" field.
  4. Click OK.

The display in the guest operating system has black or white blocks after installing VMware Tools.

This is a known problem for host systems running Windows NT and Windows 2000. To work around this problem, select View > AutoFit from Workstation.

If this action does not solve the problem, please file an incident report at http://www.vmware.com/fileincident. Be sure to indicate that you have already tried the suggested workaround.

Red and yellow lines sometimes appear in application software toolbars and menus.

More information to be provided in a future release.

When running X in a Linux guest operating system, the following warning message appears: Your X11 server lacks DPMS support.

DPMS, or Display Power Management System, is a facility used by X servers for automatically powering down or blanking the computer's display. This functionality is not supported in a virtual machine. However, some applications enable DPMS by default (including the KDE desktop).

To avoid receiving this warning message, be sure that DPMS is turned off in the guest operating system. In KDE, follow these steps to turn off DPMS:

  1. Open the KDE Control Center.
  2. Expand the Desktop node.
  3. Click DPMS.
  4. Deselect the "DPMS Enabled" option.

A DirectDraw application will not run inside a virtual machine.

VMware products provide very limited support for DirectDraw through the Hardware Emulation Layer (HEL) in DirectDraw. Many DirectDraw applications will not run in a virtual machine.

Microsoft Windows 95, Windows 98, and Windows NT's DirectDraw implementation can emulate DirectX/DirectDraw support for a device that does not support DirectDraw (such as VMware's virtual SVGA adaptor). This is enabled in the HEL within DirectDraw. This emulation may, however, be slow or unreliable.

A Direct3D graphics program will not run inside a virtual machine.

VMware products do not support Direct3D graphics for virtual machines. Therefore, applications that require this feature will not run inside a virtual machine, even if they install without errors.

A pop-up message appears and Workstation fails to start.

Workstation 3.0 supports host graphics display depths of 8 bits (256 color), however it has problems powering on Windows 2000 and Windows XP virtual machines that are set to this display depth.

To solve this problem, follow these steps on Windows:

  1. Select Start > Control Panel.
  2. Double-click the Display icon.
  3. Click the Settings tab.
  4. Choose a display depth that is greater than 256 colors.
  5. Click Apply and OK.
  6. Rerun Workstation.

Note: Depending on your display adaptor's available memory, it may be necessary to decrease the Desktop Area to use more than a 256-color palette.

Applications in Windows NT or Windows 2000 operating systems are sized for the resolution that is specified in the virtual machine's guest operating system.

If the host and guest operating systems have different screen resolutions, Workstation updates the host operating system screen resolution to that of the guest operating system when Workstation enters full screen mode.

Likewise, Workstation restores the original host operating system screen resolution when it transitions out of full screen mode back to windowed mode.

Therefore, when Workstation enters full screen mode, applications already running in the host operating system that adjust on screen resolution changes may resize themselves.

VMware has observed that these applications may not resize themselves when Workstation leaves full screen mode. Additionally, there is a race condition that may occur if Workstation launched at the same time as an application in the host operating system. If an application starts concurrently on the host operating system and checks the screen resolution after Workstation has updated it, the application in the host operating system may be sized and positioned incorrectly.


Configuring the display of a virtual machine

You can configure the virtual machine to enhance the display of the contents of the virtual screen. For full screen mode, you can set the vertical refresh frequency of the virtual machine's display when it is in full-screen mode. >> More details

To set this option:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Preferences.
  3. Click the Display panel.
  4. Select your desired vertical refresh frequency (in Hz) from the "Full Screen Refresh Frequency" field.
  5. Click OK.

Related Topics:

  • Setting the vertical refresh frequency for a virtual machine
  • Problems with your graphical display


Full screen refresh frequency

For full screen mode, you can set the vertical refresh frequency of a virtual machine's display when it is in full-screen mode.

The default refresh rate is the highest rate supported by your computer. On older displays and some laptop computers, using rates of 75Hz or higher can result in a black screen when transitioning to full screen mode. Likewise, when the host display driver is configured incorrectly, operating at 75Hz can result in problems. If this situation occurs, lower the refresh rate.

Related Topics:

  • Configuring the display of a virtual machine


Selecting a display name for the virtual machine

You can choose the name that will be displayed for a virtual machine when you initially create a virtual machine configuration. You can use the Configuration Editor to change it later.

To change the display name for a virtual machine:

  1. Select Settings > Configuration Editor.
  2. Click the Options panel .
  3. Under "Display name", enter the name you wish to use, and then click OK to apply your changes.

Related Topics:

  • Configuring a virtual machine


Selecting a Guest Operating System

You choose the guest operating system that will run in the virtual machine. You can use the Configuration Editor to do so.

To choose the guest operating system for a virtual machine:

  1. Select Settings > Configuration Editor.
  2. Click the Options panel .
  3. Under "Guest operating system" , select the operating system you wish to use, and then click OK to apply your changes.

The guest operating systems listed in the drop-down list box are those supported for use in VMware Workstation.

Select the operating system from this list that is closest to the operating system you are going to install in the virtual machine. Guest operating systems that are not listed may also run but may not be officially supported for use in VMware Workstation. If you choose to install an unsupported guest operating system, choose the Other option.

Note: It is generally not possible or advisable to run the host operating system again inside the virtual machine. Doing so may cause the host system to crash and possibly cause disk corruption if two operating systems attempt to concurrently use the same disk partitions.

Related Topics:

  • Configuring a virtual machine


Choosing a log directory

When you run a virtual machine on a disk that uses undoable mode, Workstation stores all writes to the disk in a temporary file (.REDO) on the host file system for the duration of the session. When the virtual machine is powered down, you have the choice to:

  • Permanently apply all changes to the disk
  • Discard the changes, thus restoring the disk to its previous state
  • Keep the changes so that further changes from future sessions can be added to the log

You can choose the location where these REDO logs are stored. By default, the REDO logs are stored in the same directory as the .vmdk file that contains the virtual machine configuration. (Except that REDO logs for plain disks are stored by default in the same directory as the .pln file). The log file for a virtual disk called filename is called filename.vmdk.REDO.

Note: If you have a disk on a remote file system, you may see disk performance improvements from storing the REDO logs on a local file system.

To set the location for the REDO logs:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor.
  3. Click the Options panel .
  4. Next to the "Undoable disk folder" field, click Browse and locate the directory where you want to store the REDO logs.
  5. Click OK.

Related Topics:

  • Lock files used by virtual machines


Configuring the memory allocated to a virtual machine

The default memory size for a virtual machine varies based on the guest operating system configured for the virtual machine. Depending upon the kinds of applications you are running in the virtual machine, the other virtual machines that will be contending with this virtual machine for memory resources, and the applications you are running on the host operating system, you may want to change the amount of memory allocated to this virtual machine. You can change the memory size in the Configuration Editor.

To configure the memory for a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor.
  3. Click the Hardware panel.
  4. Select Memory from the list of devices.
  5. In the "Guest size (MB)" field, enter the total memory (in megabytes) that you want to assign to this virtual machine.
  6. If you want to disable memory limits for this virtual machine, deselect the Enable memory limits option.
  7. Click OK.

Memory size is restricted to multiples of 4 megabytes. The maximum possible size is based on the amount of physical memory on the host. Unless you disable the 'Enable memory limits' option, you are not allowed to set the virtual machine's memory size to the total size of host memory because the host requires some memory to operate properly. To ensure smooth overall performance, you should not run a virtual machine whose memory requirements exceed that of the host and other applications.

Warning: When selecting the memory size, be careful not to assign too much memory to a virtual machine because it can adversely affect the performance of other applications on the host, including other virtual machines. In particular, host operating systems do not behave well when they run low on free memory.

Related Topics:

  • Setting the memory reserved for all running virtual machines
  • Memory contention between the host and its virtual machines


Configuration Editor Options

Information not available in this release.


Setting priority for processes within an individual virtual machine

Workstation sets the default priority for virtual machine processing as Normal -- Normal. This means that the processes within the virtual machine contend equally for resources with all other processes and virtual machines running on the host. >>More about processing priorities

To change the priority of Workstation processes within an individual virtual machine:

  1. Select Settings > Preferences from Workstation while the virtual machine is powered off.
  2. Click the Priority panel.
  3. Under "Local Setting", select the priority you want to assign to processes running within the virtual machine.
  4. Click OK.

You can also set the priority of this virtual machine directly from Workstation by selecting Settings > Local Priority and choosing the desired priority level.

Related Topics:

  • Setting processing priority for all virtual machines
  • Processing priorities that can be assigned to virtual machines


Configuring the disk mode for a virtual machine

Workstation affords you greater control by enabling you to choose the mode in which it manages the changes to the state of a virtual machine. When you initially create a virtual machine, you choose one of three disk modes: Persistent, Nonpersistent, and Undoable. You can change this setting at any time with the Configuration Editor.

To change the disk mode for a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor.
  3. Click the Hardware panel.
  4. Select the virtual disk from the list of devices.
  5. Make a selection under "Mode": "Persistent", "Nonpersistent: Discard changes after powering off", or "Undoable: Ask to save changes after powering off". >>More information on disk modes
  6. Click OK.

Related Topics:

  • Disk modes for managing the state of a virtual machine


Configuring a virtual disk

You can configure settings for a virtual disk when its virtual machine is powered off. To do so:

  1. Power off the virtual machine.
  2. Select Settings > Configuration Editor from Workstation.
  3. On the "Hardware" panel, select the virtual disk from the list of devices.
  4. On the right-hand side, you can change the following settings:
    • The disk file used to save the contents of the virtual machine.
    • The disk mode used for the virtual disk.
    • The virtual device node used for the virtual disk.:
    • Whether or not write caching is enabled for the disk.

Related Topics:

  • Disk modes that can be used for virtual disks
  • Adding a new virtual disk to a virtual machine


Setting the default directory path for new virtual machines

You can select the default directory path that Workstation will use when creating all new virtual machines. >>More information about the default directory for a virtual machine

To set the default directory path for new virtual machines:

  1. Select Settings > Preferences.
  2. Click the Workspace panel.
  3. Under "Default Path for Virtual Machines", provide a new path using one of these methods:
    • If you want to use an existing directory, click Browse and select the directory you want to use for new virtual machines.
    • If you want to create a new directory, type in a path and directory in the field provided, and click Create.
  4. Click OK.


Disabling memory checks for virtual machines

By default, virtual machines perform checks to ensure that enough free memory is left to the host machine to continue to operate efficiently. You can disable these memory checks to:

  • Allow a virtual machine to run when it is configured with more memory available on the host
  • Allow a virtual machine to exceed the amount of memory allocated to all running virtual machines

Warning: Disabling either of these memory checks can result in poor performance for both the host operating system and guest operating systems. Disabling memory checks can also result in system crashes, low memory warnings, or processes in the host abnormally terminating.

To disable memory checks performed by virtual machines:

  1. Select Settings > Preferences .
  2. Click the Memory panel.
  3. Deselect the Enable memory limits option if you want to allow virtual machines to exceed the amount of memory reserved for them.
  4. Click OK.

You can also disable memory checks for an individual virtual machine by deselecting the Enable memory limits option using the Configuration Editor.

Related Topics:

  • Setting the maximum memory allocated to virtual machines


Determining when input will be grabbed

You can control how input is grabbed from virtual machines. To do so:

  1. Start VMware Workstation.
  2. Select Settings > Preferences.
  3. Select the options you want to enable on the "Input" panel. These options are described below.
  4. Click OK.
Option | Behavior
Grab keyboard and mouse input on mouse click | When you click the mouse inside the virtual machine, Workstation will begin grabbing the keyboard and mouse input.
Grab keyboard and mouse input on key press | When you hit a keyboard key when the virtual machine is active, Workstation will begin grabbing the keyboard and mouse input.
Grab when cursor enters window | Workstation grabs the keyboard and mouse when the cursor crosses over into the virtual machine. When this option is enabled along with the Ungrab when cursor leaves window option, the mouse pointer becomes the mouse pointer of your guest operating system when it crosses into Workstation.
Raise window to top on grab | Workstation sets the focus of the application when the cursor passes over the application view.
Ungrab when cursor leaves window | Workstation enables you to transition seamlessly between the virtual machine and your host operating system graphical interface. In a windowed environment, the mouse pointer becomes the mouse pointer of your host operating system when it hits the edge of Workstation. Note: This option only has effect when VMware Tools is running in the virtual machine.
Hide cursor on ungrab | The mouse pointer of the guest operating system is hidden when the mouse is controlling the pointer of the host operating system, and vice versa. This is particularly useful when your guest operating system and host operating system are identical. Note: This option only has effect when VMware Tools is running in the virtual machine.
Scroll when cursor approaches window edge | If your virtual screen is larger than Workstation can display it, then Workstation will only display a part of the virtual screen. To see the rest of the screen, you will need to use scroll bars to move the viewable part of the virtual screen. When this option is enabled and Workstation is in a windowed mode, the virtual screen automatically scrolls the Workstation window when the mouse pointer nears the edge of the viewable portion of the virtual screen. Note: This option only has effect when VMware Tools is running in the virtual machine.
Enable copy and paste to and from virtual machines | The host operating system clipboard and the guest operating system clipboard are able to communicate. Each time the mouse pointer of your guest operating system is released by Workstation, the content of the guest operating system clipboard is copied into the host operating system clipboard. Similarly, each time the mouse pointer of your host operating system is captured by Workstation, the content of the host operating system clipboard is copied to the guest operating system clipboard. Note: This option only has effect when VMware Tools is running in the virtual machine.


Setting the maximum memory allocation for virtual machines

Warning: Before adjusting the maximum memory allocation for virtual machines, review the information about memory contention between the operating system and applications running on the host and virtual machines.

In some cases, you may want to assign a different amount of memory to reserve for running virtual machines. For example, you may want to improve performance for the host operating system by decreasing the amount of memory reserved for virtual machines.

Warning: Only advanced users should change the maximum memory allocation for virtual machines because doing so can have an adverse impact on the host or virtual machines. Selecting too high an amount of physical memory to reserve can cause the host operating system to thrash or hang if other applications are running on the host. Selecting too low an amount of physical memory to reserve can cause virtual machines to perform very poorly and also limit the number of virtual machines that can be run on the host.

To set the maximum memory allocation for all virtual machines:

  1. Select Settings > Preferences from Workstation.
  2. Click the Memory panel.
  3. Set the maximum memory in the 'Reserved size (MB)' field.
  4. Click OK.

Related Topics:

  • Disabling memory limits
  • Configuring the memory allocated to a virtual machine
  • Memory contention between the host and its virtual machines


Setting priority for processes in virtual machines

Workstation sets the default priority for virtual machine processing as Normal -- Normal. This means that the processes within virtual machines contend equally for resources with all other processes running on the host. >>More about processing priorities

To change the default priority of processes for virtual machines:

  1. Select Settings > Preferences from Workstation.
  2. Click the Priority panel.
  3. Under "Global Preference", select the priority you want to assign to processes running within all virtual machines.
  4. Click OK.

You can also set priority directly from Workstation by selecting Settings > Global Priority and choosing the desired priority level.

Related Topics:

  • Setting processing priority for an individual virtual machine
  • Processing priorities that can be assigned to virtual machines


Limiting the number of recently suspended virtual machines that are displayed

You can choose how many virtual machines are shown in the recently suspended virtual machines list. The number of recently suspended virtual machines limits the number of entries you will see under File > Instant Restore.

To set the number of recently suspended virtual machines that will appear:

  1. Select Settings > Preferences.
  2. Click the Workspace panel.
  3. Enter a number in the "Recently suspended virtual machines menu contains" field.
  4. Click OK.

Related Topics:

  • Limiting the number of recently used virtual machines that are displayed


Limiting the number of recently used virtual machines that are displayed

You can choose how many virtual machines are shown in the recently used virtual machines list. The number of recently used virtual machines limits the number of entries you will see under File > Open Recent

To set the number of recently used virtual machines that will appear:

  1. Select Settings > Preferences.
  2. Click the Workspace panel.
  3. Enter a number in the "Recently used virtual machines menu contains" field.
  4. Click OK.

Related Topics:

  • Limiting the number of recently suspended virtual machines that are displayed


Setting the key combination used for Hot-Key sequences

You can determine the key combination that is used with Hot-Key sequences. For example, you can require that all Hot-Key sequences use CTRL-ALT-SHIFT. This is useful if you want to prevent certain key combinations (for instance, CRTL-ALT-DEL) from being intercepted by VMware Workstation instead of being sent to the guest operating system.

To set the key combination used in Hot-Key sequences:

  1. Select Settings > Preferences .
  2. Click the Hot Key panel.
  3. Select the key combination that you want to use with Hot-Key sequences.
  4. Click OK.

Related Topics:

  • Hot-Key sequences


Configuring VMware Workstation on a host machine

You can set preferences that determine the behavior of Workstation and all virtual machines running on a host machine. The preferences you can set include:

  • How control is transitioned between virtual machines and the host operating system (i.e., how input is grabbed) >>More information about input grabbing
  • Which keys are used for hot-key sequences >>More information about hot-keys
  • How often the screen is refreshed with virtual machines >>More information about screen refreshing
  • How processes within virtual machines are prioritized by the host operating system >>More information about process prioritization
  • How much memory is dedicated to virtual machines >>More information about memory for virtual machines
  • Whether or not memory limits are enforced >>More information about memory checks
  • How many virtual machines appear in the list of recently used and recently suspended virtual machines
  • What default path is used when creating virtual machines >>More about the directory for a virtual machine

To set these preferences:

  1. Select Settings > Preferences from Workstation.

Refer to the following links for information about setting specific preferences.

  • Determining when input will be grabbed
  • Selecting the key combination for hot-key sequences
  • Setting priority for processes in virtual machines
  • Setting the maximum memory allocation for virtual machines
  • Disabling memory limits
  • Limiting the number of recently-used virtual machines
  • Limiting the number of recently-suspended virtual machines
  • Setting the default directory path for new virtual machines


Enabling devices to work with virtual machines

Each virtual machine provides a platform that includes the devices that your guest operating system can see. You can use the "Devices" menu in Workstation to connect removable virtual devices to the host's physical devices, disconnect virtual devices from the host's physical devices, or edit the configuration of a disconnected removable virtual device. Not all devices are removable.

Select a device below for information on how to make it work with a virtual machine:

  • CD-ROM drive or CD-ROM image
  • DVD-ROM drive or DVD-ROM image
  • Floppy drive or Floppy image
  • Jazz drive
  • Modem
  • Mouse
  • Parallel port device
  • Printer
  • Scanner
  • SCSI device
  • Serial port device
  • Sound
  • USB device
  • Video
  • Virtual hard disk

Other resources that your guest operating system can use include:

  • BIOS. Virtual machines are compatible with PhoenixBIOS 4.0 Release 6-based BIOS and Enhanced Disk Drive (EDD) up to 33GB disks.
  • Graphics drivers. You can enable both VGA and SVGA support for a virtual machine running on a dual-boot machine. >>More information
  • Keyboard. You can use a 104-key Windows 95/98 enhanced keyboard with a virtual machine. >>More information
  • Memory. Depending on host memory, your guest operating system can use up to 512MB of memory. >>More information
  • Network Adapter. You can configure up to three virtual Network Adaptors. These devices must be compatible with AMD PCnet-PCI II. >>More information


Automatically connecting a device when the virtual machine powers on

By default, Workstation automatically connects to configured devices when the virtual machine powers on. You can change this behavior if you want; for example, if you are using a laptop that does not always have the CD-ROM connected, you should change this option for the virtual CD-ROM device.

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the device you want to modify.
  4. On the right hand side of the "Hardware" panel, deselect the Connect at power on option.
  5. Click OK.

Note: If you disable this option, you will need to enable access to the device manually. To do so, select the device from the "Devices" menu in the virtual machine.


Changing the connection for a virtual CD-ROM or DVD-ROM

You can change the connection for a virtual CD-ROM or DVD-ROM. For example, you can associate a different physical drive with the virtual drive, or choose to use an ISO image instead of a physical drive connection.

To change the connection for a virtual CD-ROM or DVD-ROM drive:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the CD-ROM or DVD-ROM drive.
  4. On the far right, make a different selection under "Connection" :
    • Use physical drive. Select this option if you want the guest operating system in the virtual machine to access the physical CD-ROM or DVD-ROM drive on the host machine. Then choose the drive letter that should correspond to the virtual CD-ROM or DVD-ROM.
    • Use ISO image. < Select this option if you want the virtual CD-ROM or DVD-ROM drive to connect to an image file stored on the host file system. Then click Browse to locate the image file to which this virtual CD-ROM or DVD-ROM drive should be connected.
  5. Click OK.

Related topics:

  • Changing the device node for a virtual CD-ROM or DVD-ROM
  • Enabling CD-ROM access from a virtual machine
  • Automatically starting the CD-ROM upon power on


Changing the device node for a virtual CD-ROM or DVD-ROM

You can change the device node for a virtual CD-ROM or DVD-ROM. For example, you can choose whether to use a SCSI device or an IDE device, and then select the specific node you want to use.

To change the device node for a virtual CD-ROM or DVD-ROM drive:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the CD-ROM or DVD-ROM drive.
  4. Make a different selection under "Virtual device node":
    • SCSI. Select this option if you want to use a SCSI device, and then select the node you want to use from the corresponding drop-down list box.

      More information to be provided about the 'Enable raw access' option in a future release.

    • IDE. Select this option if you want to use an IDE device, and then select the node you want to use from the corresponding drop-down list box.
  5. Click OK.

Related topics:

  • Changing the connection for a virtual CD-ROM or DVD-ROM
  • Automatically connecting to the CD-ROM at power on


Enabling a CD-ROM or DVD-ROM drive with Digital Audio

If a physical CD-ROM or DVD-ROM drive has Digital Audio enabled, Workstation may not properly recognize the drive. This problem occurs when the host machine is running Windows 2000. To access the physical CD-ROM or DVD-ROM drive from a virtual machine, you must disable Digital Audio on your Windows 2000 host.

To disable Digital Audio on a Windows 2000 host:

  1. Select Start > Settings > Control Panel.
  2. Double-click the System icon.
  3. Click the Hardware tab.
  4. Click the Device Manager button.
  5. Select DVD/CD-ROM Drives from the tree of devices.
  6. Right-click the drive you need to modify and select Properties.
  7. Click the Properties tab.
  8. Deselect the "Enable digital CD audio for this CD-ROM device" option.
  9. Click OK.

Related topics:

  • Enabling a virtual CD-ROM or DVD-ROM device


Disabling a CD-ROM from a virtual machine

To disable a CD-ROM drive:

  1. Select the CD-ROM drive from the "Devices" menu in the virtual machine.

Related topics:

  • Enabling a CD-ROM drive
  • Enabling a removable CD-ROM drive


Issues with CD-ROM or DVD-ROM devices and virtual machines

This help document describes the following categories of issues:

  • Support for autorun on the host operating system
  • Support for DVD
  • Support for CD-R and CD-RW
  • Support for audio CDs
  • Support for Digital Audio
  • Issues on DOS

Support for autorun on the host operating system

Workstation interacts poorly with host operating systems that have the autorun feature enabled for CD-ROM drives. When the autorun feature is enabled, a CD-ROM or DVD-ROM that is intended to run on a guest operating system within a virtual machine can instead run on the host operating system, or might start simultaneously on the host operating system and in the virtual machine's guest operating system.

When you install Workstation, you are prompted to allow the disabling of the autorun feature for CD-ROM drives connected to the host machine. Workstation warns you that autorun is enabled when it powers on, as well.

Support for DVD

Workstation virtual machines can use DVD-ROM drives, but only as standard CD-ROM drives. Writing to DVD-ROM drives is not supported from within the virtual machine. However, these drives should remain fully usable by the host operating system.

Note: Workstation does not support DVD video at this time.

Support for CD-R and CD-RW

Workstation virtual machines can use CD-R and CD-RW drives, but only as standard CD-ROM drives. Writing to CD-R and CD-RW drives is not supported from within the virtual machine. These drives should remain fully usable from the host operating system.

Support for Audio CDs

Although you should be able to play audio CDs within a virtual machine, you might experience some glitches such as a CD that continues playing after the virtual machine has been powered off. Additionally, it has been reported that multisession CD-R and CD-RW drives, or enhanced audio CDs do not function correctly from all sessions, or perform badly if later sessions update earlier ones. If you attempt to access a multisession disc, you may see warnings in the log.

Support for Digital Audio

On Windows 2000 hosts, VMware Workstation cannot use CD-ROM or DVD-ROM devices that are enabled with Digital Audio. >>More information

Issues on DOS

Problems caused by the DOS ATAPI driver>

When using CD-ROM drives from a virtual machine with a DOS guest operating system, you may experience anomalies such as an inaccessible CD-ROM drive or crashes in the virtual machine. These issues most likely stem from the DOS ATAPI driver you are using.

If you experience these problems:

  1. Save a log file (and, if generated, a core file), and the CD-ROM driver that failed. Open an Incident Report (http://www.vmware.com/fileincident) and include these files so that VMware support can look into the issues.
  2. Try a different DOS ATAPI driver. Here are some suggestions to try:
    • NEC drivers on Windows 95 and Windows 98 boot diskettes
    • Win98 driver on the CD-ROM
    • Mitsumi ATAPI driver (mtmcdai.sys). You can find it at http://www.mitsumi.com (under Drivers and Manuals, look for ide158.exe).
    • CDROMGOD drivers. You can find these at http://members.tripod.com/~cdromgod.

To use a different DOS ATAPI driver, you will need to add the following modification to the config.sys and autoexec.bat files on your boot floppy (along with the mscdex.exe file):

config.sys
DEVICE=HIMEM.SYS
DOS=HIGH
FILES=30
rem install cd-rom driver
DEVICE=A:\MTMCDAI.SYS /D:VMware

Autoexec.bat
@ECHO OFF
PROMPT $p$g
A:\MTM\MSCDEX.EXE /D:VMware /M:10

Switching CDs under DOS may not be recognized by the virtual machine
During installation, you are asked to place a different CD in the CD-ROM drive. Upon doing so, the guest operating system in the virtual machine keeps reading the contents of the previous CD from cache, rather than reading the contents of the new CD disk.

As a workaround, replace the first CD-ROM in the drive, then disconnect the CD-ROM drive from the virtual machine (Devices > /dev/cdrom > Disconnect). Reconnect the CD-ROM drive (Devices > /dev/cdrom > Connect) and wait for the virtual machine to read the drive.

Related topics:

  • Disabling a CD-ROM drive
  • Enabling a removable CD-ROM drive


Enabling a removable CD-ROM or DVD-ROM device from a virtual machine

Some computers, such as laptops, have CD-ROM or DVD-ROM drives that can be removed. To accommodate removable CD-ROM or DVD-ROM drives, set up the virtual drive without the Connect at power on option. Then enable or disable the CD-ROM as necessary while the virtual machine is running using the "Devices" menu in Workstation.

Related topics:

  • Disabling the automatic start option


Removing a virtual CD-ROM or DVD-ROM from a virtual machine

To remove a virtual CD-ROM or DVD-ROM drive from a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the virtual CD-ROM or DVD-ROM drive you want to remove.
  4. Click Remove .
  5. A message appears asking you to confirm the deletion. Click Yes to confirm.
  6. Click OK.

Related topics:

  • Enabling a CD-ROM drive
  • Enabling a removable CD-ROM drive


Enabling a CD-ROM or DVD-ROM from a virtual machine

CD-ROM and DVD-ROM drives are added and removed using the Configuration Editor. The virtual CD-ROM or DVD-ROM is connected to the physical CD-ROM or DVD-ROM device on the host machine.

Note: A virtual machine can have at most four virtual IDE disk drives. If a host system has four disk drives, then configuring all four disk drives in the virtual machine will not leave space for a virtual IDE CD-ROM or DVD-ROM drive. Even if the host computer has a SCSI CD-ROM or DVD-ROM, the drive still appears inside the virtual machine as an IDE device. If you have configured four IDE disks in a single virtual machine, you will not have room for a CD-ROM or DVD-ROM drive. You can either configure your virtual machine without a CD-ROM or DVD-ROM, or you can remove one or more of the configured hard drives.

To add a CD-ROM or DVD-ROM drive:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" window, select DVD/CD-ROM Drive from the list under "Hardware types". Click Next.
  5. In the "Select a Drive Connection" window , make a selection:
    • Use physical drive. Select this option if you want the guest operating system in the virtual machine to access the physical CD-ROM or DVD-ROM drive on the host machine.
    • Use ISO image. Select this option if you want the virtual CD-ROM or DVD-ROM drive to connect to an image file stored on the host file system.
  6. Click Next. A new window appears.
    • If you selected "Use physical drive" in the last step, the "Select a Physical Drive" window appears. You can either select a drive letter or leave "auto detect" selected. Selecting auto detect causes the virtual machine to use the first (i.e., lowest drive letter) CD-ROM or DVD-ROM drive that it detects when it powers on.
    • If you selected "Use ISO image" in the last step, the "Choose an ISO Image" window appears. Click Browse and locate the image file to which this virtual CD-ROM or DVD-ROM drive should be connected.
  7. If you do not want to specify the SCSI or IDE device node for the CD-ROM or DVD-ROM, click Finish and then OK. Otherwise, continue with the next step.
  8. Click Advanced.
  9. In the "Select a Device Node" window, choose whether to use a SCSI device or an IDE device, and then select the node you want to use from the corresponding drop-down list box. For example, if you want to use IDE device 1:0, select the option next to IDE and select IDE 1:0 DVD/CD-ROM from the corresponding drop-down list box.

    More information to be provided about the 'Enable raw access' option in a future release.

  10. If your virtual CD-ROM or DVD-ROM connects to an ISO image, select whether or not to enable write caching.
  11. Click Finish and then OK .

    Related topics:

    • Automatically connecting to a CD-ROM or DVD-ROM drive at power on
    • Changing the connection for a CD-ROM or DVD-ROM
    • Changing the device node for a virtual CD-ROM or DVD-ROM
    • Issues with CD-ROM or DVD-ROM drives and virtual machines
    • Removing a virtual CD-ROM or DVD-ROM device
    • Enabling a removable CD-ROM or DVD-ROM drive


Enabling a floppy drive from a virtual machine

You can configure up to two 1.44MB floppy devices. Drives can be available on the host or as floppy images. However, a floppy drive can be used only by the host operating system or by one virtual machine at a time. If you run more than one virtual machine simultaneously, you may wish to select which one (if any) has access to the drive. To disable or enable access to a floppy drive while a virtual machine is running, select the floppy drive from the Devices menu in Workstation.

To add a floppy drive to a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add.
  4. Select Floppy Drive from the "Hardware Type" window, and click Next.
  5. On the "Floppy Media Type" screen , make a selection:
    • Use a physical floppy drive. Select this option to connect to a physical floppy drive on the host.
    • Use a floppy image. Select this option to connect to an ISO image file of a floppy drive.
  6. If you want the virtual floppy drive to automatically connect to its physical drive or image file when the virtual machine powers on, select the Connect at power on option.
  7. Click OK.

Note: Workstation does not currently support Imation SuperDisk LS120 120MB floppy disk drives within a virtual machine -- either as a standard floppy drive or as an LS120 drive. These drives can continue to be used on the host operating system, but cannot be used within a virtual machine.

Systems that only have SuperDisk floppy drives will not be able to install guest operating systems that require booting from a floppy disk. One workaround is to install guest operating systems from bootable CD-ROMs. Another workaround is to add an additional conventional floppy disk drive to the host machine.

Related topics:

  • Changing the physical floppy connection for a virtual floppy drive
  • Automatically connecting to a floppy drive at power on


Changing the connection for a floppy drive from a virtual machine

You can change the connection for a virtual floppy drive. For example, you can associate a different physical drive with the virtual drive, or choose to use a floppy image instead of a physical drive connection.

To change the connection for a virtual floppy drive:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the Floppy drive.
  4. On the far right, make a different selection under "Connection" :
    • Use physical drive. Select this option if you want the guest operating system in the virtual machine to access the physical floppy drive on the host machine. Then choose the drive letter that should correspond to the virtual floppy drive.
    • Use floppy image. Select this option if you want the virtual floppy drive to connect to an image file stored on the host file system. Then click Browse to locate the image file to which this virtual floppy drive should be connected.
  5. Click OK.

Related topics:

  • Enabling access to a floppy drive from a virtual machine
  • Automatically connecting to a floppy drive at power on


Generic SCSI Devices

Generic SCSI lets a virtual machine run any SCSI device that is supported by the guest operating system in the virtual machine. Generic SCSI gives the guest operating system direct access to SCSI devices connected to the host, such as scanners and tape drives.

Using the SCSI Generic driver in Windows, VMware Workstation allows your guest operating system to operate generic SCSI devices within a virtual machine.

Related Topics:

  • Enabling a generic SCSI device on a Windows host operating system.
  • Supported generic SCSI devices


Enabling a generic SCSI device

Generic SCSI lets a virtual machine run any SCSI device that is supported by the guest operating system in the virtual machine. Generic SCSI gives the guest operating system direct access to SCSI devices connected to the host, such as scanners and tape drives.

Using the SCSI Generic driver in Windows, VMware Workstation allows your guest operating system to operate generic SCSI devices within a virtual machine.

Setting Up a Generic SCSI Device

Generic SCSI devices use the virtual "BusLogic MultiMaster PCI SCSI Host Adapter" provided by the virtual machine. Some guest operating systems will guide you through installing the drivers after you install the first SCSI device in the virtual machine. On Windows NT 4.0, however, you may need to install the driver manually, if it is not already installed for a virtual SCSI disk. You should do so before you add a generic SCSI device.

To install the BusLogic driver in a Windows NT 4.0 guest, have your Windows NT installation CD available and follow these steps.

  1. Select Start > Settings > Control Panel > SCSI Adapters.
  2. Click the Drivers tab.
  3. Click Add.
  4. In the list of vendors on the left, choose BusLogic.
  5. In the list of drivers on the right, choose BusLogic MultiMaster PCI SCSI Host Adapters.
  6. Click OK.
  7. Insert the Windows NT CD when you are prompted. Click OK.
  8. Reboot when you are prompted.

You can add generic SCSI devices to your virtual machine in the Configuration Editor. When you set up a generic SCSI device, the virtual machine must be powered off.

To add generic SCSI devices to your virtual machine:

  1. From the VMware Workstation menu, select Settings > Configuration Editor. The Configuration Editor opens.
  2. Click Add to start the Add Hardware Wizard.
  3. Select Generic SCSI Device from the list of hardware types, and click Next.
  4. Choose whether or not to automatically connect to the virtual SCSI device. Leave the 'Connect at power on' option selected if you want the virtual device to automatically be connected to the physical SCSI device when the virtual machine powers on.
  5. Select the physical SCSI device to connect to from the 'Connection' field drop-down list.
  6. Select the virtual SCSI device node to use from the 'Virtual Device Node' field drop-down list.
  7. Click Finish to install the new device.

To remove this device, launch the Configuration Editor, select the generic SCSI device, then click Remove.

Related topics:

  • Supported generic SCSI devices


Enabling an IDE device from a virtual machine

More information to be provided in a future release.


Enabling a Jaz drive from a virtual machine

More information will be provided in a later release.


Enabling a modem on the host from a virtual machine

If a modem is connected to the host machine's serial port, you can add a serial port device to connect the modem to the virtual machine.

However, virtual machines cannot access winmodem or winprinter devices.

Related topics:

  • Adding a modem connected to the host machine's serial port


Mouse devices and virtual machines

You can use a PS/2 mouse or a serial tablet with a virtual machine. Workstation attempts to auto detect the mouse type and path to the mouse on your system.

Workstation supports the following types of mouse devices:

  • Logitech Mouseman serial-port
  • Logitech Mouseman+ PS/2
  • Microsoft Intellimouse PS/2
  • Microsoft serial-port
  • Mouse Systems
  • PS/2
  • USB

Issues with mouse devices and virtual machines

The following table describes situations that sometimes occur with mouse devices and certain virtual machine configurations.

Problem

Possible causes and resolutions

The mouse is sometimes unusable when using parallel ports in a virtual machine.

The mouse can sometimes become unusable when using parallel ports within a virtual machine. If this occurs, please report the details of this problem to VMware at http://www.vmware.com/fileincident

The mouse works fine in window mode but jumps around in full-screen mode.

The virtual machine always has a PS/2 mouse.

The mouse does not work inside the virtual machine window when an "Always on top" dialog box generated by the host operating system obscures the virtual machine window.

There is a problem with mouse trackcursor/toolbox software where it make the mouse cursor very difficult to control when an "Always on top" dialog box pops up over a running virtual machine window. An example of such a window is the Windows NT Task Manager program window.

When an Always on top window appears over and within the virtual machine window as an island, then the mouse cursor will stay within the "Always on top" dialog window. The mouse cursor will jump to the center of the dialog window every time you try to move the mouse into the virtual machine window -- you will not be able to access the Windows NT host nor the virtual machine.

To workaround the problem, click in the "Always on top" window to make it an active window; at this point you should be able to access the Windows NT host, drag the "Always on top" window so it does not obscure the virtual machine window or minimize it. The mouse should work inside the virtual machine when its windows is no longer obscured by the "Always on top" window.

Note: This problem does not occur on host systems running Windows 2000.


dding a Network Adapter to a virtual machine

Adding a Network Adapter to a virtual machine

You can add up to three virtual Network Adapters to a virtual machine. A virtual Network Adapter allows you to specify the virtual network to which you want this network adapter connected.

To add a virtual Network Adapter to a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" window, select Network Adapter from the list under "Hardware types". Click Next.

    Note: If you have already added three Network Adapters to your virtual machine, the "Network Adapter" selection does not appear in the "Hardware types" list .

  5. In the "Network Type" window , make a selection:
    • Bridged. Select this option if you want to enable bridged networking for the virtual machine. Bridged networking uses the VMnet0 adapter.
    • NAT. Select this option if you want to enable network address translation networking for the virtual machine.Network address translation (NAT) uses the VMnet8 adapter.
    • Host-only. Select this option if you want to enable host-only networking for the virtual machine. Host-only networking uses the VMnet1 adapter.
    • Custom. Select this option if you want to enable a custom network configuration, and then choose the specific virtual network you want to use. VMnet 2, VMnet3, VMnet4, VMnet5, VMnet6, and VMnet7 adapters are reserved for custom networking configurations.
  6. Click OK .
  7. Click Settings to modify the configuration of your virtual networks.
    More information about configuring virtual networks to be provided in a future release.
  8. Click OK to close the Configuration Editor.

Related topics:

  • Changing the network to which a Network Adapter is connected


Workstation support for parallel port devices

Workstation supports unidirectional and bi-directional parallel ports in all host operating system versions on which it runs.

Bi-directional ports are used by a variety of devices, but Workstation currently only provides a partial emulation of PS/2 hardware. Specifically, interrupts requested by a device connected to the physical port are not passed to the virtual machine. Also, the guest operating system cannot direct memory access (DMA) data to or from the port.

For this reason, not all devices that attach to the parallel port are guaranteed to work correctly. Following is a list of devices that are known to work, and the platforms on which they work.

Device known to work | Platforms on which they work
Adobe dongle | Windows 95 guest
RIO MP3 player | Windows 95 guest
UMAX Astra 1220 P scanner | Windows 95 guest
Hewlett-Packard LaserJet 5MP printer | Windows 9x and Windows NT/2000 guests
Canon Bubble Jet BJ-200e printer | Windows 9x and Windows NT/2000 guests
Iomega ZIP drive | Linux, Windows NT, and Windows 2000 guests only

Devices that may work include:

  • Dongles

  • Printers

  • HP DeskJet 722c

  • Epson 750 printer in a bi-directional mode

  • CARDport Swift Smart Digital Media Image Reader/Writer from Chase Technologies

  • Logitech Scanman Color 2000 (parallel port hand scanner)

  • Creative Labs WebCam II (parport version)

Related Links:

  • Enabling a parallel port device from a virtual machine


Enabling a parallel port device on a guest operating system

Most guest operating systems automatically detect the parallel port(s) at installation time and install the required drivers -- even if those devices are not enabled in the Workstation virtual machine configuration. Operating systems that auto-detect at boot time include Linux, Windows NT, and Windows 2000.

Note: These virtual devices do consume guest operating system IRQ and I/O address resources and appear from within the guest operating system to be present. Leaving these devices as is, but not configured in Workstation will not cause any problems. To enable a device shut down the guest operating system, power off the virtual machine and use the Configuration Editor to enable the parallel port device.

Others operating systems -- like Windows 9x -- do not automatically detect parallel port devices. On Windows 9x, when a port is changed from unidirectional to bi-directional or vice versa, it is necessary to remove the device driver for that port (double-click the System icon in the Control Panel) and add a new one. Adding a new driver is also required when a new port is added. In both cases use the "Add New Hardware" icon in the "Control Panel" and let Windows detect the new device(s). Manually selecting the devices from a list may result in an incorrect configuration.

Related Links:

  • Workstation support for parallel port devices
  • Enabling a parallel port device on a virtual machine


Enabling a parallel port device from a virtual machine

You can attach up to two bi-directional parallel ports (LPT) to a virtual machine. The virtual machine creates a virtual parallel port that connects to a parallel port or a file on the host operating system. You can change the configuration of a parallel port on a virtual machine between virtual machine sessions.

To add a parallel port connection:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" window, select Parallel Port from the list under "Hardware types". Click Next.
  5. In the "Parallel Port" window, leave the "Connect at power on" option selected if you want the parallel port device to be available as soon as the virtual machine powers on.

    Note: If the parallel port device may be inaccessible to the guest operating system when the virtual machine is powered on, deselect this option. For example, a Zip drive might not be connected when the virtual machine powers on. In this case, you can enable access to the parallel port after startup using the "Devices" menu.

    Warning: Exercise caution when using the leave the "Connect at power on" option selected option with bi-directional parallel port devices. Due to a limitation of the bi-directional parallel port controller, if a guest operating system boots with the controller disconnected, Workstation may misidentify the controller and not be able to use it later if the device is reconnected.

  6. In the "Connection" area of the window , make a selection:
    • Use physical parallel port. Select this option to connect the virtual parallel port to a physical parallel port on the host machine. Then select the physical parallel port to which the device is connected from the drop-down list box .
    • Use output file. Select this option to connect the virtual parallel port to an output file. Click Browse to select the file that should be used to store the output from the virtual parallel port device.
  7. If you selected the Use physical parallel port. option, you can also choose the transfer capabilities of the virtual device:
    • Unidirectional. This type of parallel port device is typically used to connect to printers or to send the printer output to a file. The speed is usually adequate for printing text, but expect long delays when printing images.
    • Bi-directional. This type of port is used by a variety of devices including printers, scanners, dongles, and disk drives. Bi-directional emulation is slower than native access but faster than unidirectional emulation; therefore, it is the mode that VMware recommends you use whenever a device is unidirectional (as are many printers). Select the Bi-directional mode option to enable bi-directional transfer capabilities for the device.
  8. Click Finish .
  9. Click OK.
  10. Power on the virtual machine.

Note: If an error message is displayed at power on stating the parallel port on the host does not have an ECR (Extended Control Register), it is possible the hardware supports it but it has been disabled in the BIOS. In this case, reboot your host, enter the BIOS configuration editor (typically by holding down the Delete key during early execution of the BIOS), find the parallel port field, and enable ECP mode (or other combination of modes that include ECP). Most modern computers should support ECP mode.

Related Links:

  • Workstation support for parallel port devices
  • Enabling a parallel port device in a guest operating system
  • Enabling an Iomega Zip drive
  • Changing the physical port connection for a virtual parallel port


Changing the connection for a parallel port device from a virtual machine

You can change the connection for a virtual parallel port. For example, you can associate a different physical parallel port with the virtual parallel port, or choose to use an output file instead of a physical port connection.

To change the connection for a virtual parallel port:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the virtual parallel port.
  4. On the far right, make a different selection under "Connection" :
    • Use physical parallel port. Select this option if you want the guest operating system in the virtual machine to access the physical parallel port on the host machine. Then choose the port number that should correspond to the virtual parallel port.
    • Use output file. Select this option if you want the virtual parallel port to connect to an output file stored on the host file system. Then click Browse to locate the output file to which this virtual parallel port should be connected.
  5. Click OK.

Related Links:

  • Enabling a virtual parallel port in a virtual machine
  • Enabling a parallel port device in a guest operating system
  • Enabling an Iomega Zip drive
  • Automatically connecting to a parallel port at power on


Enabling a PCMCIA card from a virtual machine

Workstation does not provide direct support within a virtual machine for PCMCIA or PC Card devices, such as those found on notebook (laptop, mobile and portable) computers. Special PCMCIA or PC Card drivers or software such as card managers cannot be used within a Workstation virtual machine. However, standard Ethernet and Modem PCMCIA or PC Card adapters should be usable within a virtual machine, and special PCMCIA or PC Card devices or features should continue to be accessible from the host operating system while Workstation is running.

It should be possible to install an Ethernet PCMCIA/PC Card supported by the host operating system. The guest operating system will see a virtual "AMD PCnet-II PCI Ethernet adapter" regardless of what PCMCIA/PC Card is installed in the actual computer.

It should be possible to install a modem card that emulates a standard UART and is supported by the host operating system. The guest operating system should be able to see the modem mapped as a generic COM serial port.

Ejecting or installing a PCMCIA/PC Card used by a running virtual machine may cause problems.


Usage, structure, and geometry of plain disks

Plain Disk Space Usage

Unlike a virtual disk, a plain disk is allocated at its full size. This ensures that, if the disk is used in persistent mode, the virtual machine will not unexpectedly run out of space while trying to write to the disk.

Be aware that if you are running with nonpersistent or undoable plain disks, additional disk space is needed on the host file system to hold the redo log. This additional space is not allocated in advance so it is possible to run out of space for the redo log file. If you run out of space for the redo log, Workstation will warn you and suggest that you free some additional space. Additionally, the redo log directory may be modified using the Configuration Editor.

The Structure of a Plain Disk

A plain disk consists of a description file that is a text file that describes the geometry of the disk, and the files that hold the data for that disk. Here is an example of a plain disk description file. This sample plain disk description file defines a disk that is about 200MB in size.

# Plain Disk
# Type of disk drive (ide or scsi)
DRIVETYPE ide

# Number of heads
HEADS 16

# Sectors per cylinder
SECTORS 63

# 200 Megabytes is about 400 cylinders
CYLINDERS 400

# Allowed access type (ACCESS or RDONLY), filename, and
# starting offset
ACCESS "C:\vmware\plain\plaindisk.dat" 0

Plain Disk Geometry

The plain disk geometry (cylinders, heads, and sectors) is filled in automatically by the Configuration Editor when the plain disk is created. If the plain disk is based on disk partitions, then the geometry will match that of the underlying disk. Otherwise a default geometry is used.

Note: The geometry of a disk can be determined by using the hdparm command. For example, type the following command to obtain information about the disk /dev/hda:
hdparm -i /dev/hda

The field RawCHS shows the actual disk geometry.

For an IDE plain drive, the number of heads defaults to 16 and the number of sectors per cylinder to 63. The number of cylinders will depend on the size of the plain drive you wish to create. The sector size is always 512 bytes. The total size of the plain drive in this case will be 16 * 63 * 512 * CYLINDERS bytes.

For a SCSI plain drive, the geometry varies with the size of the plain drive.

Disk size | Heads | Sectors
<1GB | 64 | 32
>=1GB but <2GB | 128 | 32
>=2GB | 255 | 63

The number of cylinders is determined by taking the total disk size in sectors and dividing by the number of heads times the sectors per cylinder.

Related topics:

  • Disk modes you can assign to plain disks
  • Enabling a plain disk for a virtual machine


Enabling a plain disk from a virtual machine

When a plain disk is created, it immediately consumes as much space as its allocated size. This is in contrast to a virtual disk, which consumes only as much space as needed and grows to its maximum size. Therefore, when a plain disk is created, there must be enough space in the same directory for the description files created by the Configuration Editor.

Plain disks are a disk type with the following attributes:

  • They consume space immediately, so designated space is pre-allocated to them.
  • A native partition can be transferred into plain disk format.
  • They may have better performance than virtual disks.
  • They can span multiple physical disk partitions.

Related topics:

  • Disk modes you can assign to plain disks
  • Detailed information about plain disks


Enabling a printer from a virtual machine

You can enable a printer from a virtual machine by adding a parallel port device to your virtual machine's configuration.

Note: Virtual machines cannot access winmodem or winprinter devices.

Related topics:

  • Printing from a virtual machine


Enabling a raw disk from a virtual machine

A raw disk is a physical IDE or SCSI disk that your host operating system detects.

Workstation only supports raw disk partitions on IDE drives. Booting guest operating systems on raw SCSI drives is not supported. While booting from a SCSI raw disk may work, it is possible there will be incompatibilities between your SCSI adapter and the BusLogic adapter Workstation implements. However, if a virtual machine is configured with a virtual disk, instead of a raw disk partition, then its disk file can be stored on the file system, regardless of whether the underlying drive(s) containing the file system are IDE or SCSI.

To access each raw IDE device on the host machine, Workstation uses description files that contain access privilege information for controlling a virtual machine's access to certain partitions on the disks. This mechanism prevents users from accidentally trying to run the host operating system again as a guest or another guest operating system for which the virtual machine was not configured. The description file also prevents accidental writes to raw disk partitions from badly behaved operating systems or applications.

Related topics:

  • Installing a guest operating system onto a raw disk


Enabling a scanner from a virtual machine

More information will be provided in a later release.

Related topics:

  • Enabling a generic SCSI device on Windows
  • Enabling a generic SCSI device on Linux


Configuring SCSI in the BIOS

The Workstation BIOS supports SCSI access through an option -- ROM -- that is enabled when one or more SCSI devices are configured in a virtual machine. The ROM option supports input and output operations to SCSI devices, and enables booting from SCSI devices. Bootable SCSI devices (only disks at this time) are presented in the BIOS setup's Boot screen.

You can reach the BIOS setup screens by pressing F2 when a virtual machine is powered on or reset. The Workstation BIOS lists the first seven bootable SCSI devices configured for the virtual machine so you can select the order in which these devices are booted.

Notes:

  • SCSI CD-ROM devices configured as SCSI drives are not bootable. You must configure your physical CD-ROM device as an IDE CD-ROM in the virtual machine in order to boot from the CD-ROM (for example, when installing an operating system).
  • Booting a virtual disk from raw devices works on IDE disks, booting a virtual machine from a raw SCSI disk is not supported.
  • The BIOS setup identifies SCSI devices only in the Boot screen.

Related topics:

  • Configuring a SCSI device for a virtual machine


Configuring SCSI in the guest operating system

Mylex (the vendor of the SCSI bus adapter) provides documentation on how to install and configure the BT-958 adapter on its Web site at http://www.mylex.com. Refer to their documentation, specifically the MultiMaster Software User's Guide, for information about configuring the adapter in each guest operating system. Note that there are several flavors of BusLogic/Mylex SCSI adapters. The "BT-958" is typically identified as a "MultiMaster host adapter."

Note: Workstation does not support the AutoSCSI utility that is normally included on each BT-958 device. In practice this is not important because the utility is used mostly to manage hardware-related configuration data.

Related topics:

  • Configuring a SCSI device for a virtual machine


Enabling a virtual SCSI device from a virtual machine

You can enable up to seven virtual SCSI (Small Computer System Interface) devices for virtual machines. SCSI support is limited to virtual hard drives, CD-ROM devices, and DVD-ROM devices. SCSI devices must be compatible with BusLogic BT-958 host bus adaptor.

Note: Do not use a virtual disk file created for use with IDE as a SCSI virtual disk, or vice versa. The geometry of a virtual SCSI disk device is different from the geometry of a virtual IDE device.

To configure a SCSI virtual disk for a virtual machine:

  1. Use the New Virtual Machine Wizard to create a virtual machine.
  2. At the end of the installation process, click Advanced, choose the SCSI option and select a SCSI node to use.
  3. Click Finish.

To configure a virtual SCSI CD-ROM or DVD-ROM for a virtual machine:

  1. Follow instructions to add a new virtual CD-ROM or DVD-ROM to the virtual machine.
  2. At the end of the process, click Advanced and choose to use a SCSI drive for the virtual CD-ROM or DVD-ROM in the "Select a Device Node" screen. Select the specific device node to use from the corresponding drop-down list box and click Finish.

Related topics:

  • Enabling generic SCSI devices on Windows
  • Information about VMware's SCSI implementation
  • Using SCSI versus IDE devices
  • Configuring SCSI in the BIOS
  • Configuring SCSI devices in guest operating systems


SCSI Devices

SCSI support is visible to a guest operating system running in a virtual machine in two ways:

  • Through a host bus adapter that provides an interface to a virtual SCSI bus
  • Through a set of virtual SCSI devices that reside on SCSI bus

The SCSI support in VMware Workstation implements a BusLogic BT-958™ device as the host bus adapter.

The BusLogic adapter that VMware implements was selected because its design lends itself to efficient support in the virtual machine and because device driver support is present in all supported guest operating systems.

Generic SCSI gives a guest operating system direct access to a SCSI device connected to the host computer. In theory, generic SCSI is completely device independent, but VMware has discovered it is sensitive to the guest operating system, device class and specific SCSI hardware.

The following are known problems with SCSI support:

  • Booting from a SCSI raw disk is experimental. While booting from a SCSI raw disk may work, it is possible there will be incompatibilities between your SCSI adapter and the BusLogic adapter Workstation implements.
  • SCSI CD-ROM devices configured as SCSI drives for a virtual machine are not bootable. You must configure your physical CD-ROM device as an IDE CD-ROM in the virtual machine in order to boot from the CD-ROM (for example, when installing an operating system).
  • There are known problems with using SCSI CD-ROM devices with a SuSE Linux 6.3 guest operating system. For virtual machines running SuSE Linux 6.3 as a guest operating system, configure a virtual CD-ROM drive as an IDE CD-ROM device rather than a SCSI CD-ROM device.
  • The BIOS setup identifies SCSI devices only in the Boot screen.
  • The BusLogic BTFDISK utility does not work correctly. Use the normal FDISK utility to partition SCSI disks (however, be aware that it works only on units 0 and 1).
  • SuSE Linux 6.2 does not include BusLogic support in the base distribution. You need to manually configure it when installing SuSE Linux 6.2 as a guest operating system within a virtual machine. This issue may also affect other distributions.
  • SCSI is not supported with Solaris guest operating systems. Solaris uses 24-bit command control block (CCB) structures, which are not supported in this release of Workstation.
  • Windows 98 first edition cannot be installed from a virtual SCSI CD-ROM drive (this is a Windows problem). For virtual machines that will run Windows 98 as a guest operating system, configure the virtual CD-ROM device as an IDE device instead.
  • FreeBSD cannot be installed onto a virtual SCSI hard disk. For virtual machines that will run FreeBSD as the guest operating system, configure the virtual hard disk as an IDE device instead.
  • WindowsXP cannot be installed onto a SCSI hard disk because it does not have the necessary BusLogic driver. For virtual machines that will run WindowsXP as a guest operating system, configure the virtual hard disk as an IDE device instead.

Related topics:

  • Configuring a SCSI device


Using SCSI versus IDE

In many ways SCSI and IDE support for virtual disks and CD-ROM or DVD-ROM devices are equivalent. SCSI virtual disks may be backed either by disk files or by raw device access. SCSI virtual disks may be used in persistent, nonpersistent, and undoable modes. A SCSI CD-ROM drive is always associated with a physical device -- either an ATAPI or a SCSI unit.

One improvement that Workstation's SCSI implementation offers compared to its IDE implementation is that the SCSI implementation can have larger disks (up to 256GB) and as many as seven devices. IDE supports only 128GB and four devices. Further, there are no restrictions on the set of devices that may be configured on a SCSI adapter; that is, there are no master/slave requirements like there are for IDE. Finally, the operating system overhead for accessing SCSI devices is typically less than for IDE, which can translate into higher overall performance for SCSI devices.

The downside to using SCSI is that operating system support sometimes is not present or requires additional configuration, which can be involved.

The other potential difficulty with using SCSI is that the BIOS in some machines does not include support for booting from SCSI devices. VMware has addressed this issue by augmenting the normal Workstation BIOS to support booting from SCSI disk devices.

Note: You cannot boot from a virtual SCSI CD-ROM device. If you have a physical SCSI CD-ROM, configure a virtual IDE CD-ROM device for it, and you will be able to boot from that virtual device.

Related topics:

  • Configuring a SCSI device
  • Configuring an IDE device


Enabling a serial port device on a guest operating system

Most guest operating systems automatically detect the serial port(s) at installation time and install the required drivers -- even if those devices are not enabled in the Workstation virtual machine configuration. Operating systems that auto-detect at boot time include Linux, Windows NT, and Windows 2000.

Note: These virtual devices do consume guest operating system IRQ and I/O address resources and appear from within the guest operating system to be present. Leaving these devices as is, but not configured in Workstation will not cause any problems. To enable a device shut down the guest operating system, power off the virtual machine and use the Configuration Editor to enable the serial port device.

Others operating systems -- like Windows 9x -- do not automatically detect serial port devices. On Windows 9x, for example, it is necessary to manually add a new driver. To do so, use the "Add New Hardware" icon in the "Control Panel" and let Windows detect the new device(s). Manually selecting the devices from a list may result in an incorrect configuration.

Related Links:

  • Enabling a serial port device on a virtual machine
  • Enabling a serial port device in a Windows 2000 guest operating system


Enabling a serial port device from a virtual machine

You can have up to four serial or COM ports in a virtual machine. A serial port may be used by the host operating system and one or more guest operating systems running in virtual machines. By default, the configured serial port is enabled when the virtual machine is powered on. These devices output to serial ports, files, or named pipes.

To add a serial connection:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" window, select Serial Port from the list under "Hardware types". Click Next.
  5. In the "Serial Port" window, leave the "Connect at power on" option selected if you want the serial port device to be available as soon as the virtual machine powers on.

    Note: If the serial port device may be inaccessible to the guest operating system when the virtual machine is powered on, deselect this option. For example, a Zip drive might not be connected when the virtual machine powers on. In this case, you can enable access to the serial port after startup using the "Devices" menu.

  6. In the "Connection" area of the window , make a selection:
    • Use physical serial port. Select this option to connect the virtual serial port to a physical serial port on the host machine. Then select the physical serial port to which the device is connected from the drop-down list box .
    • Use output file. Select this option to connect the virtual serial port to an output file. Click Browse to select the file that should be used to store the output from the virtual serial port device.
    • Use named pipe. Select this option to connect the virtual serial port to a named pipe.
  7. Click Finish .
  8. Click OK.
  9. Power on the virtual machine.

Related topics:

  • Enabling a serial port device on a guest operating system
  • Changing the physical port connection for a virtual serial port


Changing the connection for a serial port device from a virtual machine

You can change the connection for a virtual serial port. For example, you can associate a different physical port with the virtual serial port, or choose to use an output file or named pipe instead of a physical port connection.

To change the connection for a virtual serial port:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the virtual serial port.
  4. On the far right, make a different selection under "Connection" :
    • Use physical serial port. Select this option if you want the guest operating system in the virtual machine to access the physical serial port on the host machine. Then choose the port number that should correspond to the virtual serial port.
    • Use output file. Select this option if you want the virtual serial port to connect to an output file stored on the host file system. Then click Browse to locate the output file to which this virtual serial port should be connected.
    • Use named pipe. Select this option if you want the virtual serial port to connect to a named pipe, and then type the path to the pipe in the space provided.
  5. Click OK.
  6. Power on the virtual machine.

Related topics:

  • Enabling access to a serial port from a virtual machine
  • Enabling a serial port device on a guest operating system
  • Automatically connecting to a serial port at power on


Configuring the COM1 serial port in a Windows 2000 guest operating system

To map the COM1 serial port in your Windows 2000 virtual machine to a physical port on your host machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Add a serial port device to the virtual machine using the Configuration Editor.
  3. Power on the virtual machine.
  4. After the Windows 2000 guest operating system starts and you are logged in, right click the My Computer icon on the desktop, then select Manage. The "Computer Management" window opens.
  5. Expand the "System Tools" tree, then select Device Manager.
  6. Expand the "Ports" tree. If device list shows only non-working COM5 and COM6 ports, please continue to the next step. If it shows six COM ports, please skip to step 15.
  7. Uninstall the COM5 and COM6 ports by selecting the port, right-clicking and selecting Uninstall. After you delete the last port, you are prompted to reboot the virtual machine. Click Yes.
  8. When the virtual machine reboots, and you are logged in, open the "Control Panel" and double-click Add/Remove Hardware. The "Add/Remote Hardware Wizard" starts. Click Next.
  9. Select the Add/Troubleshoot a device option and click Next.
  10. Select Add a New Device and click Next.
  11. Select the "Yes, search for new hardware" option and click Next.
  12. The wizard should detect four COM ports. Click Next.
  13. Click Finish to close the wizard, then restart the guest operating system when prompted.
  14. Open the Device Manager again. Expand the "Ports" tree. You should see six COM ports (COM1 through COM6).
  15. Select COM3, right click and select Uninstall. Click OK to confirm the removal of the COM3 port. Repeat this step for COM2 and COM4.
  16. Now COM1 should show as configured. If not, just shut down and restart the guest operating system. You do not need to remove the COM5 and COM6 ports.

Related topics:

  • Enabling serial port devices in a virtual machine


Issues with enabling sound from a virtual machine

Workstation has the following limitations with regards to enabling sound in virtual machines:

  • Sound support is limited to Sound Blaster compatible PCM (Pulse Code Modulation) output. This includes the ability to play .wav, .au and Real Audio formats.
  • MIDI sound is not supported.
  • Game ports/joysticks are not currently supported.
  • Sound does not work well with several games, especially fast, interactive games.
  • Workstation does not support the DirectSound capabilities of DirectX within a virtual machine.
  • DirectSound/DirectX is not supported.

The following table describes problems you might encounter with sound in a virtual machine.

Problem

Explanation

Each time I restart my Windows guest operating system, the volume is reset to an unexpected level.

The host and all running guest operating systems share a single volume control for the host machine's sound card. The resulting behavior can sometimes be confusing.

For example, if the volume is set in the guest operating system at boot time, this can produce an unexpected change of volume in the host operating system.

Each operating system expects that it has exclusive control of the sound hardware. Thus, the volume level displayed in the guest operating system may not reflect reality if the host operating system or another guest operating system changes the volume.

Note that applications running on the same operating system (that is, on the host or on a particular guest) know they may be sharing the volume control with other applications and can usually negotiate sound control. For instance, on Linux, try xmixer -poll.

Sound applications work well at times, poorly at other times.

Sound is sensitive to system load. Shutting down or pausing other applications may help.

Some applications produce terrible sounds or no sound at all, or abort or behave in other strange ways when trying to use the sound device.

Sound support is experimental. If an application causes problems, do not use it, or use it with sound turned off if possible.

Sound applications appear to be playing, but no sound is heard at all.

First, make sure that sound works properly on the host operating system. Then check the volume setting in the guest operating system. Also check that a virtual sound device is configured for the virtual machine.

Sound does not work correctly in a guest operating system when the host machine has a Sound Blaster Live! card.

Workstation does not support the Sound Blaster Live! card on a Linux host operating system. As of Oct. 8, 1999, Creative Labs' most recent Linux driver (emu10k1-0.3b.tar.gz, released 99/7/13) for the Sound Blaster Live! card does not work according to specifications. At this time, we have not identified a workaround to the problems in the driver. We have contacted Creative Labs to resolve this issue.

Sound plays erratically.

If you experience this problem, try closing some running applications. Sound may play erratically under heavy system loads.

Sound works well on all guest operating systems except Windows 2000.

Under some circumstances, Windows 2000 currently suffers some performance degradation. Sound quality is affected by system load and performance.

The sound card removed from a virtual machine still appears connected in VMware Tools.

If you uncheck/remove the sound card from a virtual machine using the drop-down list box, then open VMware Tools inside the guest operating system and check the state of the devices, the sound card still shows as being connected. The sound card is still connected until it is removed via VMware Tools.

An error message appears that says "Error 32 opening output sound device 0".

This error may occur if you have more than one device installed and the first device is not configured properly. One workaround is to change the value of the sound.device entry in the .vmx file for the guest operating system to -1:

sound.device = -1

Setting the value to -1 forces Workstation to automatically select the device that works.

Alternatively, you can specify a particular sound device by declaring its value in the .vmx file for the guest operating system. The first sound device is assigned a value of 0; the second, 1; the third, 2; and so on. For example, to specify device 1, set:

sound.device = 1

If these suggestions do not resolve the problem, please file an incident report at http://www.vmware.com/fileincident

When powering on a virtual machine, the following message appears: 'The host sound device is not available'.

If you have enabled the virtual machine's sound adapter and your host machine does not have a sound card or a sound driver loaded then this pop-up message is normal.

For a virtual machine to be able to play sound, you must first configure your host machine to play sound. Refer to your sound card documentation to install the sound card and its associated software drivers for the host operating system, then play a sample .WAV file to verify sound works on the host.

The next time you power on the virtual machine the pop-up message should not appear since the host sound device will be available.

No sound emanates from virtual machine when the host runs Enlightment Sound Daemon.

If Enlightment Sound Daemon is enabled on the Linux host, the software opens the host machine's sound device by the time X starts. When a virtual machine with sound configured is started on a host with ESD running, Workstation will not be able to access the sound device since it is in use. As a workaround, you can start the Workstation session using the esddsp wrapper (start the session by typing esddsp vmware or esddsp <config_filename>.cfg). The wrapper will pass the sound output generated by the virtual machine as an audio stream to the ESD audio server.

Related topics:

  • Enabling sound for a virtual machine


Enabling sound from a virtual machine

If your host operating system is configured for sound, you can enable sound for a virtual machine. Currently PCM (Pulse Code Modulation) sound output and sound input are supported. That is, Workstation supports any application that produces sound without using MIDI. Synthesizer sound output, game controllers, and joysticks are not supported.

The virtual sound device is compatible with a Creative Technology Sound Blaster 16 audio device. It supports sound in Windows 95, Windows 98, Windows NT, Windows 2000, and Linux guest operating systems.

The sound device is disabled by default and must be enabled in the Configuration Editor.

To enable sound support for a virtual machine:

  1. Configure sound on your host operating system. Refer to the documentation for your particular operating system for instructions.
  2. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  3. Select Settings > Configuration Editor from Workstation.
  4. Click Add in the "Hardware" panel.
  5. In the "Hardware Type" window, select Sound Adaptor from the list under "Hardware types". Click Next.
  6. Under "Device status", select the Connect at power on option if you want the sound to be enabled when the virtual machine powers on.
  7. Under "Connection" , select the sound adaptor you want to use . By default, "Crystal WDM Audio" is selected.
  8. Click Finish .

Note: If you do not have sound on your host, or if it is used by another application, you will get an error message when you try to run the virtual machine, and the sound device will be disconnected. Use the "Devices" menu entry to reconnect it.

Enabling sound for guest operating systems

You must configure the guest operating system to use the VMware virtual sound device. This device is compatible with a Creative Technology Sound Blaster 16.

For Windows 2000 guest operating systems:

  1. Double-click the Add/Remove icon in the Windows 2000 Control Panel.
  2. From the "Add/Remove Hardware Wizard" dialog, select Add a New Device and click Next.
  3. From the "Find New Hardware" screen, select "No, I want to select the hardware from a list" and click Next.
  4. From the "Hardware Type" screen, select "Sound, video and game controllers" from the list and click Next.
  5. From the "Select a Device Driver" screen, select Creative from the manufacturers list and select "Sound Blaster 16 or AWE32 or compatible (WDM)" from the models list, then click Next.
  6. From the "Start Hardware Installation" screen, click Next to install the Sound Blaster 16 drivers.
  7. From the "Completing the Add/Remove Hardware Wizard" screen, click Finish and reboot the virtual machine. Sound should be working the next time the virtual machine boots Windows 2000.

For Windows 95 and Windows 98 guest operating systems:

Note: If you have never installed a Sound Blaster 16 Card in this Windows system previously, you will need a Windows 95 or Windows 98 installation CD-ROM.

  1. Launch Add New Hardware from the Windows Control Panel.
  2. Click Next.
  3. Select Yes for "Do you want Windows to search for new hardware?"
  4. Click Next.
  5. Click Next again.
  6. Windows should run the auto-detection and say it is ready to finish.
  7. If prompted to do so, insert the Windows CD-ROM into the drive and click OK.
  8. Click Finish.

If you have problems with Windows auto-detection, add the device manually.

  1. Launch Add New Hardware from the Windows Control Panel.
  2. Click Next.
  3. Select No for "Do you want Windows to search for new hardware?"
  4. Click Next.
  5. Select "Sound, video and games controllers."
  6. Click Next.
  7. Select "Creative Labs Sound Blaster 16 or AWE-32."
  8. Click Next.
  9. Click Finish.

For Windows NT guest operating systems:

Note: If you have never installed a Sound Blaster 16 Card in this Windows NT system previously, you will need a Windows NT 4.0 installation CD-ROM.

  1. Launch Multimedia from the Windows NT Control Panel.
  2. Click the Devices tab.
  3. Click the Add button.
  4. Select the "Creative Labs Sound Blaster 1.X, Pro, 16."
  5. Click OK.
  6. Insert the Windows NT 4.0 CD-ROM in the CD-ROM drive when prompted.
  7. Specify D:\I386 (or another drive if D: is not your CD-ROM drive).
  8. Click OK.
  9. Configure the Sound Blaster base I/O Address to 220.
  10. Click OK.
  11. Complete the Sound Blaster 16 Configuration.
  12. Click OK.
  13. When prompted to restart, select Restart Now.

For Linux guest operating systems:

Refer to the documentation for your particular Linux distribution. You may need to install additional software packages on your system to support sound. When configuring the sound, use the following parameters:

  • IO Port -- 0x220
  • IRQ -- 5
  • 8-bit DMA -- 1
  • 16-bit DMA -- 7

Known Sound Limitations With VMware Products

  • Sound support is limited to Sound Blaster compatible PCM (Pulse Code Modulation) output. This includes the ability to play .wav, .au and Real Audio formats.
  • MIDI sound is not supported.
  • Game ports/joysticks are not currently supported.
  • Sound does not work well with several games, especially fast, interactive games.
  • Workstation does not support the DirectSound capabilities of DirectX within a virtual machine.

Troubleshooting Sound in the Host

You can find details on troubleshooting sound issues in a Windows NT or Windows 2000 host on the VMware Web site at http://www.vmware.com/support/win/troubleshooting/video_sound_ts_win.html#sound_host.

Related topics:

  • Issues with enabling sound
  • Changing the physical sound adapter used for a virtual machine
  • Automatically enabling sound at power on


Changing the connection for sound from a virtual machine

You can change the physical sound adapter that is used to enable sound in a virtual machine.

To change the physical sound adapter that is used in a virtual machine:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the virtual Sound Adapter.
  4. On the far right, make a different selection from the "Use physical sound adapter" field under "Connection" .
  5. Click OK.

Related topics:

  • Enabling sound from a virtual machine
  • Issues with enabling sound
  • Automatically enabling sound at power on


Workstation support for USB devices

VMware has tested a variety of USB devices. In general, if the guest operating system has appropriate drivers, you should be able to use storage (disk) devices, scanners, MP3 players, PDAs, printers, digital cameras and memory card readers. Be aware of these limitations as you test USB functionality in Workstation:

  • Some modems and certain streaming data devices, such as speakers and Web cams, may not work properly.

  • On Windows 2000 and Windows XP hosts, when a particular USB device is connected to a virtual machine for the first time, the host detects it as a new device named 'VMware USB Device' and installs the appropriate driver for your VMware product. On Windows XP hosts, user confirmation is required in the Found New Hardware Wizard; simply select the default action: Install the software automatically. Once this step completes, the guest operating system detects the USB device and searches for a suitable driver.

    When synchronizing a PDA such as a Palm Pilot or Handspring Visor to a virtual machine for the first time, the total time required to load the VMware USB device driver in the host operating system and the PDA driver in the guest operating system might exceed the device's connection timeout value, causing the device to disconnect itself from the computer before the guest can synchronize with it. If this occurs, let the guest finish installing the PDA driver, dismiss any connection error warnings, then try synchronizing the PDA again. The second attempt should succeed.

Note: USB user interface devices such as keyboard and mouse are not handled though the virtual machine's USB controller. Instead, they appear in the virtual machine as a PS/2 keyboard and mouse, even though they are plugged into USB ports on the host.

Related topics:

  • Enabling a USB device from a virtual machine


Enabling a USB device from a virtual machine

You can use up to two USB devices in your virtual machine if both your host operating system and your guest operating system support USB. Only one operating system -- host or guest -- can have control of a USB device at any one time. When you connect a device to a virtual machine, it is unplugged from the host operating system or from the virtual machine that previously had control of the device. When you disconnect a device from a virtual machine, it is plugged in to the host operating system.

To take advantage of the USB support, you must create your virtual machine using the Workstation 3.0 New Virtual Machine Wizard. You can disable USB devices using the Configuration Editor. The virtual machine's USB ports are enabled by default.

If a USB controller does not appear in the list of devices for your virtual machine, you can add it. Follow these steps:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add on the "Hardware" panel.
  4. Select 2 Port USB Controller from the list of hardware types.
  5. Click Finish.
By default, Workstation automatically connects any newly plugged-in USB device to the guest operating system rather than the host operating system when a virtual machine is powered on and its window is the active window.

This 'autoconnect' feature can be disabled in the USB Controller panel of the Configuration Editor. If, during automatic connection, all of the virtual machine's USB ports are already occupied, a dialog box lets users choose between disconnecting one of the existing USB devices to free its port, or ignoring the new device, allowing it to connect to the host operating system.

To turn off Workstation's autoconnect feature:

  1. Select Settings > Configuration Editor from Workstation.
  2. Select the USB controller from the list.
  3. On the far right, deselect the 'Automatically connect new USB devices to this virtual machine when it has focus' option.
  4. Click OK.

Connecting to USB Devices

While the virtual machine is powered on, use the "Devices" menu to connect specific USB devices to your virtual machine. You can connect up to two USB devices at a time.

There is a menu item for each of the USB ports. Move the mouse over one of these items to see a list of devices that are plugged into your host computer and available for use. To connect a device to the virtual machine, click its name. If a device is already connected to that port, you can release the connected device by selecting 'None' from the submenu corresponding to the device's USB port.

Unplugging USB Devices

To disconnect a USB device from a virtual machine, select 'None' from the submenu corresponding to the device's USB port.

If you physically unplug a USB device that is connected to a virtual machine, the virtual machine will behave just as a physical computer would. The device will no longer be seen as an available device inside the virtual machine and its name will disappear from the "Devices" menu.

Caution: You should always wait until a USB device is idle before unplugging it. This is true whether you are physically unplugging it or moving it from host to virtual machine, between virtual machines or from virtual machine to host. This is particularly important with data storage devices (a Zip drive, for example). If you move a data storage device too soon after saving a file and the operating system has not actually written the data to the disk, you can lose data.

Note: If you will not be using USB devices in a virtual machine, you can remove its USB controller using the Configuration Editor.

Related topics:

  • Workstation support for USB devices


Enhancing video in a guest Linux operating system running off a dual-boot raw disk

Early distributions of the XFree86 4.x X server were not shipped with an SVGA driver for the virtual video adapter used in VMware products. Unless you install a driver created for the virtual video card, you will only be able to use a Linux virtual machine in VGA mode.

Unless you install a driver created for the virtual video card, you will only be able to use a Linux virtual machine in VGA mode.

Follow the instructions below to download and install a driver specifically designed for the VMware virtual video adapter.

To use XFree86 4.x in a Linux Virtual Machine:

  1. Obtain a video driver module for VMware SVGA (vmware_drv.o). You can find this file at http://www.vmware.com/download/downloadxserver.html
  2. Log in to your guest operating system as root using the following command in a terminal window:
    su
  3. Copy the module into place.
    cp vmware_drv.o /usr/X11R6/lib/modules/drivers/vmware_drv.o
  4. Modify the XF86Config file. This is likely located in /etc/X11/XF86Config-4. You will need to add a "Device" section similar to the following:

    Section "Device"
    Identifier "VMware SVGA"
    Driver "vmware"
    BusID "PCI:0:15:0"
    EndSection

  5. Make sure that your "Screen" sections specify Device "VMware SVGA"
  6. Run X normally and you should have SVGA support.

Known issues using an XFree86 4.x X server in a guest operating system

The following table describes some known problems with using XFree86 in a guest operating system.

Problem

Description

An error message appears about the color depth that looks similar to the following:

Given depth (<x>) is not supported by this driver (<y> is required)
Currently unavailable depth of <x> requested. [...]

The X server in the guest operating system must run at the same color depth as the host operating system. The XFree86 4.x server gives precedence to the default set in its configuration file (in contrast to XFree86 3.x, which allows the driver to override the setting in the configuration file).

To resolve the problem, edit your XF86Config file. (Check the documentation for your Linux distribution for the location. It can usually be found in /etc or /etc/X11.) Delete or comment out any "DefaultDepth" lines. The VMware-supplied driver will then automatically detect and use a compatible color depth.

The version of XFree86 shipped with Red Hat Linux 7.0 exits with a segmentation violation and core dump when run under 2.0.x versions of VMware Workstation.

This is a bug in XFree86 version 4.0.1a when it is run in the presence of an ISA video card. You can download updated X servers from the XFree86 Project. You should be able to download the pre-built X server and copy it to /usr/X11R6/bin/XFree86 to upgrade.

As it starts, X prints '(WW) VMWARE: No Matching Device Section for instance (BusID PCI:0:15:0) found.' and then '(EE) No devices detected'.

This happens because the VMware SVGA adapter is detected as a secondary display controller (secondary to a separate ISA VGA card). You need to be sure to include the BusID line in the "Device" section when you modify XF86Config.

Related topics:

  • Changing video resolution in a Linux virtual machine


Enhancing video in a guest Windows 2000 operating system running off a dual-boot raw disk

To enhance video in a virtual machine with a Windows 2000 guest operating system, you must upgrade the SVGA driver. You must first install VMware Tools (including the SVGA display driver).

To upgrade Windows 2000 to use the new SVGA driver:

  1. Double-click the Display icon in the Control Panel. This opens the "Display Properties" control panel.
  2. Click the Settings tab.
  3. Click the Advanced button.
  4. Click the Adapter tab.
  5. Click the Properties button.
  6. Click the Driver tab.
  7. Click the Update Driver button. This starts the "Upgrade Device Driver" wizard. Click Next.
  8. Select the option labeled "Display a list of the known drivers for this device so that I can choose a specific driver." Click Next.
  9. Click the Have Disk button.
  10. Browse to the drivers subdirectory under your VMware Tools directory. For example:
    C:\Program Files\VMware\Drivers
  11. Select the VMware, Inc. SVGA display adapter and click Next.
  12. Click Next again. Click Yes to indicate that you want to continue with the installation.
  13. Click the Finish button.
  14. Click Yes to restart Windows 2000 and start using the new video driver.


Enhancing video in a guest Windows 95 operating system running off a dual-boot raw disk

To enable video in a virtual machine that is running Windows 95 as a guest operating system, you must configure the SVGA video driver using VMware Workstation.

  1. Boot Windows 95 natively (not in a virtual machine).
  2. Right-click on the My Computer icon on the desktop, then select Properties.
  3. Click the Hardware Profiles tab.
  4. Highlight the Original Configuration profile, then click Copy.
  5. Name the profile VMware, then click OK.
  6. Click OK to close the System Properties dialog.
  7. Shut down Windows 95 and reboot the system.
  8. Boot into your host operating system (Linux, Windows NT or Windows 2000).
  9. Start the Windows 95 virtual machine.
  10. Select VMware from the list of profiles when prompted.
  11. If you are prompted to select the CPU Bridge, accept the default, then click OK.
  12. Restart Windows 95 when prompted.
  13. Again, select VMware from the list of profiles when prompted.
  14. When the video card is detected, you will be prompted to select which driver you want to install for your new hardware. Click the "Select from a list of alternate drivers" radio button, then click OK.
  15. Select Display Adapters from the "Select Hardware Type" dialog.
  16. Select "Standard Display Adapter (VGA)" from the device list, then click OK.
  17. Restart Windows 95 when prompted.
  18. Once Windows is restarted, locate the VMware Tools self-extracting archive file.
  19. Install VMware Tools then restart the virtual machine.
  20. Start the Device Manager and expand the "Display adapters" tree.
  21. Highlight VMware SVGA. Click Properties.
  22. Deselect Original Configuration, then click OK. Click Close.
  23. Shut down Windows and power off the virtual machine.
  24. Shut down your host operating system (Linux, Windows NT or Windows 2000) and reboot into Windows 95.
  25. Select the Original Configuration profile when prompted.
  26. Repeat steps 20 through 22 and uncheck VMware, leaving Original Configuration checked.


Enhancing video in a guest Windows 98 operating system running off a dual-boot raw disk

If you want to enable video in a virtual machine that is running a Windows 98 guest operating system, you must install a SVGA video driver using Workstation.

To install the VMware SVGA video driver:

  1. Boot Windows 98 natively (not in a virtual machine).
  2. Right-click the My Computer icon on the desktop, then select Properties.
  3. Click the Hardware Profiles tab.
  4. Highlight the Original Configuration profile, then click Copy.
  5. Name the profile VMware Configuration, then click OK.
  6. Click OK to close the System Properties dialog.
  7. Shut down Windows 98 and reboot the system.
  8. Boot into your host operating system (Windows NT or Windows 2000).
  9. Select VMware Configuration from the list of profiles when prompted.
  10. Windows 98 will auto-detect the virtual machine's devices and install their drivers.
  11. When it detects the video card driver, select "Search for the best driver."
  12. When prompted to reboot, click No. The AMD PCNET driver will then be installed, followed by the IDE controller drivers.
  13. When prompted to reboot, click Yes.
  14. Select the VMware Configuration hardware profile.
  15. After Windows 98 has completed booting, start the Add New Hardware wizard from the Control Panel.
  16. Click Next, then Next again.
  17. Select "No, the device isn't in the list."
  18. Click Yes, then click Next.
  19. After all devices have been detected, click the Details button to list the detected non-Plug and Play devices.
  20. Click Finish, then reboot the virtual machine when prompted.
  21. Select the VMware Configuration Profile. Notice that an "unknown monitor" is detected and installed.
  22. Install VMware Tools for Windows.
  23. At the end of the tools installation, the "Display Properties" dialog should be displayed.
  24. Click the Advanced button, then click the Adapter tab.
  25. Click the Change button. The "Update Device Driver Wizard" starts.
  26. Click Next.
  27. Select the "Display a list of all drivers ..." option, then click Next.
  28. Click the Have Disk button.
  29. Type C:\WINDOWS\TEMP in the "Copy manufacturer's files from" field, then click OK.
  30. Click OK to select the VMware SVGA device, then click Next.
  31. If you are prompted with an "Update Driver Warning", click Yes, then click Next.
  32. Click Finish, then click Apply.
  33. Click Close, then reboot when prompted.
  34. After booting is completed, open the Device Manager. It should show that you have:
    • Standard PCI Graphics Adapter
    • VMware SVGA Display Adapter
  35. Shut down the Windows 98 virtual machine and your host operating system.
  36. Boot natively into Windows 98, then start the Device Manager.
  37. Select the VMware SVGA device if listed, then click Remove.
  38. Select the Remove from "Specific Configuration" option, then select Original Configuration from the configuration list.
  39. Click OK, then reboot Windows 98 when prompted.
  40. Boot into Windows 98 natively and verify the display settings. You should be able to use the display driver that you installed natively before starting this procedure.


Enabling video from a virtual machine

More information will be provided in a later release.


Changing the device node for a virtual drive

You can change the device node for a virtual drive. For example, you can choose whether to use a SCSI device or an IDE device, and then select the specific node you want to use.

To change the device node for a virtual drive:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. From the list of devices on the "Hardware" panel, select the virtual drive.
  4. Make a different selection under "Virtual device node" by selecting the node you want to use from the drop-down list box.

    Note: You cannot change the type of the virtual disk (for example, SCSI or IDE). You can only change the node used by the virtual disk.

  5. Click OK.


Consolidating multiple virtual drives into one

VMware does not provide special software tools to consolidate the contents of multiple drives into a single drive.

To consolidate the contents of multiple drives, operating systems must be persuaded that software installed on these drives (for example, C:, D:, E:) will be moved to one drive (for example, C:) and that all files with stored paths to other drives (for example, D: and E:) would have to be changed to the first drive.

However, if you have data files on two of the three virtual disks (where the files could be safely moved), then it would be possible (as with a standard PC) to use the standard backup software provided with the guest operating system to:

  1. Backup the boot/system drive.
  2. Create a large virtual disk for the virtual machine.
  3. Install a fresh copy of the guest operating system into the virtual machine.
  4. Use the guest operating system's included software to restore the original 2GB boot/system drive image on top of the large virtual disk.
  5. Copy the data files from the two 2GB drives into the single large drive.

Note: Quite a bit of time will be required to perform the above steps, so VMware does not recommend this procedure in general.


Disk Modes for Virtual Disks

There are three types of disk modes that can be enabled for raw, plain, and virtual disks:

  • Persistent. This mode is the default. With this mode, all data written to a persistent disk are immediately and permanently written to the disk. As a result, the disk behaves as a conventional disk drive on a real computer.

  • Nonpersistent. Changes to nonpersistent disks are not saved during the Workstation session and are lost at the end of the session (that is, when the virtual machine is powered off or reset). Nonpersistent disks are convenient for people who always want to start with a virtual machine in the same state. Example uses include providing known environments for software test and technical support users as well as doing demonstrations of software. Any disk type can be used in nonpersistent mode.

    Workstation only reads the disk. Any writes to the disk during the session are actually written to a redo log file that is deleted at the end of the session; when you power off or reset the virtual machine. During the Workstation session, any blocks that have been modified and written to the redo log file are read from the redo log file instead of the disk. At the end of the Workstation session, the redo log file is discarded. The guest operating system is entirely unaware that the disk is nonpersistent. Normal guest operating system file buffering works on top of this mechanism, providing efficient buffered I/O. Some disk operations may even be faster to a Workstation nonpersistent disk than to a physical disk. The redo log file is placed in the same directory as the disk file by default. However, the location of the redo log file can be changed in the Configuration Editor..

  • Undoable. Undoable mode lets you decide at the end of a working session whether you want to keep or discard the changes made during that session. This is especially useful for experimenting with new configuraitons or unfamiliar software. Because of the disaster-recovery possibilities this mode offers, many users prefer to make undoable disks a standard part of their configurations.

    Undoable disks are similar to nonpersistent disks in that writes to the disk are stored in a file called a redo log. An undoable disk, unlike a nonpersistent disk, gives you the option later of permanently applying the changes saved in the redo log, so they become part of the main disk.

    While the Workstation session is running, disk blocks that have been modified and written to the redo log are read from there instead of the disk. Any disk type can be used in undoable mode. When you power off a Workstation session with an undoable disk, you are given three options: commit the changes in the redo log to the disk, discard the changes in the redo log, or keep the redo log. If you choose to keep the redo log, the next time you power on the virtual machine Workstation detects the redo log file and prompts you to either commit the redo log changes from the previous session, discard the redo log, continue appending changes to the redo log or cancel the power on.

    The redo log file is placed in the same directory as the disk file by default. However, you can change the location of the redo log file in the Configuration Editor.

By default, new virtual machines use an IDE disk in normal (persistent) mode for Windows 95, Windows 98, Windows Me and Windows XP guests. The default for all other guest operating systems is a SCSI disk in normal (persistent) mode.


Adding a virtual hard disk that uses a raw disk

To add a virtual hard disk that uses a raw disk:

Note: Only advanced users should attempt this procedure.

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" screen, select Hard Disk from the list under "Hardware types". Click Next.
  5. In the "Select a Disk" screen, select Use a physical disk and click Next.
  6. In the "Select a Physical Disk" screen, choose a raw hard disk partition from the drop-down list box. The drop-down list box shows all local hard disks for the host machine.
  7. Click Next.
  8. In the "Configure Partition Access" screen, select which partitions the guest operating system can read (only), and which partitions the guest operating system can read and write to.

    Note: You can choose to hide the type of read-only partitions from the guest operating system that will be using the virtual hard disk.

  9. Click Next.
  10. In the "Disk File" screen, click Browse and select the path to the disk file that you want to store information about this virtual hard disk.

    Note: Be sure to select a location on your local hard drive to store this file.

  11. If you want to enable write caching, click Advanced and follow the remaining instructions. Otherwise, click Finish.
  12. If you want to enable write caching, select the "Enable write caching" option.
  13. Click Finish .

Related topics:

  • Assigning access rights to disk partitions
  • Disk types you can assign to virtual disks
  • Disk modes you can assign to virtual disks


Adding an existing virtual disk to a virtual machine

To add an existing virtual disk:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" screen, select Hard Disk from the list under "Hardware types". Click Next.
  5. In the "Select a Disk" screen, select Use an existing virtual disk and click Next.
  6. In the "Select an Existing Disk" screen, click Browse and navigate to select the disk file for the virtual disk that you want to reuse in this virtual machine.
  7. Click Next.
  8. In the "Select a Disk Mode" screen, make a section:
    • Persistent
    • Nonpersistent: Discard changes after powering off
    • Undoable: Ask to save changes after powering off

      >>More information about disk modes

  9. If you want to choose the virtual device node that will be used for the existing virtual disk, click Advanced and follow the remaining instructions. Otherwise, click Finish.
  10. In the "Select a Device Node" screen, you must remain using the type of device that was already specified for the virtual disk (i.e., SCSI or IDE). However, you can select the specific device node to use from the corresponding drop-down list box.
  11. If you want to enable write caching, select the "Enable write caching" option.
  12. Click Finish.

    Related topics:

    • Assigning access rights to disk partitions
    • Disk types you can assign to virtual disks
    • Disk modes you can assign to virtual disks


Adding a virtual disk to a virtual machine

To add a virtual disk:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" screen, select Hard Disk from the list under "Hardware types". Click Next.
  5. In the "Select a Disk" screen, select Create a new virtual disk and click Next.
  6. In the "Specify Disk Capacity" screen, enter a maximum size for the disk file and click Next.

    This value should be the maximum capacity of your hard disk. The actual disk file is initially much smaller and grows as you add data to it, up to the specified maximum.

    Note: The disk should be large enough to contain the guest operating system and any applications and data you will need. Choose the size carefully because once a virtual disk is created, its maximum size can never be changed. You can, however, add more virtual disks in unused positions.

  7. In the "Disk File" screen, click Browse and select the path to the disk file that you want to store information about this virtual disk.

    Note: Be sure to select a location on your local hard drive to store this file.

  8. If you want to choose the virtual device node that will be used for the virtual disk, click Advanced and follow the remaining instructions. Otherwise, click Finish.
  9. In the "Select a Device Node" screen, choose whether to use a SCSI or IDE drive for the virtual disk, and then select the specific device node to use from the corresponding drop-down list box.
  10. If you want to enable write caching, select the "Enable write caching" option.
  11. Click Finish .

Related topics:

  • Assigning access rights to disk partitions
  • Disk types you can assign to virtual disks
  • Disk modes you can assign to virtual disks


Enabling a virtual hard disk from a virtual machine

Virtual hard disks are the disk partitions of virtual machines. They are stored as a file on the file system of your host operating system. Since an entire disk partition is saved as a file, it is easy to backup, move, and copy. You can even share virtual hard disks from a file server.

You add and remove virtual hard disks using the Configuration Editor. The content of a virtual hard disk may be stored in a file or in a set of existing (raw) disk partitions on a physical host hard disk. Normally a virtual machine has at least one virtual hard disk.

To add a virtual hard disk:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click Add in the "Hardware" panel.
  4. In the "Hardware Type" window, select Hard Disk from the list under "Hardware types". Click Next.
  5. Make a selection from the "Select a Disk" screen:
    • Create a new virtual disk >>Complete instructions

    • Use an existing virtual disk >>Complete instructions

    • Use a physical disk (for advanced users) >>Complete instructions

      >>More on types of virtual hard disks that you can create

Related topics:

  • Adding a new virtual disk
  • Reusing an existing virtual disk
  • Using a physical disk for a virtual disk
  • Assigning access rights to disk partitions
  • Disk types you can assign to virtual disks
  • Disk modes you can assign to virtual disks
  • Changing the configuration of a virtual disk


Enabling a Zip drive from a virtual machine

Depending on the type of Zip drive you have, you can enable it by configuring a virtual device to connect with it; either a generic SCSI device, a parallel port device, or a USB device.

Note: When configuring a Zip drive as a parallel port device, be aware that on a Windows 9x guest operating system you will need to obtain new drivers. Older drivers for the Iomega Zip drive may cause the guest operating system to lock up intermittently at boot time or during installation of the operating system. The newest Iomega drivers work reliably in tests conducted by VMware. They are available at: http://www.iomega.com.

Special Notes

Virtual machines do not support EIDE ATAPI Iomega Zip drives. An Iomega Zip drives that use an EIDE ATAPI interface cannot be used within a Workstation virtual machine. IDE disk drives within a virtual machine do not support ATAPI (although the virtual machine IDE CD-ROM drives do). Iomega EIDE ATAPI Zip drives can continue to be used on the host operating system and may contain Workstation virtual disks.

However, an EIDE ATAPI Iomega Zip drive will run in compatibility mode on dual-boot Windows 95/98 configurations. If you boot Windows 95 or Windows 98 from a raw disk (dual-boot situation) and configure your EIDE ATAPI Zip drive as an available device when Windows is running under Workstation as a guest operating system, the Iomega drivers/software will run in "compatibility" mode (rather than 32 bit mode) after that, even when you are running Windows natively.

This happens because Windows 95 and Windows 98 do not actually insulate the different hardware profiles (the native and guest versions) from each other. Workstation does not support IDE Zip drives. Thus, when the drive is accessed within Workstation, no IDE driver is present and Windows falls back to DOS compatibility mode, hoping some legacy DOS driver is running.

Related topics:

  • Enabling a parallel port Zip drive
  • Enabling a USB Zip drive
  • Enabling a SCSI Zip drive on Windows


Starting Workstation

  1. Start Workstation by double-clicking the shortcut on your desktop.

    When you launch Workstation, you can:

    • Select an existing virtual machine from the list on the left side of the Workstation window .
    • Create a new virtual machine by clicking New Virtual Machine .
    • Click Open Existing Virtual Machine.

Note: The first time you power on Workstation, you may be required to enter your 20-character serial number. This number is on the registration card in your package. Enter your serial number and click OK. After your serial number is validated, you will be invited to register your copy of Workstation on the VMware web site. You may choose to register immediately selecting the Register Now! option from the Help menu, or may do so at a later time.

Related Topics:

  • Starting an existing virtual machine


Starting a virtual machine

  1. Start Workstation by double-clicking the shortcut on your desktop.
  2. Click Open an existing configuration, and on the next screen find the virtual machine configuration and highlight it. Then click OK.

    When a new virtual machine is created, the information collected is saved to a file called <virtual_machine>.vmx . The configuration file is stored in the directory that was selected when the virtual machine was created. To access the same virtual machine in the future, navigate to this directory and select the configuration file.

  3. Click the Power On button or select Power > Power On to start the virtual machine.

    When the virtual machine powers on, the BIOS is loaded and starts running. You will see the VMware logo and the normal BIOS messages. Then the guest operating system that is installed in the virtual machine will be started.

  4. Click anywhere inside the Workstation to give the virtual machine control of your mouse and keyboard.
  5. If you need to log on to a network, type in your name and password just as you would on a regular computer.

Note: The first time you power on Workstation, you may be required to enter a serial number. After your serial number is validated, you will be invited to register your copy of Workstation on the VMware web site. You may choose to register immediately or may do so at a later time by selecting the Register Now! option from the Help menu.

Related Topics:

  • Common functions of the virtual machine
  • Problems with your serial number


Powering off a virtual machine

Before powering off the virtual machine, it is usually best to shut down the guest operating system.

To power off a virtual machine:

  1. In the virtual machine, save any work in running applications and close them.
  2. Follow the appropriate shutdown procedure for the guest operating system.

    Note: At this point, some operating systems will automatically power off the virtual machine, just as they would on a real computer. If not, continue with step 3.

  3. Free the cursor from the virtual machine (CTRL-ALT).
  4. Click the Power Off button.

    A dialog appears asking whether you are sure you want to power off the virtual machine.

  5. Click OK.

    The virtual machine powers down, and Workstation remains.

    At this point, you can use any of the Workstation file or toolbar options; for example, you can power on a different virtual machine after switching to another virtual machine configuration file, use the Configuration Editor to modify a virtual machine configuration, or create a new configuration file using the Wizard.

  6. Select File > Exit when you are ready to exit Workstation.

Related Topics:

  • Changing the state of a virtual machine
  • Powering on a virtual machine


Changing the state of a virtual machine

You can save the state of a virtual machine, suspend and resume a virtual machine, power off a virtual machine, reset a virtual machine, and revert to the last known good state of a virtual machine. Select a link under Related Topics for more information.

Related Topics:

  • Saving the state of a virtual machine
  • Suspending a virtual machine
  • Resuming a virtual machine
  • Powering on a virtual machine
  • Powering off a virtual machine
  • Resetting a virtual machine
  • Configuring the automation properties of a virtual machine


Resetting the state of a virtual machine

Selecting Power > Power Reset from Workstation resets the virtual machine. It is similar to powering the virtual machine off and on. Resetting the virtual machine loses the state of your guest operating system. It is usually better to use the normal reboot procedure of the guest operating system or to shut down the guest operating system before resetting the virtual machine.

Warning: If you are using a nonpersistent disk, all information written to the disk since the last virtual machine power on will be lost.


Resuming a virtual machine

To restore a virtual machine that you have suspended:

  1. Start Workstation and choose the virtual machine you just suspended.
  2. Click Resume on the Workstation toolbar.

    When you do so, the suspended virtual machine resumes running in the state it was in before it was suspended. Any applications you were running at the time you suspended the virtual machine are running and the content is the same as it was when you suspended the virtual machine.

Related topics:

  • Changing the state of a virtual machine
  • Suspending a virtual machine


Saving the state of a virtual machine

To save the state of a virtual machine, select File > Save from Workstation.

Related topics:

  • Changing the state of a virtual machine
  • Suspending a virtual machine
  • Resetting a virtual machine
  • Configuring the automation properties of a virtual machine


Suspending a virtual machine

To suspend a virtual machine:

  1. If your virtual machine is running in full-screen mode, return to window mode by pressing the CTRL-ALT key combination.
  2. Click Suspend on the Workstation toolbar.

By default, the state of a virtual machine is suspended or saved to disk, unless you specify otherwise. You can use the Configuration Editor to modify suspend options for your virtual machine. Suspend options include:

  • Suspend to disk. This allows you to save the current state of a virtual machine across reboots of your host operating system. With Instant Restore, you do not have to wait for your virtual machine to boot up. Instead, you can quickly pick up work right where you stopped, with all the applications and documents you were working on open and ready for use. This is Workstation's default behavior for suspend operations.
  • Suspend to memory. This saves the state of the virtual machine for as long as the virtual machine is powered on.

The speed of suspend and restore options depends on how much has changed during your working session. In general, the first suspend will take a bit longer than later suspend operations.

The following table contrasts Suspend to disk and Suspend to memory under certain situations.

Situation

Suspend to disk

Suspend to memory

Multiple virtual machines are running on a system with limited physical memory.

Memory is released so that it may be used my other applications.

It is possible that you may not be able to resume a suspended virtual machine if too little memory is available at the time.

Memory is not released because it is required to maintain the state of the virtual machine.

Virtual machine(s) running on a portable computer. You need to save power.

You may exit the virtual machine after suspending, and save your work for when you can resume it.

The saved state of the virtual machine is only available as long as the virtual machine is powered on.

The guest operating system in a virtual machine consumes resources while idling (for example, Windows 95, Windows 98, and Red Hat Linux 6.0).

You may suspend a virtual machine to disk and then exit.

You must resume the virtual machine and perform an orderly shutdown before powering off and exiting.

Warning: If you power off or exit a virtual machine that is suspended to memory, you will lose all your work and possibly leave the guest operating system in a bad or unstable state.

Related topics:

  • Changing the state of a virtual machine
  • Resuming a virtual machine
  • Issues with suspending a virtual machine


Issues with suspending a virtual machine

More information to be provided in a future release.


Printing from a virtual machine

More information to be provided in a future release.

Related topics:

  • Enabling a printer from a virtual machine


Using FTP from virtual machines

More information will be provided in a future release.

Related topics:

  • Using HTTP from virtual machines


Using HTTP from virtual machines

More information will be provided in a later release.

Related topics:

  • Using FTP from virtual machines


Grabbing keyboard and mouse input from virtual machines

To direct input to the virtual machine, Workstation grabs the keyboard and the mouse so all keystrokes, mouse moves, and button clicks go to the virtual machine. You can choose when Workstation will start grabbing input:

  • When you click the mouse in the virtual window. In this case, Workstation grabs the keyboard and mouse on the first mouse button click in the virtual machine"s window. The first click in the window is not sent to the virtual machine.
  • When you type in the window. In this case, Workstation grabs the keyboard and mouse on the first keystroke in the virtual machine window. The first keystroke is sent to the virtual machine. When the window is active and on key press is selected, there is no way to use the normal application and system accelerator key sequences.
  • When you click or type in the window. In this case, Workstation grabs the keyboard and mouse on the first mouse button click in the virtual machine's window, or upon the first keystroke in the virtual machine window.
  • When the mouse passes into the window. In this case, Workstation grabs the keyboard and mouse when the cursor passes into the window.

You can also determine Workstation's behavior when it ungrabs or releases the keyboard and mouse so that keystrokes, mouse moves, and button clicks return to the host operating system. You can set the cursor so it:

  • Ungrabs when the cursor leaves the window
  • Disappears when it ungrabs
  • Scrolls when it approaches the window edge

These last three options only have an effect when VMware Tools is running in the virtual machine.

Note: You can also use the CTRL-ALT Hot-Key combination to manually direct Workstation to ungrab input.

When working with grab and ungrab, you may encounter the situations described in the following table.

Situation

Explanation

Pressing CTRL-ALT to release the mouse and keyboard causes a laptop to go into suspend mode.

Workstation uses CTRL-ALT to release the mouse and keyboard. Some laptops use this same key combination to suspend the host machine.

In these cases, try using CTRL and ALT on the right-hand side of the keyboard. Workstation recognizes both sets of CTRL and ALT keys, while laptops usually only recognize left-hand keys for the suspend function.

After pressing CTRL-ALT to release the mouse and keyboard, the keyboard does not function properly within the host operating system.

Sometimes Workstation will cause the host operating system to lose keyboard events. This causes the host operating system to think that keys are being pressed when they are not.

If you notice strange keyboard behavior in the host operating system after leaving Workstation, then press and release each of the modifier keys individually, including: CTRL, SHIFT, and ALT. This should release the keys that are stuck in the host operating system.

If this does not work, then try other special keys including the Windows key, ESC, and Caps Lock.

Related topics:

  • Setting input grabbing options for VMware Workstation
  • Setting priority for grabbing input


Using Hot-Key sequences with virtual machines

You can use Hot-Key sequences to interact with virtual machines. Hot-Key sequences can be used to:

  • Switch between virtual machines
  • Leave full-screen mode
  • Ungrab input
  • Send CTRL-ALT-Delete to the virtual machine only (and not the host machine)
  • Send commands to the virtual machine only (and not the host machine)

To use Hot-Key sequences:

  1. Click or type in the virtual machine window to direct keyboard and mouse input to the virtual machine.
  2. Once Workstation has grabbed the keyboard and mouse, you can begin using Hot-Key sequences. Refer to the following table for descriptions of Hot-Key sequences you can use.

Hot-Key Sequence

Description

ALT-Tab

Changes between applications within the virtual machine.

ALT-ESC

Shifts between application windows within the virtual machine.

CTRL-ALT-Delete

Ends a session. This command is received by both the host operating system and the virtual machine, even when Workstation has control of input.

CTRL-ALT-Insert

Ends a session. This command is received solely by the virtual machine.

CTRL-ALT

Ungrabs input from the virtual machine.

CTRL-ALT-Enter

Expands the current virtual machine into full screen mode when running several virtual machines. Repeating the command switches the next virtual machine into full-screen mode. This command provides a useful way to move between virtual machines.

CTRL-ALT-<space>

Sends any command into the virtual machine so that Workstation does not process it. CTRL-ALT remains depressed as the space bar is pressed and then the next key in the sequence is pressed.

For example, to send CTRL-ALT to the virtual machine bypassing Workstation:

  1. Press CTRL-ALT.
  2. Press and release <space>.
  3. Press and release ESC.
  4. Release CTRL-ALT.

Related topics:

  • Setting the key combination used with Hot-Key sequences


Copying and Pasting

When VMware Tools are running, you can copy and paste between applications in the virtual machine and the host computer or between two virtual machines.

To copy and paste:

  1. Be sure you have installed and started the VMware Tools in your virtual machine.
  2. Select the item to be copied in the source window using the methodology of the current operating system.
  3. Change cursor and keyboard control to the destination window, and paste the item using the methodology of the current operating system.


Switching between virtual machines and the host

To switch between virtual machines and the host operating system, you can use a variety of techniques:

  • Point the mouse cursor inside a virtual machine (or the host operating system) and click.
  • Press keyboard keys to activate a virtual machine (or the host operating system).
  • Press Hot-Key combinations to transition between different virtual machine windows.

Related Topics:

  • Setting when the virtual machine will grab cursor or keyboard input
  • Setting the Hot-Key combinations used by Workstation


System Requirements

More information to be provided in a future release.


User Permissions

To run VMware Workstation, a user must be a member of the Power Users or Administrators group. To allow a user to run Workstation, ensure that the user is a member of the Power Users or Administrators group. If a user lacks the appropriate privileges, Workstation may fail to Power On with a message that reads: The system does not have sufficient memory to allow the virtual machine to Power On. Try closing some other applications and then try again.

Additionally, the Power Users group must have rights to "Increase scheduling priority."

On Windows 2000, follow these steps to add this right to the Power Users group:

  1. Log on as Administrator and open up the Control Panel (Start > Settings > Control Panel).
  2. In the "Control Panel", open Administrative Tools.
  3. In the "Administrative Tools" window, open Local Security Policy.
  4. In the "Local Security Policy" window, in the left panel, open up Local Policies and select User Rights Assignment.
  5. In the right panel, the list of users' rights appears. Highlight "Increase scheduling priority" and right-click it.
  6. From the pop up menu, select "Security".
  7. This brings up a window that shows which groups have the selected right. If Power Users is not listed, click the "Add" button.
  8. Select Power Users from the list and click Add, then OK to give this right to Power Users.
  9. Click OK to complete the setting.

On Windows NT, this privilege should be granted to Power Users by default. To add the right to the Power Users group:

  1. Log on as Administrator (only needed to change the privilege).
  2. From the Start menu, select Programs > Administrative Tools (Common) > User Manager
  3. In the "User Manager", select Policies > User Rights.
  4. In the "User Rights Policy" window, select the "Show Advanced User Rights" option.
  5. From the drop-down list box, select Increase scheduling priority.
  6. The "Grant To" box should now list Administrators and Power Users.
    If the Power Users group is not listed, then add it by clicking the Add button, then selecting the Power Users group, and clicking OK.
  7. Click OK again to close the "User Rights Policy" window.
  8. Close the User Manager.


Common functions of the virtual machine

Once the virtual machine is running, the most common functions appear in the toolbar:

  • Power On
  • Power Off
  • Power Reset
  • Suspend
  • Resume
  • Full Screen
  • Help


Setting priority for process scheduling within virtual machines

Workstation allows you to automatically set the process scheduling priority that applies to virtual machines with regards to their operation when their input is being grabbed, and when their input is not being grabbed. The process scheduling priority is set in contention with the host operating system, applications running on the host, and other virtual machines. There are three possible process-scheduling priorities: low, normal, and high.

The possible process priorities that can be assigned to all virtual machines, or individual virtual machines, are described in the following table.

Priorities | Priority when input is grabbed | Priority when input is not grabbed
High -- Normal | The virtual machine gains priority over other processes on the host. | The virtual machine contends with all the processes on the host.
High -- Low | The virtual machine gains priority over other processes on the host. | The virtual machine has lower priority than other processes on the host.
Normal -- Normal | The virtual machine contends with all the processes on the host. | The virtual machine contends with all the processes on the host.
Normal -- Low | The virtual machine contends with all the processes on the host. | The virtual machine has lower priority than other processes on the host.

Workstation defaults to Normal -- Normal for virtual machines. This means that virtual machines contend with all the processes running on the host whether their input is being grabbed, or not being grabbed.

You can change the process priority for individual virtual machines or for all virtual machines. Process priority changes for individual virtual machines take effect immediately. Global changes to process priority affect the current virtual machine immediately if it does not have a different local setting, and affect other virtual machines as input is grabbed or ungrabbed from them (unless they have a local setting that overrides the global setting).

Related Topics:

  • Setting priority for all virtual machines
  • Setting priority for individual virtual machines


Installing applications in a virtual machine

Installing new software in a VMware virtual machine is just like installing it on a regular computer.

  1. Be sure you have started the virtual machine and, if necessary, logged on.
  2. Check the Devices tab in VMware Tools to be sure the virtual machine has access to the CD-ROM and floppy drives.
  3. Insert the installation CD-ROM or floppy disk into the proper drive. If you are installing from a CD-ROM, the installation program may start automatically.
  4. If the installation program does not start automatically, follow the procedures of your guest operating system to locate and initiate the installation procedure.
  5. Follow the instructions on screen and in the user manual for your new software.


Keyboard Issues

More information will be provided in a future release.


Using laptops with virtual machines

More information will be provided in a future release.


Setting up docked laptops with virtual machines

More information will be provided in a future release.


Setting up undocked laptops with virtual machines

More information will be provided in a future release.


Moving files with virtual machines

You can move files between virtual machines (network file copies), between a virtual machine and its host (network file copies; assign a drive letter inside the virtual machine to correspond to a path on the host PC), and between a host and its virtual machines.

More information to be provided in a future release.


Memory-Related Issues

More information will be provided in a future release.


Memory contention between the host and its virtual machines

The memory that a virtual machine uses comes out of the same pool of memory that is used by all other applications running on the host, including the host operating system. To ensure smooth operation of the host operating system and its applications, Workstation limits the amount of the host's memory that can be locked by all virtual machines together, reserving 50% of the host's physical memory by default for exclusive use by the host. The rest of the host's physical memory can be used exclusively by virtual machines, ensuring that virtual machines can execute more efficiently because memory required for their operations is reserved solely for their use. When Workstation is using the memory reserved for virtual machines, it is not available to the host operating system and other applications.

The memory used by Workstation includes the memory made available to the guest operating systems as well as overhead memory associated with running a virtual machine. The amount of reserved memory used by a virtual machine depends on the working set of the guest operating system, essentially how much memory the guest operating system needs to run without experiencing poor performance plus a portion of overhead memory. The amount of overhead memory used by a virtual machine depends on several factors and can vary from a few megabytes to over 10MB. The actual amount of memory that comes out of the reserved memory pool is always well under 10MB. The amount of reserved memory actually used for a particular virtual machine varies dynamically as a virtual machine runs.

To provide good overall system performance, Workstation limits how many virtual machines can run at once based on the amount of available reserved memory. In doing so, Workstation prevents virtual machines from causing each other to perform poorly. Workstation permits an acceptable number of virtual machines to run simultaneously, ensuring that they work together to manage the reserved memory. If all this reserved memory is in use by one or more virtual machines, the host operating system will not be able to use this memory for any other purpose. Workstation uses the reserved memory only if it determines that a virtual machine needs the memory to have reasonable performance. Even if multiple virtual machines are running at the same time, Workstation may be using only a fraction of the reserved memory, thus allowing any unused reserved memory to be used by other applications running on the host.

Within the total amount of memory that is reserved for all virtual machines, an individual virtual machine can use at most the amount of memory configured in its configuration file plus some overhead. The amount of overhead memory required ranges from a few to less than 10 megabytes, depending on the size of the guest operating system and its behavior.

Workstation allows you to set the maximum amount of memory that it will reserve. The recommended amount of memory to reserve for applications is 50% of the host's physical memory. If you determine that you want Workstation to reserve more or less physical memory, you can change this amount. Changing the amount of reserved memory is recommended only for advanced users because it can have an adverse impact on the host or virtual machine performance. Selecting too much physical memory to reserve can cause the host to thrash, or even hang, if other applications are competing for memory on the host. Selecting too little physical memory to reserve can cause virtual machines to perform very poorly and also limit the number of virtual machines that can be run. This is because if free memory falls below a minimum value (specific to each host), the host operating system will continually free up memory by swapping to disk to maintain that amount of free memory. This pattern causes the virtual machine to run slowly as well.

By default, a virtual machine performs checks to ensure that enough free memory is left to the host machine to continue to operate efficiently:

  • First, it performs a check when it powers up to ensure that the total amount of memory allocated to all running virtual machines does not exceed the total physical memory of the host.
  • Second, the virtual machine periodically checks that the reserved memory allocated to currently running virtual machines does not exceed the total amount of reserved memory.

If these checks fail, the virtual machine terminates. You can disable memory checks, but remember that disabling either of these checks can result in poor performance, and even system crashes.

Related Topics:

  • Configuring the maximum memory for all virtual machines
  • Configuring the memory allocated to a virtual machine
  • Disabling memory checks
  • Issues related to memory


Migrating a virtual machine to an upgraded version of Workstation

To upgrade a virtual machine created with Workstation 2.0 to Workstation 3.0 you can:

  • Use an existing configuration file (.vmx ) and virtual disk (.vmdk), and upgrade VMware Tools. You do not need to remove the older version of VMware Tools before installing the new version. A virtual machine set up in this way should run without problems. However, you will not have the benefits of certain new features including: access to USB ports, the ability to use an operating system on a dual-boot machine within a virtual machine (via a BIOS setting), or access to the new unified video driver.

  • Create a new virtual machine, then migrate an existing virtual disk (.vmdk file). To do this, create a new virtual machine. Then delete the new .vmdk file created by the Wizard, and copy the existing .vmdk file to the virtual machine's folder. You may encounter a variety of issues with this approach, depending on the way the old virtual machine was configured -- just as you would if you moved a physical hard drive into a new computer with a different motherboard and video card.

Before using an existing virtual machine under VMware Workstation 3.0, you should take a few precautions.

  • Shut down the guest operating system normally (do not just suspend the virtual machine).
  • If you are using undoable disk mode, discard or commit changes to the disk when you shut down.
  • Back up all the files in the virtual machine's directory.

If you are migrating an IDE virtual disk, use the Configuration Editor (Settings > Configuration Editor) to be sure your new configuration is set up to use an IDE disk. If it is set up for a SCSI disk, take these steps:

  1. Remove the SCSI disk and add an IDE disk (at IDE 0:0 if it is your boot disk).
  2. Note the name of the .vmdk file for this new IDE virtual disk.
  3. Delete the .vmdk file created by the Configuration Editor and copy the virtual disk you are migrating into its place -- using the same file name as the file you just deleted.

Once you have the old virtual disk working under Workstation 3.0, you can update it to the new disk format by selecting Settings > Upgrade Disk. The new format provides improved disk I/O performance.

Note: Virtual machines created with the Experimental release of VMware Workstation will not run in the current production release version.

Related Topics:

  • Shrinking virtual disks


Hiding the type of read-only disk partitions

You can hide read only disk partitions from the virtual machine using the Configuration Editor. Doing so can be useful if you are:

  • Using raw disk partitions
  • Running multiple operating systems at the same time
  • Not using an advanced boot manager (such as PowerQuest BootMagic or V Communication System Commander)

For example, if you are running Windows NT from a disk partition that is formatted with the FAT file system, and you boot Windows 98 from another partition, Windows 98 sees the partition that Windows NT is running under and attempts to repair that file system. This may damage your disk or cause your computer to crash.

To solve this problem, Workstation provides an option -- Hide type of read-only partitions -- that allows you to hide the type of read-only disk partitions. Similar to some advanced boot managers, this option solves the problem by changing the partition type to unknown for all read-only partitions that are not necessary for the operating system that is being booted. The effect of enabling this option is that the guest operating system only sees the partitions for which the virtual machine has read/write access. This option also intercepts all write operations to the master boot record (MBR), allowing multiple operating systems to run on the same disk but with different views of the same partitions.

To enable this option:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Click the Options tab .
  4. Select the Hide type of read-only partitions option.
  5. Click OK.

Warning: Once this option is enabled, you cannot use an advanced boot manager within a virtual machine. If you need to install or use an advanced boot manager program within a virtual machine, you must first disable this option.

Note: This option is only relevant for Windows platforms. MS-DOS and Linux platforms do not automatically attempt to check and fix the file systems of other FAT partitions.

Related Topics:

  • Setting up virtual machines on a disk partition
  • Assigning access rights to disk partitions


Setting up hardware profiles

If you have a dual-boot system and want to use a virtual machine to boot a previously installed operating system (such as Windows 95, Windows 98, Windows NT, or Windows 2000) from an existing partition, you must set up "real" and "virtual" hardware profiles. Certain operating systems use hardware profiles to load the appropriate drivers for a given set of hardware devices. VMware recommends using them only if you are familiar with Workstation virtual machines and the Windows hardware profiles concept. Also, if you haven't already done so, look at the information about configuring dual- or multi-boot systems to run with Workstation before proceeding.

Each virtual machine provides a platform that consists of the following set of virtual devices:

  • Virtual CD-ROM
  • Virtual IDE hard disk drives
  • Virtual SCSI drives
  • Standard PCI graphics adapter
  • Standard floppy disk drive
  • Intel 82371 PCI Bus Master IDE controller (includes primary and secondary IDE controllers)
  • BusLogic BT-958 compatible SCSI host adapter
  • Standard 101/102-key keyboard
  • PS/2-compatible mouse
  • AMD PCNET Family Ethernet adapter (PCI-ISA)
  • Serial ports (COM1-COM4)
  • Parallel ports (LPT1-LPT2)
  • Sound Blaster 16-compatible sound card

This set of virtual devices is different from the set of real hardware devices and is independent of the underlying hardware with a few exceptions (the processor itself is such an exception). This feature provides a stable platform and allows operating system images installed within a virtual machine to be migrated to other virtual machines, regardless of the configuration of the real machine.

If an operating system is installed directly into a Workstation virtual machine, the operating system will properly detect all the virtual devices by scanning the hardware. However, if an operating system is already preinstalled on the real machine (for example, in a dual-boot configuration), the operating system will already be configured with the real hardware devices. In order to boot such preinstalled operating systems in a virtual machine, you will need to create separate hardware profiles in order to simplify the boot process.

Microsoft operating systems (including Windows 95, Windows 98, Windows NT 4.0, and Windows 2000) have the notion of hardware profiles. Each hardware profile is associated with a set of known devices. If more than one hardware profile exists, the user is prompted to choose between different hardware profiles at boot time. Windows 95, Windows 98 and Windows 2000 use Plug and Play at boot time to confirm that the actual devices match the chosen hardware profile. Mismatches lead to the automatic detection of new devices. Although this operation succeeds, it can be a fairly slow one. Windows NT does not have Plug and Play support and uses the hardware profiles to initialize its devices. Mismatches will lead to errors reported by the device drivers and the devices are disabled.

To set up hardware profiles for your real and virtual machines, VMware recommends that you follow these steps.

  1. Before running Workstation to boot a preinstalled operating system on a disk partition, boot it natively and create two hardware profiles: "Real Machine" and "Virtual Machine". To do this:
    1. Open Control Panel > System.
    2. Click the Hardware Profiles tab.
    3. Click the Copy button and name the copies appropriately.
  2. Windows NT only: While still running natively, use the Device Manager to disable some devices from the virtual machine hardware profile. To do this:

    1. Open Control Panel > Devices
    2. Select the individual devices to disable from the virtual machine hardware profile, including: audio, MIDI and joystick devices, Ethernet and other network devices and USB devices.
  3. Reboot the machine into the Windows host operating system.
  4. Use the VMware Configuration Wizard to configure your virtual machine. See the information on configuring virtual machines for dual- or multi-boot systems.
  5. Boot the virtual machine and select the guest operating system via your existing boot manager. Choose Virtual Machine at the hardware profile menu prompt. You will encounter device failure messages and delays during this initial boot.
  6. Windows 2000 only: After you log in to Windows 2000 (now running as a guest operating system):
    1. A "Found New Hardware" dialog appears for the video controller as Plug and Play runs and discovers the virtual hardware. Do not install drivers at this time. Click Cancel.
    2. Do not reboot the virtual machine -- click No in the "System Settings Change/Reboot" pop-up message. Windows 2000 will automatically detect and load the driver for the AMD PCnet PCI Ethernet card.
    3. Install VMware Tools for Windows inside the virtual machine.
    4. Allow the virtual machine to reboot after the "VMware, Inc. SVGA video driver" (included in VMware Tools for Windows) has been installed.
    5. Once Windows 2000 reboots inside the virtual machine, select Start > Control Panel > Display and click the Settings tab. Choose a new SVGA resolution to increase the size of the virtual machine's display window, and click OK.
    6. If you want to enable the virtual machine's sound adapter to work inside the Windows 2000 guest operating system, complete the remaining steps in this procedure.
  7. Windows 95/98 only: After you log in to Windows 95/98 (now running as a guest operating system):

    A "New Hardware Detected" dialog box appears as Plug and Play runs and discovers the virtual hardware. Windows will prompt you for locations to search for device drivers. Most of the device drivers will be available in the existing operating system installation, but you may need the installation CD-ROM for some networking device drivers.

    Windows will also ask you to reboot your system several times as it installs the device drivers. In some instances, Windows may not recognize the CD-ROM drive when it prompts you to insert the CD-ROM to look for device drivers during the initial hardware detection. In such cases, you can cancel the installation of the particular device or try pointing to C:\windows\system\ to search for device drivers on the hard disk. Any failed device installations may be performed at a later time after the CD-ROM drive is recognized.

    After Windows has installed the virtual hardware and its drivers, you can remove the failed devices corresponding to the real hardware using the Device Manager (Control Panel > System > Device Manager tab). Select the device then click the Remove button. If a device appears in multiple hardware profiles, you can select the hardware profile(s) from which to remove the device.

  8. Windows NT only: After the operating system has finished booting:
    1. View the event log to see which real devices have failed to start properly.
    2. Disable failed devices them from the "Virtual Machine" hardware profile using the Device Manager (Control Panel > Devices).
  9. Confirm that your virtual devices are working properly, specifically the network adapter.
  10. Windows 95/98 only: If any virtual device is missing, you can detect it by running Control Panel > Add New Hardware.
  11. Install the VMware Tools. VMware Tools appear and run in both hardware configurations but have an effect only in the "Virtual Machine" hardware configuration.
  12. Windows 95 only: See the information about enabling the SVGA video driver for Windows 95 guest operating systems booted from a raw disk.
  13. Windows 98 only: See the information about enabling the SVGA video driver for Windows 98 guest operating systems booted from a raw disk.

Note: The next time you reboot Windows natively using the "Real Machine" hardware profile, some virtual devices may appear in the device list. You can disable or remove these virtual devices from "Real Machine" hardware profile in the same way that you removed real devices from the "Virtual Machine" hardware profile.

Related Topics:

  • Setting Up Virtual Machines On a Dual-Boot System


Setting Up Virtual Machines On a Dual-Boot System

It is possible to use Workstation to run one or more guest operating systems from existing disk partitions. This is useful for people who already have a dual- or multi-boot system and who want to run those operating systems under Workstation. To do so, you must:

  1. Unmap raw disk partitions from the host operating systems running under the dual-boot machine.

  2. Set up a virtual machine for each operating system you want to run. These virtual machines will use an existing disk partition or raw disk. >>More about raw disks

Note: If you do not have a dual-boot system, but want to install a guest operating system into an unused partition through a virtual machine, please refer to the instructions for installing an operating system onto a raw partition from a virtual machine.

Caution: Raw disk support is an advanced feature of Workstation and should be enabled by users who are already familiar with the product.

Caution: If you have installed Windows 2000 on a computer with Advanced Configuration Power Management (ACPI) features and then try to set up a Workstation virtual machine running from a raw disk, this can cause serious problems. This problem is most likely to affect laptop computers but may also affect some newer ACPI-capable desktop computers.

Unmapping raw disk partitions from host operating systems

To run multiple guest operating systems from different raw disk partitions, first unmap these partitions.

On a Windows NT host:

  1. Select Start > Programs > Administrative Tools > Disk Administrator.
  2. Highlight the partition that contains the guest operating system, then select Tools > Assign Drive Letter.
  3. Select Do not assign a drive letter for the partition and click OK.

On a Windows 2000 host:

  1. Select Start > Settings > Control Panel > Administrative Tools > Computer Management > Storage > Disk Management.
  2. Select the partition you want to unmap, then select Action > All Tasks > Change Drive Letter and Path.
  3. Click the Remove button.

Creating separate virtual machines for each guest operating system

To configure a virtual machine to run from an existing raw disk partition:

    Note: If you are running a Windows 9x, Windows NT, or Windows 2000 guest operating system, you should read the information about setting up hardware profiles in virtual machines. VMware recommends booting the guest operating system natively on the computer and creating a hardware profile for the virtual machine before proceeding.

  1. Start VMware Workstation.
  2. Select File > New to start the Wizard.
  3. Create a new virtual machine using the Wizard, and select Custom in the first step, and select Use a physical disk when asked to choose the disk type.
  4. Click Finish to create the new virtual machine.

    Note: It is possible to specify using a raw device directly in the Workstation Configuration Editor. This is potentially hazardous and Workstation does not support users doing this. In future releases Workstation will detect this situation and refuse to power on.

    Boot sequences

    If you have multiple IDE drives configured on a system, the VMware Workstation BIOS will normally attempt to boot them in this sequence:

    1. Primary Master
    2. Primary Slave
    3. Secondary Master
    4. Secondary Slave

    If you have multiple SCSI drives configured on a system, the VMware BIOS will normally attempt to boot them in the order of the SCSI device number.

    If you have both SCSI and IDE drives configured, the VMware BIOS will normally attempt to boot SCSI drives followed by IDE drives, in the order described above.

    The boot sequence can be changed in the Boot menu of the virtual machine's Phoenix BIOS.

    1. After powering on Workstation, press F2 during the BIOS boot in Workstation to enter the BIOS setup menu.
    2. Click the Power On button. Your virtual machine will start, run the Phoenix BIOS, and then boot from the Master Boot Record (MBR).
    3. Choose the target operating system from the list of options offered by the boot manager.
    4. The guest operating system boots.
      • For Windows guest operating systems, Plug and Play will start reconfiguring Windows. For Windows 95/98, Windows NT, and Windows 2000 systems, you should manually set up your virtual hardware profile.
      • For Linux guest operating systems, you should download and install the VMware Tools for Linux, which will install an X Server for use in the virtual machine and a script that runs at boot time to reconfigure the operating system for the different hardware in the virtual machine.

    Warning: If you designate your safe raw disk as an undoable disk, you will need to either commit or discard the changes to the undoable disk before you reboot your guest operating system natively. This is necessary because any changes to sectors on the real disk that have been modified on the undoable disk will invalidate the redo file corresponding to the undoable disk.

    Related Topics:

    • Enhancing video for a Linux guest operating system running on a dual-boot raw disk
    • Enhancing video for a Windows 2000 guest operating system running on a dual-boot raw disk
    • Enhancing video for a Windows 98 guest operating system running on a dual-boot raw disk
    • Enhancing video for a Windows 95 guest operating system running on a dual-boot raw disk


Setting up virtual machines on a virtual disk

Virtual disks are the disk partitions of virtual machines. They are stored as a file on the file system of your host operating system. Since an entire disk partition is saved as a file, it is easy to backup, move and copy. You can even share virtual disks from a file server.

To set up a virtual machine on a virtual disk, you must first enable a virtual drive.

Related Topics:

  • Enabling a virtual hard drive


Creating a new virtual machine

The New Virtual Machine Wizard guides you through the key steps for setting up a new virtual machine, helping you set various options and parameters. You can then use the Configuration Editor (Settings > Configuration Editor) if you need to make any changes to your virtual machine's setup.

A new virtual machine is like a physical computer with a blank hard disk. Before you can use it, you need to format the virtual disk and install an operating system. The operating system's installation program may handle the formatting step for you.

  1. Start Workstation.
  2. Click New Virtual Machine to start the Wizard.
  3. Select whether you want to create a Typical or Custom virtual machine, or create a virtual machine based on a pre-installed guest operating system from VMware Guest OS Kit. Click Next.

    If you choose to base the virtual machine on a pre-installed guest operating system, a screen appears where you can select the location of the Guest OS Kit you are going to use. Click Browse to locate the Guest OS Kit, then click Finish. You do not need to finish the remaining steps in this sequence.

  4. Select the guest operating system and click Next.

    When you select the operating system that will run in the virtual machine, the Wizard uses this information to set appropriate default values, such as the amount of memory needed. The Wizard also uses this information when naming associated virtual machine files. It is generally not possible or advisable to run the host operating system again inside the virtual machine. Doing so may cause the host system to crash and possibly cause disk corruption if two operating systems attempt to concurrently use the same disk partitions.

  5. Select a directory and name for the virtual machine and click Next.

    Each virtual machine should have its own directory. All associated files, such as the configuration file and the disk file, are placed in this directory. Be sure to choose a directory on a local drive because virtual machine performance may suffer if your virtual hard disk is on a network drive.

  6. Choose the amount of memory that should be allocated to this virtual machine and click Next.

    Note: This option does not appear if you selected Typical in the first step.

  7. Select the type of networking you want to enable for the virtual machine and click Next.

    Note: If you selected Typical in the first step, this is the last step you perform. Click Finish.

  8. Select the disk type and click Next.

    You can choose from: "Create a new virtual disk" , "Use an existing virtual disk" or Use a physical disk . It is recommended that you select Create a new virtual disk .

    If you select "Use a physical disk", you can choose to hide the type of read-only disk partitions later using the Configuration Editor. The disk partition hiding option is useful if you are running multiple operating systems at the same time and you are not running an advanced boot manager, such as PowerQuest's BootMagic or V Communications' System Commander.

  9. Depending on your selection in the last step, the steps are as follows:
    • If you selected to create a new virtual disk in the last step :
      1. A new screen appears where you can now select the size of the virtual disk and click Next.

        Selecting a size of 4000 megabytes should be large enough to hold the guest operating system and all of the software that you intend to install in the virtual machine, with room for data and growth. There is no way to increase this number later, although you can use the Configuration Editor to install additional virtual disks if you run out of space in this virtual disk.

      2. The 'Disk File' screen allows you to specify the starting name of the virtual disk files where the contents of your virtual disk will be stored. Click Browse to select the directory where these files will be stored. Click Finish if you do not want to select a virtual device node for your virtual disk. Otherwise, continue with the next step.
    • If you selected to use an existing virtual disk in the last step:
      1. A new screen appears where you can locate the existing virtual disk you want to use for this new virtual machine. Click Browse to locate the virtual disk file and click Next when finished.
      2. Select the disk mode you want to use for the virtual machine. Choices include: Persistent, Nonpersistent, or Undoable. Click Finish if you do not want to select a virtual device node for your virtual disk. Otherwise, continue with the next step.
    • If you selected to use a physical disk (or raw disk) in the last step:
      1. Select the physical hard disk that should be used for your virtual machine from the drop-down list box, and click Next.
      2. Specify which partitions should be hidden from your guest operating system. To do so, check the option in the " Write" column for each partition for which your guest operating system should have read and write access. Leave all other partitions with the "Read " option selected. If you want to hide a partition, select the option in the "Hide" column. When you are finished, click Next.
      3. Specify the name and location of the file that will be used to store information about this virtual machine.Click Browse to select the directory where these files will be stored.
  10. Click Advanced and in the new screen that appears, select a device node you want to use for this virtual disk. Choose either SCSI or IDE and select the device node you want to use.
  11. Select the 'Enable write caching' option if desired.
  12. Click Finish to create the new virtual machine.

Related Topics:

  • Setting up a dual-boot machine to run different operating systems in a virtual machine
  • Setting up a virtual machine on a disk partition
  • Setting up a virtual machine on a second virtual hard disk


New Virtual Machine Wizard

The New Virtual Machine Wizard steps through the process of configuring a virtual machine. It presents you with a series of screens that you navigate using the Next and Back buttons at the bottom. At each screen, follow the instructions and then click the Next button to proceed to the next screen. In most cases, the New Virtual Machine Wizard provides appropriate default settings for a virtual machine.

Clicking the Help button will open a pop-up window with context-sensitive help. The Help text will also include links to relevant online documents (text in blue -- clicking it will open a browser session and take you to that page).

While the New Virtual Machine Wizard is the easiest way to define a new virtual machine, the Configuration Editor must be used to modify an existing configuration.

The configuration settings for a virtual machine are stored in a configuration file (.vmx) . By default the New Virtual Machine Wizard creates a configuration file and other data files, such as a virtual disk file (.vmdk) and a BIOS nvram file, in a common directory. The New Virtual Machine Wizard configures the location in which these files are stored.

Related Topics:

  • Creating a new virtual machine with the Wizard
  • Configuration Editor
  • Configuring a virtual machine with the Configuration Editor


Selecting a Directory for the Virtual Machine

Each virtual machine should have its own directory. You can determine the location of this directory. All associated files, such as the configuration file and the disk file, are placed there by the New Virtual Machine Wizard.

Virtual machine files include:

  • The virtual machine configuration file (.vmx )
  • The virtual disk file (.vmdk) or raw disk definition files (.raw) or plain disk definition files (.pln) . The disk files for a virtual disk store the information that you write to a virtual machine's hard disk--the operating system, the program files, and the data files. If the virtual disk is larger than 2GB, the directory will show a collection of files whose names are based on the first virtual disk file's name. For example, a Windows ME virtual machine with a 4GB virtual disk would, by default, store that virtual disk in files named WinME.vmdk and WinME-02.vmdk.
  • Extents of plain disk (.dat)
  • The BIOS nvram file
  • The virtual machine log file (.log)
  • The REDO log used with undoable or nonpersistent disk modes (.REDO)
  • The suspend to disk file, which stores the state of a suspended virtual machine (.vmss)

Each virtual machine should reside in a separate directory. The default virtual machine directory is C:\WINNT\Profiles\user_name\Personal\My Virtual Machines\virtual_machine_name on Windows NT, C:\Document and Settings\user_name\My Documents\My Virtual Machines\virtual_machine_name on Windows 2000, and C:\Program Files\VMware\VMs\vmname for other Windows platforms. Some of the reasons you may want to use a different directory include lack of space on the default drive or the need to place the virtual machine directory on a file server or on a removable disk.

Warning: Virtual machine performance may suffer if your virtual hard disk is on a network drive. You should be sure that the virtual machine's directory is on a local drive.

Virtual disks can grow to a maximum size of 128 GB for IDE devices or 256GB for SCSI devices, but they start small and do not always consume the maximum space allowed. Therefore it is not necessary to have 128GB (for IDE devices) or 256GB (for SCSI devices) of free space on your drive. It is possible to move the virtual disk file to a different host drive at a later time. If that is done, the path to the virtual disk file must be modified using the Configuration Editor.

If you want to limit the maximum size of a new virtual disk to be less than the default size, enter the maximum size in the New Virtual Machine Wizard's 'Specify Disk Capacity' panel. That setting is in megabytes and the default size is 4GB or 4000MB. Once a virtual disk is created, the maximum size cannot be changed.


Setting the Size of the Disk

You can set the size of the disk partition where the virtual machine resides. The maximum virtual disk size is currently 128000 (128GB) for IDE virtual hard disks and 256000 (256GB) for SCSI virtual hard disks. Selecting a size of 4000 megabytes (4GB) should be large enough to hold the guest operating system and all of the software that you intend to install in the virtual machine, with room for data and growth.

When you specify the size of the virtual disk, that amount of disk space is not immediately occupied by the virtual disk files. The virtual disk files grow as needed when applications and files are added to it.

Note: If this setting is larger than the capacity of the host machine's hard disk, a warning message appears. You can ignore this message for now, as you can move this virtual machine to a drive that can hold it.

For example, you need about 500MB of actual free space on the file system containing the virtual disk to install Windows Me and popular applications such as Microsoft Office inside the virtual machine. You can setup a single virtual disk to hold these files. Or you can split them up -- installing the operating system on the first virtual disk and using a second virtual disk for applications or data files.

A smaller virtual disk size can be specified using the New Virtual Machine Wizard. The initial size of the virtual disk will be only a few kilobytes. It will grow dynamically as needed up to the size specified. This occurs transparently to the guest operating system, which will always believe that the virtual disk size is actually the full size specified. The actual maximum space available to the guest operating system inside the virtual disk may be very slightly smaller than the amount specified.

Note: You cannot change the maximum virtual disk size once a virtual disk has been created.

If you find that you require more space after you create the virtual machine, you can use the Configuration Editor to install additional virtual disks.


Selecting a Disk Type

You can select the type of disk that the virtual machine will use:

  • Virtual Disk: A virtual disk is a file on the host file system that contains all data stored in the virtual IDE or SCSI drive visible to the guest operating system. A virtual disk can be created on any type of disk (IDE, SCSI, etc.) and any type of file system (E2FS, FAT, FAT32, NTFS, etc.) supported by the host operating system. The virtual disk can also be created on a removable disk drive or placed on a network file server. The New Virtual Machine Wizard will place the virtual disk in the virtual machine directory that you specify. Virtual disks can be as large as 128GB for IDE virtual hard disks and 256GB for SCSI virtual hard disks. Workstation creates a file for each 200000MB of virtual disk capacity. The actual files used by the virtual disk start out small and grow to the maximum size as needed. Virtual disks can be set up as IDE disks for any guest operating system. They can be set up as SCSI disks for any guest operating system that has a driver for the BusLogic SCSI adapter used in a Workstation virtual machine. A virtual disk of either type can be stored on either type of physical hard disk. That is, the files that make up an IDE virtual disk can be stored on either an IDE hard disk or a SCSI hard disk (or any other kind of fast storage). So can the files that make up a SCSI virtual disk. A key advantage of virtual disks is their portability. Because the virtual disks are stored as files on the host machine or a remote computer, you can move them easily to a new location on the same computer or to a different computer.

  • Existing Physical Disk: An existing physical disk or raw disk is a partition on a physical IDE drive connected to the host computer. You use raw disks if you want Workstation to run one or more guest operating systems from existing disk partitions. Raw disks may be set up on both IDE and SCSI devices. At this time, however, booting from an operating system already set up on an existing SCSI disk or partition is experimental. If an existing partition is empty, you can install an operating system in the partition. If the host is a dual-boot or multi-boot system, then bootable partitions on the host computer can also be booted within the virtual machine. If you select this option, you can also choose to hide the type of read-only disk partitions from other operating systems.

  • Plain Disk. Workstation 2.0 offered an experimental disk type called plain disk. In Workstation 2.0, virtual disks could be no larger than 2GB. Plain disks provided a way to create larger disks for the virtual machine. Workstation 3.0 allows you to create large disks -- up to 128GB for IDE virtual hard disks or 256GB for SCSI virtual hard disks -- as virtual disks. Consequently, this version does not support creation of new plain disks. Virtual machines with plain disks created in Workstation 2.0 will run under Workstation 3.0.

VMware recommends that new users gain experience with the product by initially installing a guest operating system on a virtual disk because virtual disks are easier to set up and use. However, be aware that it is not possible to convert an entire virtual disk to a raw disk or vice versa.

Note: Using an existing disk partition is recommended for advanced users only.

By default, when you select to create a virtual disk option, Workstation creates a persistent virtual disk. You can use the Configuration Editor to change the disk mode to undoable or nonpersistent. You can install a new operating system onto the virtual disk file without repartitioning a physical disk or even rebooting the host system. Virtual disks are limited to a maximum of 128GB for IDE virtual hard disks or 256GB for SCSI virtual hard disks.

Note: Workstation does not support using existing disk partitions on RAID or network disk drives. Use of existing disk partition on SCSI disk drives is experimental at this time.

Related Topics:

  • Installing a guest operating system into a raw disk
  • Using plain disks


Selecting a Guest Operating System

You choose the guest operating system that will run in the virtual machine. If you are planning to use more than one virtual machine, you can run the New Virtual Machine Wizard again later to create additional virtual machines.

The guest operating systems listed in the drop-down list box are those supported for use in VMware products.

Select the operating system from this list that is closest to the operating system you are going to install in the virtual machine. The operating system choice is used to name the virtual machine and to select the amount of memory to provide for the virtual machine. Later, the Configuration Editor can be used to change the selected guest operating system and the amount of memory allocated to the virtual machine.

Guest operating systems that are not listed in the drop-down list box may also run but may not be officially supported for use in VMware products. If you choose to install an unsupported guest operating system, choose the Other option.

Note: It is generally not possible or advisable to run the host operating system again inside the virtual machine. Doing so may cause the host system to crash and possibly cause disk corruption if two operating systems attempt to concurrently use the same disk partitions.


Configuring network access for the virtual machine

This panel configures the type of networking that the virtual machine will use. These choices are available:

  • Use bridged networking. Connect directly to a local Ethernet via an Ethernet network adapter card in your computer.
  • Use network address translation (NAT). Allow the guest operating system to access the host computer's dial-up or external Ethernet network connection using the host's IP address.
  • Use host-only networking. Connect the guest operating system to the host computer internally over a virtual network.
  • Do not use a network connection.

Related Topics:

  • Types of networking


Running specific applications in a virtual machine

More information to be provided in a future release.


VMware Products and Screen Savers

When host screen savers activate while a virtual machine is running, several problems can occur:

  • The screen may appear to go completely or partially blank
  • The system may not appear to respond to keystrokes
  • The system may appear to be hung with a blank screen
  • The VMware product's BIOS spins while in BIOS Setup or when displaying no operating system found, consuming CPU resources

Some reasons why these issues may occur include:

  • The virtual machine has a high scheduler priority and the guest operating system is busy.
  • You are running a guest operating system (such as Windows 3.1 or Novell server) that has an idle-loop that does not behave well ( the virtual machine will compete with the screen saver running at a lower priority).
  • Workstation automatically releases the keyboard focus once it detects a screen saver starting). This situation can occur often on users systems since a virtual machine that has input focus has a high scheduling priority.
  • You have the input focus in a virtual machine and leave the host machine for some period of time.

Typing some keystrokes should deactivate the screen saver, although if it cannot get priority to run, the machine may take several minutes to appear to respond. Typing CTRL-ALT-DEL and waiting for the security panel to appear may speed this process.

VMware recommends that if you are having this problem you should disable the screen saver.


Sharing a virtual machine

You can share and reuse virtual machines between computers and users. To do so, you migrate the virtual disk file to a shared network server. Once a virtual machine is created and configured it can be accessed by any computer that can run Workstation. You simply migrate the files that are needed by the virtual machine to the shared network location. >>More on migrating a virtual machine

Sharing a virtual machine is very useful and can enable a variety of activities including:

  • Deploying new operating systems to users. IT can use virtual machine sharing to deploy new environments to corporate users via a virtual disk file with the operating system configuration stored on a shared network drive.

  • Freeing up disk space locally by moving virtual disk files to a shared network drive and deleting them from the local hard drives.

  • Reuse a template virtual machine for various purposes such as installing a pre-configured computing environment into a template virtual machine, and then copying the virtual machine to use it for various testing purposes.

Related Topics:

  • Migrating a virtual machine


Sizing the virtual machine window

To change the appearance of the virtual machine window, you can select a choice from the View menu in Workstation. The window of a virtual machine can be sized in three different ways:

  • Autofit mode. The window always conforms to the size of the virtual machine display, even when the virtual machine changes its display size. This mode prevents users from resizing the window. Scroll bars are enabled as necessary whenever the virtual machine display does not fit in the window.

  • Fit mode. The window conforms to the size of the virtual machine display, removing the scroll bars.

  • Full screen. The virtual machine expands to the full size of the screen so you no longer see the borders of Workstation. When the virtual machine has control of input, you can type CTRL-ALT-Enter or click the Full Screen button in the toolbar to go into full screen mode. Type CTRL-ALT to leave full screen mode.


Installing Corel Linux OS 1.1, 1.2 into a virtual machine

More information to be provided in a future release.


Installing DOS or Windows 3.x into a virtual machine

More information to be provided in a future release.


Installing FreeBSD into a virtual machine

More information to be provided in a future release.


Installing Mandrake Linux 8.0 into a virtual machine

More information to be provided in a future release.


Installing Novell NetWare 4.x into a virtual machine

More information to be provided in a future release.


Installing Novell NetWare 5 into a virtual machine

More information to be provided in a future release.


Installing Novell ZENWorks into a virtual machine

More information to be provided in a future release.


Installing Caldera OpenLinux 2.x into a virtual machine

More information to be provided in a future release.


Installing a guest operating system onto a raw disk partition

More information to be provided in a future release.


Installing VMWare Ready to Run Operating Systems into a virtual machine

More information to be provided in a future release.


Installing Red Hat Linux 6.x into a virtual machine

More information to be provided in a future release.


Installing Red Hat Linux 7.0 into a virtual machine

More information to be provided in a future release.


Installing Red Hat Linux 7.1 into a virtual machine

More information to be provided in a future release.


Installing Solaris 7 into a virtual machine

More information to be provided in a future release.


Installing SuSE Linux 6.3, 6.4 into a virtual machine

More information to be provided in a future release.


Installing SuSE Linux 7.0 into a virtual machine

More information to be provided in a future release.


Installing SuSE Linux 7.1 into a virtual machine

More information to be provided in a future release.


Installing Windows 2000 into a virtual machine

More information to be provided in a future release.


Issues with installing Windows 95 into a virtual machine

More information to be provided in a future release.


Installing Windows 95 into a virtual machine

More information to be provided in a future release.


Installing Windows 98 into a virtual machine

More information to be provided in a future release.


Installing Windows ME into a virtual machine

More information to be provided in a future release.


Enabling networking on Windows NT

More information to be provided in a future release.


Installing Windows NT into a virtual machine

More information to be provided in a future release.


Improving performance

More information to be provided in a future release.


Improving performance of a Linux guest operating system

More information to be provided in a future release.


Improving performance of a Windows 2000 guest operating system

More information to be provided in a future release.


Improving performance of a Windows 95 or 98 guest operating system

More information to be provided in a future release.


Improving performance of a Windows NT guest operating system

More information to be provided in a future release.


Improving performance for a Windows host operating system

More information to be provided in a future release.


Upgrading VMWare

More information to be provided in a future release.


Migrating a virtual machine

You can migrate a virtual machine:

  • To another PC.
  • Between different platforms.
  • To other VMware products.
  • From other VMware products.
  • To upgraded versions of Workstation.

Select a related topic for more information.

Related Topics:

  • Migrating a virtual machine to an upgraded version of Workstation
  • Migrating a virtual machine to another PC
  • Migrating a virtual machine between different platforms
  • Migrating a virtual machine when using undoable disk mode
  • Migrating a virtual machine to other VMware products
  • Migrating a virtual machine from other VMware products


Migrating a Virtual Machine from Other VMware Products

More information to be provided in a future release.


Migrating a virtual machine to another PC

To move a virtual machine to another PC, you must copy the virtual machine's disk file to a network, CD-ROM, Jaz drive, or other distribution mechanism. You will need all of the virtual machine's related files to operate it in the new host environment.

More information about the files you must transfer


Migrating a virtual machine to another platform

More information to be provided in a future release.


Migrating a Virtual Machine to Other VMware Products

More information to be provided in a future release.


Migrating a virtual machine when using undoable disk mode

More information to be provided in a future release.


Migrating VMware Workstation

Migrating VMware

  • Upgrading to VMware Workstation 3.0
  • Using existing virtual machines with VMware Workstation 3.0
  • Uninstalling VMware Workstation
  • Getting a license


Components of a virtual network

Virtual networks are composed of these elements:

  • Virtual switches. Like a physical switch, a virtual switch lets you connect other networking components together. Virtual switches are available automatically when you install Workstation. They are created as needed by the Workstation software, up to a total of 10 switches on Windows hosts and 256 on Linux hosts. You can connect one or more virtual machines to a switch. >>More on connecting a virtual machine to a switch

  • Bridge. The Bridge lets you connect your virtual machine to the local area network (LAN) used by your host computer. It connects the virtual Ethernet switch in your virtual machine to the physical Ethernet adapter in your host computer. It is set up automatically when you create a new virtual machine using bridged networking. >>More on bridged networking

    Additional virtual bridges can be set up for use in custom configurations that require connections to more than one LAN through more than one physical Ethernet adapter on the host computer. >>More on custom networking configurations

  • Host-only adapter. The host-only adapter is a virtual Ethernet adapter that appears to your host operating system as "VMware Virtual Ethernet Adapter" . It allows you to communicate between your host computer and the virtual machines on that host computer. The software that creates the host-only adapter is installed when you install Workstation and choose to make host-only networking available to your virtual machines. A host-only adapter is created automatically when you create a new virtual machine using host-only networking. Additional host-only adapters can be set up for use in custom configurations that need them. >>More on host-only networking

    With host-only networking, virtual machines are not connected to any external network unless you set up special software on the host computer;a proxy server, for example to connect the host-only adapter to the physical network adapter. >>More on setting up a proxy server

  • DHCP server. The dynamic host configuration protocol (DHCP) server provides IP network addresses to virtual machines in host-only and NAT configurations. The host-only and NAT configurations use different DHCP servers. >>More on Workstation DHCP server

  • NAT. The network address translation (NAT) device allows you to connect your virtual machines to an external network in situations where you have only one IP network address and it is being used by the host computer. You can, for example, use NAT to connect your virtual machines to the Internet through a dial-up connection on the host computer or through the host computer's Ethernet adapter, wireless Ethernet adapter or Token Ring card. >>More on NAT

    The NAT device is available automatically when you install Workstation. It is set up automatically if you choose NAT as the networking option when you set up a virtual machine.

  • Network Adapter. One virtual switch is set up for your virtual machine when you create it with the New Virtual Machine Wizard using any type of networking. It appears to the guest operating system as an "AMD PCNET PCI" adapter. You can create and configure up to three virtual switches in each virtual machine using the Configuration Editor. >>More on how networking appears in the guest operating system

Related links:

  • Adding a virtual switch to a virtual machine
  • Using bridged networking
  • Using custom networking configurations
  • Using host-only networking
  • Accessing external networks under host-only networking
  • Using Workstation's DHCP server
  • Using NAT networking


How Workstation networking appears on a guest operating system

Network support on the guest operating system appears through the virtual Network Adapter(s) configured for the virtual machine. Each device appears to the operating system as an "AMD PCNET PCI" adapter. Most operating systems will recognize this virtual hardware and automatically configure use of the appropriate device driver. The main issue in completing network configuration in the guest operating system is assigning a network address for the virtual machine.

Related links:

  • How networking appears on the host machine
  • Assigning a network address to a virtual machine


How Workstation networking appears on the host machine

Networking support in virtual machines is done on the host machine through a virtual switch or Network Adapter that implements several devices:

  • VMnet0 -- Used for bridged networking.
  • VMnet1 -- Used for host-only networking.
  • VMnet2 -- Used for custom networking.
  • VMnet3 -- Used for custom networking.
  • VMnet4 -- Used for custom networking.
  • VMnet5 -- Used for custom networking.
  • VMnet6 -- Used for custom networking.
  • VMnet7 -- Used for custom networking.
  • VMnet8 -- Used for network address translation (NAT) networking.

Each of these devices is logically associated with a virtual Network Adapter through which any number of virtual machines and the host may communicate.

The following Workstation networking components are visible on the host machine:

  • "VMnet" device driver. This is the driver that implements Workstation networking devices. It is a standard Windows NT/Windows 2000/Windows XP device driver that appears in the Devices control panel.
  • "VMnet Bridge" service. This service connects virtual Network Adapters to Windows NT/Windows 2000/Windows XP network adapters so that virtual machines on the network appear as if they are connected to the physical networks associated with the adapters. This service is started when a user logs in to the system; an entry for each bridged Network Adapter appears in the "Services" control panel as the "VMnet Bridge" service.
  • VMware Virtual Ethernet Adapter Driver (NDIS). This driver is a Windows NT/Windows 2000/Windows XP device driver that interfaces virtual Network Adapters to the appropriate Windows NT/Windows 2000 network protocols. It provides the support for host-only networking, and implements virtual Windows NT/Windows 2000 Ethernet adapter cards that connect virtual Network Adapters to the Windows NT/Windows 2000/Windows XP protocols. It is automatically started at system boot if one or more virtual Network Adapters have been configured.

To add an adapter on a Windows NT host, bring up the "Network" control panel, click the Adapter tab, then click Add. Protocol bindings, network addresses, and related configuration are all done through the "Network" control panel.

To add an adapter on a Windows 2000 host, use the "Add/Remove Hardware" wizard. >>More information

Related links:

  • How networking appears in a guest operating system


Common networking configurations

VMware Workstation provides virtual networking components that let you create a wide range of configurations. The following types of networking are the most common for virtual machines:

  • No networking. The virtual machine is run in isolation, and cannot communicate with the host operating system or any other virtual machine running on the host. This option is useful if you desire complete isolation for testing or security purposes. To set up your virtual machine in this way, simply do not install a virtual Network Adaptor when configuring the virtual machine.
  • Network Address Translation (NAT). If you want to connect to the Internet or other TCP/IP network using the host computer's dial-up networking connection and you are not able to give your virtual machine an IP address on the external network, this is often the easiest way to give your virtual machine access to that network. The virtual machine does not have its own IP address on the external network. Instead, a separate private network is set up on the host computer. The virtual machine obtains an address on that network from the VMware virtual DHCP server. >>More information
  • Bridged networking. If your host computer is on an Ethernet network, this is often the easiest way to give your virtual machine access to that network. With bridged networking, the virtual machine appears as an additional computer on the same physical Ethernet network as the host. A virtual machine with bridged networking may transparently use any of the services available on the network to which it is bridged, including: file servers, printers, gateways, and so on. Likewise, any physical host or other virtual machine configured with bridged networking can use resources of that virtual machine. >>More information
  • Host-only networking. A type of network connection where the virtual machine is connected to the host operating system on a virtual private network, which normally is not visible outside the host. Multiple virtual machines configured with host-only networking on the same host are on the same network. >>More information

Related links:

  • How networking appears on the host
  • How networking appears on a guest operating system
  • Components of a virtual network
  • Adding a virtual Network Adapter to a virtual machine
  • Setting up NAT networking
  • Setting up bridged networking
  • Setting up host-only networking
  • Assigning an IP address to a virtual machine
  • Connecting to an external network using a proxy server
  • Connecting to a Token Ring network
  • Connecting to a modem on the host
  • Connecting to multiple drives on the host


Assigning an IP address to a virtual machine

Whether you are using host-only, network address translation (NAT), or bridged networking, each virtual machine must be assigned an IP address. For host-only networking, the host must also be assigned an IP address.

Note: Be aware that if the host computer is set up to boot multiple operating systems and you run one or more of them in virtual machines, you will need to configure each operating system with a unique network address. People who boot multiple operating systems often assign all systems the same address, since they assume only one operating system will be running at a time. If you use one or more of the operating systems in a virtual machine, this assumption is no longer true.

Dynamic versus static

You have two choices for setting up IP addresses for virtual machines:

  • Dynamic assignment using Dynamic Host Configuration Protocol (DHCP)
  • Static or fixed assignment (i.e., by consulting a fixed database)

Using DHCP to assign IP addresses is simpler and more automatic than statically assigning them. Most Windows operating systems, for example, come pre-configured to use DHCP at boot time so they will be functional the first time they are booted, without additional configuration. (Using this option requires you to have a DHCP server installed on your host.) If you want your virtual machines to communicate with each other using names instead of IP addresses, however, you must set up a naming convention, a name server on the private network, or both. In that case, it may be simpler to use static IP addresses.

In general, if you have virtual machines you intend to use frequently or for extended periods of time, it is probably most convenient to assign them static IP addresses or configure the host-only DHCP server to always assign the same IP address to each of these virtual machines.

For virtual machines that you do not expect to keep for long, use DHCP and let it allocate an IP address. If you are using host-only or NAT networking, you can use the DHCP server that comes with Workstation. However, this DHCP server will not service virtual (or physical) machines residing on bridged networks.

Network addresses used for virtual private networks

Note that for each virtual private network, the available IP addresses are split up using the conventions shown in the table below, where <net> is the network number assigned to your host-only or NAT network. Workstation always uses a Class C address for host-only and NAT networks.

Range | Address Use | Example
<net>.1 | Host machine | 192.168.0.1
<net>.2 -- <net>.127 | Static IP addresses | 192.168.0.1 -- 192.168.0.127
<net>.128 -- <net>.254 | DHCP-assigned IP addresses | 192.168.0.128 -- 192.168.0.254
<net>.255 | Broadcasting IP addresses | 192.168.0.255

If you are using host-only networking, you can find out the network address for your virtual private network using the following command from a command prompt :

>ipconfig

Running this command from the host operating system will not work for NAT networking because the host operating system is not aware of the virtual private network. You can, however, run the command from a guest operating system running in a virtual machine to find out the network address of the virtual private network.

Note: When host-only networking or NAT is enabled at the time Workstation is installed, the network number to use for the virtual private network is automatically selected as an unused private IP network number. For NAT, the virtual private network is assigned 192.168.27.0 as its IP address.

If the virtual private network is using a private IP network number that is in use, you can change it. The first option is to uninstall Workstation, and then re-install it with host-only networking. The second option is to :

  1. Select Start > Control Panel > Networking.
  2. Click the Protocols tab.
  3. Select TCP/IP and click Properties.
  4. Select the VMnet adapter and type in the new data.
  5. Click OK.


Pinging virtual machines

More information to be provided in a future release.


Setting up bridged networking on the guest operating system

Bridged networking means a virtual machine appears just like any other host on the physical network. You need to configure operating system support for the virtual Network Adapter and then either assign a fixed network address or enable use of DHCP for dynamic address assignment. Assigning a network address is done according to local conventions -- if your site runs DHCP, you may choose to enable DHCP use; otherwise you will need to consult a network administrator to obtain a network address.

Be aware that if the host machine is set up to boot multiple operating systems and you run one or more of them in virtual machines, you will need to configure each operating system with a unique network address. (Many people assign all systems the same address since they assume only one will be running at a time.)

Related links:

  • How networking appears in guest operating systems
  • Assigning network addresses to virtual machines


Switching Network Adaptors in a Virtual Machine

You may find it helpful to configure a virtual machine so it can use one virtual switch or Network Adapter when you are in one location and a different virtual switch when you are somewhere else. The most common case would involve a laptop computer that is sometimes used with a PC Card (PCMCIA) adapter and sometimes docked in a docking station that has its own physical network adapter.

If you are using bridged networking, the steps covered in this topic will allow you to configure your virtual machine so it can use both physical network adapters, with each physical adapter connected by a different virtual switch.

You will create two separate Workstation configuration files (.vmx files), both of which point to the same virtual or raw disk. One will use standard bridged networking on the VMnet0 virtual switch. The other will use custom bridged networking on the VMnet2 virtual switch. You will use one configuration when you want to connect to a network using the PC Card network adapter and the other when you want to use the docking station's adapter.

To switch virtual Network Adapters in a virtual machine:

  1. Follow the usual steps to configure your Workstation virtual machine with one virtual Network Adapter that uses bridged networking on the VMnet0 switch. For example, perform the configuration while the PC Card adapter is in use.

  2. After you have tested the initial configuration, shut down your virtual machine and exit Workstation.

  3. Switch the setup so the other physical network adapter is being used. For example, if you first configured the computer while the PC Card adapter was in use, you should now set the computer up in the docking station so its physical network adapter is in use.

  4. Open a command prompt .

  5. Change to the Workstation programs directory. If you have installed Workstation in the default location, the command is:
    cd C:\Program Files\VMware\VMs

  6. Run the following command:
    vnetconfig -s -ib vmnet2

  7. If you see a dialog that asks which network adapter to use, choose the adapter that is currently installed (not the one you already configured for bridged networking in step 1).
  8. Open the Services control panel (in Windows NT, Start > Settings > Control Panel > Services; in Windows 2000, Start > Settings > Control Panel > Administrative Tools > Services) and be sure that you now have two services for "VMnet Bridge" (one for VMnet0 and one for VMnet2).
  9. Start the service "VMnet Bridge (for VMnet2)". If it does not start, reboot the system and try to start it again.
  10. Change to the directory where the files for the virtual machine you are configuring are stored.
  11. Copy the .vmx file under a different name, so that you have two copies -- one to use when you are using the PC Card adapter (referred to here as pcmcia.vmx ) and one to use when you are using the network adapter in the docking station (referred to here as nic.vmx ).
  12. Launch Workstation, select Open Existing Virtual Machine, and open the .vmx file for the virtual adapter you will set up on VMnet2 (nic.vmx in our example). You will probably have to browse to locate it.
  13. Open the Configuration Editor (Settings > Configuration Editor) and select Network Adapter.
  14. From the drop-down list on the right, select Custom (VMnet2).
  15. Click OK to save your changes and close the Configuration Editor.
  16. When you are using the PC Card adapter, launch your virtual machine using pcmcia.vmx . When you are using the adapter in the docking station, use nic.vmx . Both configuration files will be for the same virtual machine. When you choose one, you will just be choosing which network adapter to use.

    Note: If you make a change to other aspects of one configuration, remember to make the same change to the other configuration the next time you open it.


Setting up bridged networking

Bridged networking is a type of network connection where a virtual machine appears as an additional computer on the same physical Ethernet network as the host. More technically, the virtual machine connects directly to the Ethernet via a virtual Network Adapter in its configuration that connects to an Ethernet card on the host machine. You can use this type of networking if you have an Ethernet card on your PC and are on a local area network (LAN).

A bridged virtual machine can transparently use any of the services available on the network that it is bridged to: printers, file servers, gateways, and so on. Likewise, when a virtual machine is bridged, any physical host or other virtual machines configured with bridged networking can use resources on that virtual machine.

If you use bridged networking, your virtual machine will need to have its own identity on the network. For example, on a TCP/IP network, the virtual machine will need its own IP address. Your network administrator can tell you whether IP addresses are available for your virtual machine and what network settings you should use in the guest operating system. Generally, your guest operating system may acquire an IP address and other network details automatically from a Dynamic Host Configuration Protocol (DHCP) server, or you may need to set the IP address and other details manually in the guest operating system. >>More information about assigning IP addresses

To set up a virtual machine for bridged networking you need to follow these steps:

  1. Add a virtual Network Adapter to your virtual machine that connects to the "Bridged (VMnet0)" network.
  2. Configure operating system support for the virtual Network Adapter, and either assign it a fixed network address or enable use of dynamic address assignment with DHCP or BOOTP. >>More about assigning network addresses

    Note: When multiple virtual machines that use bridged networking run at the same time, each of them (including the host) must have a different network address. Consult your network administrator to obtain a network address.

  3. Power on the virtual machine.

    If you receive the message "The network bridge on VMnet0 is not running" when you power on the virtual machine, check that the "VMnet Bridge" service is running.

    On Windows, select Control Panel > Services (or Control Panel > Administrative Tools > Services on Windows 2000 and Windows XP), and scan for the entry "VMnet Bridge". The status of the service should be "Started". If it is not started, try starting it manually. If the service is not marked for "Automatic Startup" then set it by selecting the service, clicking Startup, and selecting the Automatic Startup option.

    If the "VMnet Bridge" service will not start, it is likely that the physical network adapter card has failed to startup properly. For example, if the adapter card is uninstalled through the Network Control Panel or has been physically removed from the computer (e.g., removing a PCMCIA card from a laptop).

Related links:

  • Assigning an IP address to a virtual machine
  • Connecting to a Token Ring network
  • Connecting to multiple drives on the host


Changing network access for a virtual machine

You can change the type of network access a virtual machine uses with the Configuration Editor. To do so, you change the virtual network to which the virtual machine's Network Adapter connects.

To change the network access for a virtual machine's Network Adapter:

  1. Select File > Open and open the virtual machine configuration file (.vmx) you want to modify.
  2. Select Settings > Configuration Editor from Workstation.
  3. Select the Network Adapter you want to modify from the list of devices on the "Hardware" panel.
  4. From the "Connect to the following network" field on the far right, select the network to which you want the virtual Network Adapter to connect.

    >>More information on types of networking

  5. Click OK.

Related links:

  • Types of networking for virtual machines
  • Adding a virtual Network Adapter to a virtual machine


Custom networking configurations

The virtual networking components provided by Workstation make it possible for you to create sophisticated virtual networks. The virtual networks can be connected to one or more external networks, or they may run entirely on the host computer.

Setting up networking components for your custom virtual network is a straightforward process. Before attempting to set up complex virtual networks, you should have a good understanding of how to configure network devices in your host and guest operating systems.

The sample configuration described in this section illustrates many of the ways you can combine devices on a virtual network.

In this custom configuration, a Web server connects through a firewall to an external network. An administrator's computer can connect to the Web server through a second firewall.

To set up this configuration, you must create four virtual machines and use the Configuration Editor to adjust the settings for their virtual network adapters. You also need to install the appropriate guest operating systems and application software in each virtual machine and make the appropriate networking settings in each virtual machine.

To set up this custom networking configuration:

  1. Create four new virtual machines.
    • Create the first virtual machine with bridged networking so it can connect to an external network using the host computer's Ethernet adapter.
    • Create the other three virtual machines without networking.
  2. Start VMware Workstation and open the first virtual machine. Do not power on the virtual machine.
  3. Select Settings > Configuration Editor from Workstation.
  4. Add a second virtual network adapter. Connect the second adapter to "Custom (VMnet2)".
  5. Save the configuration.
  6. Open the second virtual machine. Do not power on the virtual machine.
  7. Select Settings > Configuration Editor from Workstation.
  8. Add a virtual network adapter. Connect the adapter to "Custom (VMnet2)".
  9. Save the configuration.
  10. Open the third virtual machine. Do not power on the virtual machine.
  11. Select Settings > Configuration Editor from Workstation.
  12. Add a virtual network adapter. Connect the adapter to "Custom (VMnet2)".
  13. Add a second virtual network adapter. Connect the adapter to "Custom (VMnet3)".
  14. Save the configuration.
  15. Open the fourth virtual machine. Do not power on the virtual machine.
  16. Select Settings > Configuration Editor from Workstation.
  17. Add a virtual network adapter. Connect the adapter to "Custom (VMnet3)".
  18. Save the configuration.
  19. Determine the network addresses used for VMnet2 and VMnet3.

    Open a command prompt on the host computer and run ipconfig /all. Note the network addresses used by each virtual switch.

  20. Start VMware Workstation and open each virtual machine in turn and install the guest operating system.
  21. Configure the networking in each guest operating system.
  22. For the bridged virtual adapter in the first virtual machine, use the networking settings needed for a connection to the external network. If the virtual machine obtains its IP address from a DHCP server on the external network, the default settings should work.
  23. For the second virtual adapter in the first virtual machine, manually assign an IP address in the range you have designated for VMnet2.
  24. In the second virtual machine, assign an IP address in the range you have designated for VMnet2.
  25. In the third virtual machine, virtual adapters are connected to VMnet2 and VMnet3. For each virtual adapter, assign an IP address in the range you have designated for the virtual switch to which it is connected.
  26. In the fourth virtual machine, assign an IP address in the range you have designated for VMnet3.
  27. Install the necessary application software in each virtual machine.

Related links:

  • Creating a new virtual machine
  • Adding virtual network adapters to virtual machines
  • Assigning an IP address to a virtual network adapter
  • Installing guest operating systems into virtual machines
  • How networking appears in guest operating systems


Connecting to multiple drives on the host

More information to be provided in a later release.


Setting up host-only networking on the guest operating system

Host-only networking means a virtual machine can communicate with the host operating system and any other virtual machines set up to use host-only networking, but the virtual machine cannot communicate with any systems off the host machine without the use of a proxy server. >>More on host-only networking

Regardless of the communication protocols used, each virtual machine and the host must be assigned network addresses on the virtual private network. The network address for the virtual private network is assigned automatically when Workstation is installed. To find out the network address for your virtual private network, you can run the following command from a command prompt :

>ipconfig

To assign a network address to virtual machines running on the host-only virtual private network, you can simply allow the VMware virtual DHCP server to automatically assign IP addresses to the guest operating systems running in these virtual machines.

Note: The DHCP server assigns IP addresses only to virtual machines running on a host-only network; it will not service virtual (or physical) machines residing on bridged networks.

Otherwise, you can choose to manually assign static IP addresses to the guest operating systems running in your virtual machines. If you do so, you must be sure to assign an IP address that is in the appropriate range for host-only networking. Otherwise, you will encounter a situation in which the guest operating system is unable to communicate with the host. >>More information on assigning IP addresses to virtual machines

Note: The software installer for Workstation has a known problem related to host-only networking. It is not currently able to set up the host-only networking option when it is installed on Windows 2000 hosts. If you want to configure virtual machines to use the host-only networking option on Windows 2000 hosts, you must first install VMware Workstation on the host machine, then install the basic host-only network adapter. >>More on setting up host-only networking on a Windows 2000 host

If you receive the following error message upon powering on a virtual machine, Workstation was unable to communicate with the host-only Network Adapter that should be installed on your host computer: No host-only support seems to be installed.

Verify that you have a host-only Network Adapter is installed:

  1. Select Control Panel > Network.
  2. Select the Adapters tab.
  3. Find an entry for "VMware Virtual Ethernet Adapter (VMnet1)". If this entry is not present:
    1. Click Add.
    2. Select "VMware Virtual Ethernet Adapter (for basic host-only support)" from the list.
    3. Click OK.
    4. Reboot the host system.

Related links:

  • Using host-only networking
  • Assigning network addresses to guest operating systems


Setting Up Two Separate Host-Only Networks

For some configurations, you may need to set up more than one host-only network on the same host computer. You may, for example, want to have two virtual machines connected to one host-only network, and at the same time have other virtual machines connected to another host-only network so the network traffic on each network will be isolated. Or you may want to test routing between two virtual networks. Or test a virtual machine with multiple network interface cards -- without using any physical Ethernet adapters.

Setting up the first host-only network is straightforward. When you install VMware Workstation, follow the instructions for setting up host-only networking. To set up the second host-only network, follow the steps outlined below for your host operating system.

Windows NT Host

  1. Open a command prompt window.
  2. Change to the VMware Workstation programs directory. If you accepted the default path, use this command:
    cd C:\Program Files\VMware\Programs

  3. Run the following command:
    vnetconfig -ih vmnet2

Windows 2000 Host

  1. Open the Control Panel (Start > Settings > Control Panel).
  2. Start the Add/Remove Hardware wizard from the Control Panel.

    Note: You must have sufficient privileges to do this.

  3. Click Next to continue past the "Welcome" screen.
  4. Select Add/Troubleshoot a Device and click Next.
  5. Wait while Windows searches for new Plug and Play devices, then select Add a New Device from the "Choose a Hardware Device" screen and click Next.
  6. Select "No, I want to select the hardware from a list" and click Next.
  7. Select Network Adapters from the list and click Next.
  8. Select VMware, Inc. from the manufacturers list on the "Select Network Adapter" screen to get the list of available host-only network adapters, then choose VMware Virtual Ethernet Adapter (for VMnet2) and click Next.
  9. Click Next in the "Start Hardware Installation" screen.
  10. Click Yes when prompted that the Microsoft digital signature is not present for the software about to be installed.
  11. Click Finish on the screen that indicates the adapter has been installed.

Configuring the Virtual Machines

Now you have two host-only interfaces (VMnet1 and VMnet2). You are ready to configure your virtual machines for one of the following scenarios:

  • The virtual machine is configured with one virtual Network Adapter, and that virtual adapter is connected to the default host-only interface (VMnet1).
  • The virtual machine is configured with one virtual Network Adapter, and that virtual adapter is connected to the newly created host-only interface (VMnet2).
  • The virtual machine is configured with two virtual Network Adapters. One virtual adapter is connected to the default host-only interface (VMnet1) and the other virtual adapter is connected to the newly created host-only interface (VMnet2).

Scenario 1 -- Connect to the Default Host-Only Interface

  1. Create a new virtual machine.
  2. Select Settings > Configuration Editor from Workstation.
  3. Select Network Adapter from the list of devices, then choose Host-only (VMnet1) from the drop-down list on the right. If no network adapter is shown in the list of devices, add a network adapter with host-only networking.
  4. Click OK.

Scenario 2 -- Connect to the Newly Created Host-Only Interface

  1. Create a new virtual machine.
  2. Select Settings > Configuration Editor from Workstation.
  3. Select Network Adapter from the list of devices, then choose Custom (VMnet2) from the drop-down list on the right. If no network adapter is shown in the list of devices, add a network adapter.
  4. Click OK.

Scenario 3 -- Connect to Two Host-Only Interfaces

  1. Create a new virtual machine.
  2. Select Settings > Configuration Editor from Workstation.
  3. Select the first Network Adapter from the list of devices, then choose Host-only (VMnet1) from the drop-down list on the right.
  4. Select the second Network Adapter from the list of devices, then choose Custom (VMnet2) from the drop-down list on the right. Add another network adapter if necessary.
  5. Click OK.

At this point you can power on the virtual machine and install your guest operating system. In scenarios 1 and 2 you will see one "AMD PCNet Family Adapter". In scenario 3 you will see two "AMD PCNet Family Adapters" within the guest operating system. Configure the virtual network adapters as you would configure physical adapters on a physical computer, giving each an IP address on the appropriate VMnet subnet.

To find out the network address for your virtual private network, you can run the following command from a command prompt :

>ipconfig

<


Setting up host-only networking

Host-only networking is a type of network connection where the virtual machine is connected to the host operating system on your PC via virtual private network. All virtual machines configured for host-only networking are connected to that private network through a virtual Network Adaptor or switch that is visible to the host operating system. Typically, all the parties on this virtual private network use the TCP/IP protocol, although other communication protocols may also be used.

The virtual private network is not normally visible outside the host, and can be useful if you need to set up an isolated virtual network; for example, to test networking software. Host-only networking allows your virtual machines to communicate with each other and with the host even if you do not have an Ethernet card in your PC.

Each virtual machine on the host's virtual private network must be assigned a unique network address. A virtual machine that uses host-only networking may get its network address dynamically from the Workstation DHCP server running on the host. Otherwise, you can assign a static network address to the virtual machine. In either case it is not necessary to contact your network administrator. >>More information about assigning IP addresses to virtual machines

A virtual machine that uses host-only networking is not able to access remote networks unless a proxy server is configured on the host. >>More information about using proxy servers

To set up a virtual machine for host-only networking you need to add a virtual Network Adaptor to the virtual machine and mark it as host-only. When Workstation is installed, a virtual Network adapter is added to the host (through the Network Control Panel Application). The IP address for this adapter, and hence the network number to use for the virtual network, is automatically selected as an unused private IP network number. >>More about the network address of the virtual private network

To set up a virtual machine for host-only networking you need to follow these steps:

  1. Add a virtual Network Adapter to your virtual machine that connects to the "Host-only (VMnet1)" network.
  2. Configure operating system support for the virtual Network Adapter, and either assign it a fixed network address or enable use of dynamic address assignment with DHCP or BOOTP. >>More about assigning network addresses
  3. Power on the virtual machine.

    Note: With host-only networking, the virtual machine cannot communicate with any systems off the host machine without the use of a proxy server. >>More information about using a proxy server

Related links:

  • Host-only networking on Windows 2000
  • Setting up host-only networking on the guest operating system
  • Assigning an IP address to a virtual machine
  • Avoiding IP packet leaks
  • Connecting to a Token Ring network
  • Connecting to an external network using a proxy server
  • Connecting to multiple drives on the host


Setting up Internet connection sharing for use with host-only networking on Windows 2000

In most cases, the easiest way to connect a VMware Workstation virtual machine to an external network is to use bridged networking. Under some circumstances, however, this is not possible. For example, bridged networking does not work with:

  • A host's dial-up connection to the Internet
  • Non-Ethernet network adapters (for example, token ring)
  • Wireless network adapters

In such cases, you can set up Workstation host-only networking, and then use Internet connection sharing on Windows 2000 to implement IP forwarding. To use this configuration on a Windows 2000 host, you must install Workstation with host-only networking selected. Then configure Internet connection sharing on your host by doing the following:

  1. Stop the Workstation DHCP service from the "Services" control panel.
  2. Right-click the My Network Places icon on your desktop, then click Properties.
  3. Right-click the icon for your physical network adapter and select Properties. (If you are accessing the Internet via a dial-up connection, select your PPP interface, instead.)
  4. Click the Sharing tab.
  5. Select the Enable Internet Connection Sharing for this connection option.
  6. Make sure that "VMnet1" (the local area connection that was created by the Workstation host-only networking installation) is listed in the "For local network" field. If it is not, select it from the drop-down list.
  7. Click OK.
  8. A dialog appears. Note the private IP network address that will be assigned to the host-only network interface, and then click Yes.

You have now created a NAT/IP forwarder between your VMnet1 (the host-only interface) and your physical network adapter (or modem) for this connection.

For additional details on this procedure, refer to the Windows 2000 online help for Internet connection sharing.

If you want to update the Workstation DHCP configuration to provide leases to the virtual machines using the new private IP network address (which you noted in step 8), you may open the \winnt\system32\vmnetdhcp.conf file in a text editor and edit it to reflect the new IP address range. Then restart the Workstation DHCP service. Otherwise, you may give your virtual machine a static IP address from the same range as that assigned to the host-only interface in step 8 above.

Related links:

  • Host-only networking


Avoiding IP packet leakage with host-only networking

Each host-only network is intended to be confined to the host machine on which it is set up. That is, no packets sent by virtual machines on this network should "leak out" to a physical network attached to the host. Packet leakage can occur only if a machine actively forwards packets. Note that this can be true of the host machine or any virtual machine running on the host-only network.

However, it is possible for the host machine to be configured in a way that permits packet leakage. Systems that support the TCP/IP protocols are usually capable of forwarding IP packets they receive but that are not addressed to them. By default, however, these systems come with IP packet forwarding disabled. Virtual machines may leak packets as well. For example, if you use Dial-Up Networking support in a virtual machine and packet forwarding is enabled, host-only network traffic may leak out through the dial-up connection.

If you find packets leaking out of a host-only network, check if forwarding has been enabled on the host machine, and if it is enabled, disable it.

  1. Select Start > Settings > Control Panel > Networking.
  2. Select TCP/ IP and click Properties.
  3. Click the Routing tab.
  4. Deselect the IP forwarding option.
  5. Click OK.

Using Packet Filtering

If the host computer has multiple physical network adapters, it may be intentionally configured to do IP forwarding. If that is the case, you do not want to disable forwarding. Instead, to avoid packet leakage you must enable a packet filtering facility and specify that packets from the host-only network should not be sent outside the host computer. Consult your operating system documentation for details on how to configure packet filtering.

Leaks from a Virtual Machine

Virtual machines may leak packets. For example, if you use Dial-Up Networking support in a virtual machine and packet forwarding is enabled, host-only network traffic may leak out through the dial-up connection. To prevent the leakage, be sure packet forwarding is disabled in your guest operating system.


Setting up host-only networking on Windows 2000

Due to a problem with Windows 2000, the software installer included with this VMware Workstation release has been modified to list only the option "Connect directly to a local Ethernet (bridged mode)" when the software is installed on Windows 2000 hosts. If you want to configure virtual machines to use the host-only networking option on a Windows 2000 host, you must first install Workstation on the host machine and then manually install the basic host-only network adapter as an additional set of steps afterwards. If you have not already installed Workstation on your Windows 2000 host, refer to the Workstation Installation Notes.

Note: Before performing these steps, you must have already installed your license and rebooted the Windows 2000 host machine.

  1. Select Start > Settings > Control Panel.
  2. Click the Add/Remove Hardware icon.

    Note: You must have sufficient privileges to do this.

  3. Click Next.
  4. Select Add/Troubleshoot a Device and click Next.
  5. Wait while Windows searches for new Plug and Play devices, then select Add a New Device from the "Choose a Hardware Device" screen and click Next.
  6. Select "No, I want to select the hardware from a list" and click Next.
  7. Select Network Adapters from the list and click Next.
  8. Select VMware, Inc. from the manufacturers list on the "Select Network Adapter" screen to get the list of available host-only network adapters, then select VMware Virtual Ethernet Adapter (basic host-only support for VMnet1) and click Next.
  9. Click Next on the screen titled "Start Hardware Installation".
  10. Click Yes when prompted that the Microsoft digital signature is not present for the software about to be installed.
  11. Click Finish on the screen that indicates the adapter has been installed.

    Note: By default, Windows 2000 will set up each host-only adapter to obtain an IP address from a DHCP server. VMware Workstation does not work with this default setting, so you must manually assign a static IP address to the VMnet DHCP server by completing the remaining steps below.

  12. Locate the file vmnetdhcp.conf; this is the configuration file used by the VMnet DHCP server. The file should be in the C:\WINNT\SYSTEM32 directory; otherwise, use the Windows 2000 Search facility to find it.
  13. View the contents of vmnetdhcp.conf using a text editor such as Notepad.
  14. The text file should have one entry for each VMnet Ethernet adapter that has been installed on the system. Look for the entry in the file that corresponds to the host-only adapter you just installed. The entry should be the last one in the file and look similar to:

    # added for VMnet1 at 08/24/99 16:26:44
    <subnet 172.16.154.0 netmask 255.255.255.0 {
    range 172.16.154.128 172.16.154.254;
    option domain-name-servers 172.16.154.1;
    option broadcast-address 172.16.154.255;
    }

    The network address indicated to the right of the subnet designator in the last entry will most likely be different from the one indicated in the above example (172.16.154.0). For now, simply identify the subnet address within the last entry of your file; this address will be modified manually and assigned as the IP address of the host-only adapter in the next step. Do not modify the address within the configuration file.

  15. Manually assign the IP address and subnet mask for the host-only adapter: Open the Control Panel, double-click the Network and Dial-up Connections icon.

    Note: If you see multiple Local Area Connection icons, identify the one that corresponds to the VMware Virtual Ethernet Adapter (basic host-only support VMnet1). To do this, right-click on each icon, select Properties from the pop-up menu and look in the "Connect Using" field for the appropriate adapter name.

  16. From the "Local Area Connection Properties" dialog box for the VMware Virtual Ethernet Adapter, select Internet Protocol (TCP/IP) and click the Properties button. Change the default setting from "Obtain an IP address automatically" to "Use the following IP address". Enter the subnet address identified in the previous step in the "IP address" field, but replace the ".0" portion of the address with a ".1". For example, if the subnet address in the entry is 172.16.154.0, enter the new derived address of 172.16.154.1 in the "IP address" field). Enter 255.255.255.0 in the "Subnet mask" field and leave the remaining fields blank. Click OK.
  17. Click OK again to close the "Local Area Connection Properties" panel. Click the Close button to close the "Local Area Connection Status" panel. Finally you will need to start or restart the VMnet DHCP service if you intend to have DHCP dynamically assign IP addresses to guest operating systems that use host-only networking.
  18. Select Start > Settings > Control Panel.
  19. Double-click the Administrative Tools item.
  20. Double-click the Services icon.
  21. Select the VMnet DHCP Server item in the list.
  22. Select the Start item from the "Action" drop-down list box.

    Note: If the new adapter is the second or third host-only adapter to be added, then you will already have a VMnet DHCP Server service running and you will need to stop it first before starting it again. To do so, select the service and select Stop from the "Action" drop-down list box. Then select the service and select Start from the "Action" drop-down list box.

Related links:

  • Host-only networking


Creating the firewall.rh file on Red Hat Linux 6.1

Red Hat Linux 6.1 should install a firewall init script in the directory /etc/rc.d/init.d. If not, you may create one named firewall.rh. The required contents of that file are listed below.

Note: The backslash character (\) indicates that the line in the script should continue without a line break. Do not type the backslash character.

p>#!/bin/sh
#
# Simple firewall and masquerading setup for SuSE Linux
# with 2.2 kernels and ipchains
# adapted for use on Red Hat Linux 6.1
# Adapted by Mostafa Khalil, VMware Technical Support
# --------------------------------------------------------------------
# Author: Bodo Bauer bb@ricochet.net
# Ruediger Oertel <ro@suse.de> adapted for SuSE boot layout
# Adapted for Red Hat 6.1 by Mostafa Khalil, VMware Technical Support
#
# /etc/rc.d/init.d/firewall.rh
#
# Changes:
#
# bb 01/14/99 - v2.2 Rewrite of the whole thing
# * changed to 'ipchains' to make it working with 2.1 kernel
# * enhanced start and status messages
# * dynamic IP addresses can be inserted in configutration with
# special string IP@<device-name>
# * only self created rules and chains will be removed on 'stop'
# (instead of global flush in earlier version...)
# mk 01/14/00 - Modified to work on Red Hat 6.1
# --------------------------------------------------------------------
# Read settings
. /etc/fw.config
# Version
VERSION="firewall v2.2"
# Enable IP Forwarding always
echo 1 > /proc/sys/net/ipv4/ip_forward
# Determine the base and follow a runlevel link name.
base=${0##*/}
link=${base#*[SK][0-9][0-9]}
# Force execution if not called by a runlevel directory.
test $link = $base && FW_START=yes
test "$FW_START" = yes || exit 0
# used tools
IPCHAINS=/sbin/ipchains
AWK=/bin/awk
GREP=/bin/grep
IFCONFIG=/sbin/ifconfig
SED=/bin/sed
#for debugging
#IPCHAINS="echo ipchains "
# list of trusted hosts
FRIENDS=/etc/fw-friends
# Internal hosts with access to the ouside
INOUT=/etc/fw-inout
# list of ssh hosts
SSH=/etc/fw-ssh
if test "$FW_LOG_DENY" = "yes" ; then
DENY_FLAG="$DENY_FLAG -l"
fi
if test "$FW_LOG_ACCEPT" = "yes" ; then
ACC_FLAG="$ACC_FLAG -l"
fi
# Dynamic IP hack. The string IP@<dev>, where <dev> is a defined
# network interface, will be replaced by it's IP address of this device.
# Un-comment the following lines if you want support Dynamic IP
#dynip() {
# for var in `$AWK 'BEGIN{FS="="} /^FW_|^MSQ_/ {print $1}'
/etc/fw.config` ;
#do list=`eval echo $\`echo $var\``
# if test "$list" != ""; then
# tmp=""
# flag=0
# for ip in $list ; do
# if test "${ip:0:3}" = "IP@" ; then
# # found special string
# devip=`$IFCONFIG ${ip:3} | $AWK '/inet addr:/ { print $2 }' | $SED \
s/addr://`
# tmp="$tmp$devip "
# flag=1
# else
# tmp="$tmp$ip "
# fi
# done
# if test $flag = 1 ; then
# echo " $var set to $tmp"
# eval "$var=\"$tmp\""
# fi
# fi
# done
#}
return=$rc_done
if test -f /proc/net/ip_fwchains -a `cat /proc/sys/net/ipv4/ip_forward` -eq 1 ;
then
case $1 in
start)
# check for dynamic addresses
# un-comment the folllowing line if want to support Dynamic IP
# dynip
if test "$FW_START" = "yes" ; then
if `cat /proc/net/ip_fwnames | $GREP user_fw > /dev/null` ; then
echo -n "Custom chains already exist"
return=$rc_failed
else
# Seems like everything is OK, so lets set up the firewall
echo "Starting $VERSION "
# first create a new chain incoming traffic
$IPCHAINS -N user_fw
# deny all traffic until all rules are set up on th eincoming queue
$IPCHAINS -A user_fw -s 0/0 -d 0/0 $DENY_FLAG -j DENY
# direct incoming packages to user_fw
for net in $FW_LOCALNETS ; do
for dev in $FW_WORLD_DEV ; do
$IPCHAINS -A input -s 0/0 -d $net -i $dev -j user_fw
done
done
# redirect all outgoing traffic to user_out, if needed
if test "$FW_INOUT" = "yes" -o "$FW_TRANSPROXY_OUT" != "" ; then
$IPCHAINS -N user_out
for net in $FW_LOCALNETS ; do
for dev in $FW_INT_DEV ; do
$IPCHAINS -A input -d 0/0 -s $net -i $dev -j user_out
done
done
fi
# set up firewall rules in chain user_fw
# prohibit spoofing on kernel level but if there is an
# router outside the network, let it have access
if test "$FW_ROUTER" != "" ; then
echo -n " Bypass spoofing rules for: "
for host in $FW_ROUTER ; do
$IPCHAINS -A user_fw -s $host -d 0/0 $ACC -j ACCEPT
echo -n "$host "
done
echo ""
for dev in $FW_WORLD_DEV ; do
if test -f /proc/sys/net/ipv4/conf/$dev/rp_filter ; then
echo "0" > /proc/sys/net/ipv4/conf/$dev/rp_filter
fi
done
else
for dev in $FW_WORLD_DEV ; do
if test -f /proc/sys/net/ipv4/conf/$dev/rp_filter ; then
echo "2" > /proc/sys/net/ipv4/conf/$dev/rp_filter
fi
done
fi
for net in $FW_LOCALNETS ; do
$IPCHAINS -A user_fw -s $net -d 0/0 $DENY_FLAG -j DENY
done
# added to provide masquerade
# $IPCHAINS -A user_fw -j MASQ
# give unlimited access to trusted hosts
if test "$FW_FRIENDS" = "yes" -a -f $FRIENDS ; then
hosts=`${AWK} '/^#/ { next; } { print $1 }' ${FRIENDS}`
if test "$hosts" != "" ; then
echo -n " Trusted hosts: "
for host in $hosts ; do
$IPCHAINS -A user_fw -s $host $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
fi
# permit ssh for listed hosts
if test "$FW_SSH" = "yes" -a -f $SSH ; then
hosts=`${AWK} '/^#/ { next; } { print $1 }' ${SSH}`
if test "$hosts" != "" ; then
echo -n " SSH access from: "
for host in $hosts ; do
$IPCHAINS -A user_fw -s $host -d 0/0 22 -p tcp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s $host -d 0/0 22 -p udp $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
fi
# open access to HTTP server
if test "$FW_WWWSERVER" != "" ; then
echo -n " Open HTTP access to: "
for host in $FW_WWWSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host 80 -p tcp $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
# open access to SSL server
if test "$FW_SSLSERVER" != "" -a "$FW_SSLPORT" != "" ; then
echo -n " Open SSL access on port $FW_SSLPORT to: "
for host in $FW_SSLSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host $FW_SSLPORT -p tcp $ACC_FLAG \
-j ACCEPT
echo -n "$host "
done
echo ""
fi
# open access to FTP server
if test "$FW_FTPSERVER" != "" ; then
echo -n " Open FTP access to: "
for host in $FW_FTPSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host 20 -p tcp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s 0/0 -d $host 21 -p tcp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s 0/0 -d $host 20 -p udp $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
# open access to mail server
if test "$FW_MAILSERVER" != "" ; then
echo -n " Open SMTP access to: "
for host in $FW_MAILSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host 25 -p tcp $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
# let newsfeeds access the local news server
if test "$FW_NNTPSERVER" != "" -a "$FW_NEWSFEED" != "" ; then
echo -n " Access to NNTP port from $FW_NEWSFEED to: "
for feed in $FW_NEWSFEED ; do
for host in $FW_MAILSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host 119 -p tcp $ACC_FLAG -j \
ACCEPT
echo -n "$host "
done
done
echo ""
fi
# open access to name server
if test "$FW_DNSSERVER" != "" ; then
echo -n " Open DNS access to: "
for host in $FW_DNSSERVER ; do
$IPCHAINS -A user_fw -s 0/0 -d $host 42 -p tcp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s 0/0 -d $host 42 -p udp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s 0/0 -d $host 53 -p tcp $ACC_FLAG -j ACCEPT
$IPCHAINS -A user_fw -s 0/0 -d $host 53 -p udp $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
# Transparent proxy for incoming traffic
if test "$FW_TRANSPROXY_IN" != "" ; then\
echo " Load transparent proxy (incoming traffic)"
for i in $FW_TRANSPROXY_IN ; do
PARAM=`echo $i | $AWK 'BEGIN {FS=","} {printf ( "-s %s -d %s %s \
-j REDIRECT %s", $1, $2 ,$3 ,$4 ) }'`
${IPCHAINS} -A user_fw ${ACC_FLAGS} -p tcp ${PARAM}
${IPCHAINS} -A user_fw ${ACC_FLAGS} -p udp ${PARAM}
done
fi
# deny all packages which haven't been handled by one of the
# other rules and are in the forbidden portrange
echo -n " Locked UDP ports: "
for ports in $FW_UDP_LOCKED_PORTS ; do
$IPCHAINS -A user_fw -s 0/0 -d 0/0 $ports -p udp $DENY_FLAG -j DENY
echo -n "$ports "

done
echo ""
echo -n " Locked TCP ports: "
for ports in $FW_TCP_LOCKED_PORTS ; do
$IPCHAINS -A user_fw -s 0/0 -d 0/0 $ports -p tcp $DENY_FLAG -j DENY
echo -n "$ports "
done
echo ""
# after all rules are set up, we can replace the general denial
# with a general accept
$IPCHAINS -D user_fw -s 0/0 -d 0/0 $DENY_FLAG -j DENY
$IPCHAINS -A user_fw -s 0/0 -d 0/0 $ACC_FLAG -j ACCEPT
echo "Filters for incoming traffic loaded"
# now take care of outgoing traffic
# Transparent proxy for incoming traffic
if test "$FW_TRANSPROXY_OUT" != "" ; then
echo " Load transparent proxy (outgoing traffic)"
for i in $FW_TRANSPROXY_OUT ; do
PARAM=`echo $i | $AWK 'BEGIN {FS=","} {printf ( "-s %s -d %s %s \
-j REDIRECT %s", $1, $2 ,$3 ,$4 ) }'`
${IPCHAINS} -A user_out ${ACC_FLAGS} -p tcp ${PARAM}|
${IPCHAINS} -A user_out ${ACC_FLAGS} -p udp ${PARAM}
done
fi
if test "$FW_INOUT" = "yes" -a -f $INOUT ; then
# set up rules in new chain
hosts=`${AWK} '/^#/ { next; } { print $1 }' $INOUT`
if test "$hosts" != "" ; then
echo -n " Outbound traffic is OK from: "
for host in $hosts ; do
$IPCHAINS -A user_out -s $host -d 0/0 $ACC_FLAG -j ACCEPT
echo -n "$host "
done
echo ""
fi
# block everything which hasn't been accepted so far
$IPCHAINS -A user_out -s 0/0 -d 0/0 $DENY_FLAG -j DENY
else
echo " No restrictions for outbound traffic"
fi
echo "Filters for outgoing traffic loaded"
fi
fi
;;
stop)
# check for dynamic addresses
dynip
if test "$FW_START" = "yes" ; then
echo -n "Shutting down $VERSION "
if `cat /proc/net/ip_fwnames | $GREP user_fw > /dev/null` ; then
# remove rules pointing to the firewall chain from the input rules
for net in $FW_LOCALNETS ; do
for dev in $FW_WORLD_DEV ; do
$IPCHAINS -D input -s 0/0 -d $net -i $dev -j user_fw
done
done
# now delete the chain
$IPCHAINS -F user_fw
$IPCHAINS -X user_fw
return=$rc_done
else
return=$rc_failed
echo -n "Chain user_fw does not exist, firewall not active?"
fi
# remove filter for outbound traffic
if test "$FW_INOUT" = "yes" -o "$FW_TRANSPROXY_OUT" != "" ; then
# remove rules from input chain
for net in $FW_LOCALNETS ; do
for dev in $FW_INT_DEV ; do
$IPCHAINS -D input -s $net -d 0/0 -i $dev -j user_out
done
done
$IPCHAINS -F user_out
$IPCHAINS -X user_out
fi
fi
;;
restart|reload)
$0 stop && $0 start || return=$rc_failed
;;
status|list)
if `cat /proc/net/ip_fwnames | $GREP user_fw > /dev/null` ; then
echo "Firewall settings:"
$IPCHAINS -L input -v -- n
$IPCHAINS -L user_fw -v -- n
if test "$FW_INOUT" = "yes" ; then
$IPCHAINS -L user_out -v -- n
fi
else
echo "Firewall not active."
fi
exit 0
;;
*)
echo ""
echo "Usage: $0 {start|stop|status|restart|reload}"
exit 1
;;
esac
else
echo -n "Kernel lacks ipchains or forwarding support - firewall not enabled"
return=$rc_failed
fi
# Inform the caller not only verbosely and set an exit status.
echo -e $return
test "$return" = "$rc_done" || exit 1
exit 0


Creating the fw.config file on Red Hat Linux 6.1

To configure a Red Hat Linux 6.1 host to use firewall and IP masquerade, you need to create the file /etc/fw.config. The required contents of that file are listed below.

Note: The backslash character (\) indicates that the line in the script should continue without a line break. Do not type the backslash character.

##
## Adapted from S.u.S.E Linux 6.2 rc.config file for IP-Chains
## on Red Hat Linux 6.1
## Adapted by Mostafa Khalil, VMware Technical Support
##
## Formating the boot script messages:
## The boot scripts should use the variables rc_done and rc_fail to
## symbolize their success. See /sbin/init.d/skeleton for an example
## how to use these variables.
## rc_done_up and rc_failed_up do the same as rc_done and rc_failed
## but one line above (usefull for starting daemons who talk to user).
## The variable rc_reset is used by the master resource control script
## /sbin/init.d/rc to turn off all attributes and switch on the
## standard character set.
##
## \033 is just ascii ESC
## \033[<NUM>G move to column <NUM>
## \033[1m switch bold on
## \033[31m switch red on
## \033[32m switch green on
## \033[33m switch yellow on
## \033[m switch color/bold off
##
rc_done="\033[71G\033[32mdone\033[m"
rc_failed="\033[71G\033[31m\033[1mfailed\033[m"
rc_skipped="\033[71G\033[1mskipped\033[m"
rc_done_up="\033[1A$rc_done"
rc_failed_up="\033[1A$rc_failed"
rc_unused="\033[71G\033[1munused\033[m"
rc_reset="\033[m\017"
#
# Firewall settings
# Using a sample network address and a Token Ring Card.
# If you are using an Ethernet Card, you may change 'tr0' to 'eth0'
#
FW_START="yes"
FW_LOCALNETS="172.1.233.0/24"
FW_FTPSERVER=""
FW_WWWSERVER=""
FW_SSLSERVER=""
FW_SSLPORT="443"
FW_MAILSERVER=""
FW_DNSSERVER=""
FW_NNTPSERVER=""
FW_NEWSFEED=""
FW_WORLD_DEV="tr0"
FW_INT_DEV="vmnet1"
FW_LOG_ACCEPT="no"
FW_LOG_DENY="yes"
FW_ROUTER="172.16.233.0/24"
FW_FRIENDS="no"
FW_INOUT="yes"
FW_SSH="no"
FW_TRANSPROXY_OUT=""
FW_TRANSPROXY_IN=""
FW_REDIRECT=""
FW_TCP_LOCKED_PORTS="1:1023"
FW_UDP_LOCKED_PORTS="1:1023"
#
# Masquerading settings -
# Using a sample network address and a Token Ring Card.
# If you are using an Ethernet Card, you may change 'tr0' to 'eth0'
#
MSQ_START="yes"
MSQ_NETWORKS="172.16.233.0/24"
MSQ_DEV="tr0"
MSQ_MODULES="ip_masq_cuseeme ip_masq_ftp ip_masq_irc ip_masq_quake \
ip_masq_raudio ip_masq_vdolive"
# The MSQ_Modules should be all on one line


Changing the MAC address of a virtual machine

When a virtual machine is powered on, Workstation automatically assigns each of its virtual Network Adapters a media access control (MAC) address. A MAC address is the unique address assigned to each physical network device. The software guarantees that virtual machines will be assigned unique MAC addresses within a given host system. However, the software does not guarantee that a given virtual machine will be assigned the same MAC address every time it is powered on. In addition, Workstation cannot guarantee to automatically assign unique MAC addresses for virtual machines running on multiple host systems.

If you want to guarantee that the same MAC address is assigned to a given virtual machine every time, or if you want to guarantee a unique MAC address for each virtual machine within a networked environment, you can assign the address manually instead of allowing Workstation to assign it automatically.

To manually assign the same, unique MAC address to any virtual machine, use a text editor to add the following line to its configuration file (.vmx ):

ethernet0.address = 00:50:56:XX:YY:ZZ

where XX is a valid hex number between 00h and 3Fh, and YY and ZZ are valid hex numbers between 00h and FFh. Because Workstation virtual machines do not support arbitrary MAC addresses, you must use this format. As long as you assign unique hard-coded MAC addresses using this format, conflicts between the automatically assigned MAC addresses and the manually assigned ones should never occur.


Connecting to a modem on the host

More information to be provided in a future release.


Setting up Network Address Translation

A network address translation (NAT) configuration sets up a virtual private network that must use the TCP/IP protocol. The virtual machines configured for NAT are connected to the virtual private network through a virtual Network Adapter or switch. Unlike host-only networking, the host computer is not connected to the virtual private network.

If you want to connect to the Internet or other TCP/IP network using the host computer's dial-up networking connection and you are not able to give your virtual machine an IP address on the external network, this is often the easiest way to give your virtual machine access to that network.

With NAT, the virtual machine does not have its own IP address on the external network. Instead, a separate virtual private network is set up on the host computer. The virtual machine gets an address on that network from the VMware DHCP server. The VMware NAT device passes network data between one or more virtual machines and the external network. It identifies incoming data packets intended for each virtual machine and sends them to the correct destination.

If you select NAT, the virtual machine can use many standard TCP/IP protocols to connect to other machines on the external network. For example, you can use HTTP to browse Web sites, FTP to transfer files and telnet to log in to other computers. However, computers on the external network cannot initiate connections to the virtual machine. That means, for example, that you cannot use the virtual machine as a Web server to send Web pages to computers on the external network.

To set up a virtual machine for NAT networking you need to follow these steps:

  1. Add a virtual Network Adapter to your virtual machine that connects to the "NAT" network.
  2. Configure operating system support for the virtual Network Adapter, and either assign it a fixed network address or enable use of dynamic address assignment with DHCP or BOOTP. >>More about assigning network addresses
  3. Power on the virtual machine.

Related links:

  • Connecting to multiple drives on the host
  • Connecting to a modem on the host
  • Adding a virtual Network Adapter to a virtual machine


Connecting to an external network using a proxy server

Virtual machines can connect to Ethernet networks easily using bridged networking. However, Workstation does not support non-Ethernet network adapter cards -- including token ring, FDDI, CDDI, or ATM adapters -- with bridged networking. For connections to other types of networks, you can use host-only networking plus appropriate software running on the host.

If you use host-only networking, your virtual machine and the host-only adapter are connected to a private TCP/IP network. Packets do not leave the virtual switch or Network Adapter (VMnet1). In effect, the virtual machines linked to a host-only network are isolated from any network outside the host. To give virtual machines access to an IP network outside the host, you must forward the packets to the host's physical network card. You can forward the packets using a proxy server or firewall application.

For example, if you install the proper routing or proxy software on your host computer, you can establish a connection between the host-only virtual Ethernet adapter and a physical network adapter on the host computer. This allows you to connect the virtual machine to a token ting or other non-Ethernet network. The instructions in this topic describe the process for using host-only networking to connect to a token ring network. The principles are also applicable to other non-Ethernet networks, for example, network connections over analog, ISDN, and DSL modems.

On Windows 2000 hosts, you can use Internet Connection Sharing to implement this configuration.

Related links:

  • Setting up Internet connection sharing on Windows hosts
  • Avoiding IP leakage


Connecting to a wireless network

To allow guest operating systems to communicate through a wireless network card, you need to:

  1. Enable network address translation (NAT) networking when you install VMware Workstation software.

You can also set up Host-Only networking and then add special software (such as a proxy server) to allow the virtual private network to communicate with the external wireless network.

Related links:

  • Setting up IP forwarding
  • Using Network Address Translation (NAT)
  • Accessing an external network using a proxy server
  • Using bridged networking


Setting up virtual machines on a disk partition

When you set up virtual machines on a disk partition, you have several options:

  • You can choose the type of disk you are creating.
  • You can choose the disk mode to use for the virtual disk partition.
  • You can assign access rights to the partition (no access, read only, or read/write).
  • You can hide the type of read-only partitions from other operating systems running in other virtual machines or on the host machine.

Related Topics:

  • Assigning access rights to disk partitions
  • Hiding read only disk partitions
  • Types of disks
  • Disk modes for disk partitions


Assigning access rights to disk partitions

Raw disk partitions can be assigned one of three access rights:

  • no access
  • read only
  • read write

Warning: Improper configuration of partition access rights can result in disk corruption.

If a virtual machine attempts to read from or write to a disk partition marked no access, or to write to a read only partition, a pop-up dialog box will ask you to approve or reject the operation. If you decide not to allow the read or write, the virtual machine will terminate. If you are uncertain what access to assign to a partition, make it read only.

You can hide the type of read-only partitions from the virtual machine as well. >>More on hiding read only partitions

Related Topics:

  • Setting up virtual machines on a disk partition
  • Hiding read only disk partitions


Shrinking a Virtual Disk

You can physically reclaim space in virtual disks using the shrink functionality provided in VMware Tools. This feature is also useful if you are upgrading existing virtual machines to Workstation 3.0. The new disk format provides improved disk I/O performance.

Note: To upgrade a virtual hard disk to Workstation 3.0, be sure to execute Settings > Upgrade Disk. Running this command does not change the way the disk is stored; rather, it changes the version of Workstation that runs on the virtual hard disk. For example, this command affects the virtual hardware that Workstation uses (such as the virtual hardware that supports USB).

The virtual disks to be shrunk must be booted in persistent mode. (The mode of a virtual disk may be modified before the virtual machine is powered on by choosing Settings > Configuration Editor, selecting the virtual disk, and then choosing a Persistent as the disk mode. This operation requires free disk space equal to the size of the virtual disk being shrunk.

To shrink a virtual disk on a Windows guest operating system:

  1. Double-click the VMware Tools icon (generally in the system tray at the end of the taskbar).
  2. Click the Shrink tab.
  3. Select the disk you want to shrink, and click Prepare to Shrink.
  4. Follow the on-screen instructions.

To shrink a virtual disk on a Linux guest operating system:

  1. Open VMware Tools. If it is not available, launch it by running vmware-toolbox.
  2. Click the Shrink tab.
  3. Select the mount point for the disk you want to shrink, and click Prepare to Shrink.
  4. Follow the on-screen instructions.

Related Topics:

  • Installing VMware Tools
  • Setting preferences for VMware Tools


Using VMware Tools

VMware Workstation installs unmodified operating systems directly from floppies and/or CD-ROMs. This installation process is the first and only necessary step in building a virtual machine.

However, VMware highly recommends that you install the VMware Tools suite within each virtual machine as soon as it is installed. It is very important that you install VMware Tools in the guest operating system. If you do not install VMware Tools, the graphics environment within the virtual machine is limited to VGA-mode graphics (640x480, 15 colors).

With the VMware Tools SVGA driver installed, Workstation supports up to 32-bit displays and high display resolution with significantly faster overall graphics performance. Other tools in the package make it more convenient to use your virtual machine.

The VMware Tools suite consists of two components:

  • A graphics driver that is optimized for the Workstation virtual graphics card. For Linux guest operating systems, this consists of our own version of the XFree86 X server. The graphics driver is installed by the wizard. Once installed, it will be used for subsequent reboots.
  • A small background application that allows you to change configuration settings within the virtual machine. Workstation controls the cursor settings and the connection state of removable devices, such as floppy and CD-ROM drives.

    The cursor settings allow you to move the mouse cursor smoothly between the virtual machine and the host graphical user interface. The cursor settings also allow you to copy/paste text buffers between virtual machines and the host and from one virtual machine to another. Note that these enhancements are available only when the application is running.

Related Topics:

  • Installing VMware Tools
  • Setting preferences for VMware Tools
  • Copy and paste
  • Shrinking a virtual disk


Installing VMware Tools

  1. Be sure you have the VMware Tools for your guest operating system.

    Installation files for VMware Tools for Windows, Linux and FreeBSD guest operating systems are built into Workstation as CD-ROM image files. Choose Settings > VMware Tools Install from the Workstation menu to connect the virtual machine's CD-ROM drive temporarily to that image file and begin the installation process. (If you decide not to proceed with the installation, choose Settings > Cancel VMware Tools Install to return your virtual machine's CD-ROM drive to its original configuration.)

  2. Install VMware Tools for Windows, VMware Tools for Linux, or VMware Tools for FreeBSD in the guest operating system.

    Be aware that upgrading to a newer version of VMware Tools while the tools are running may not work correctly. When a virtual machine running Windows NT or Windows 2000 is upgraded, an older copy of VMware Tools may appear to work; however, the VMTBox.exe file will not update properly. As a workaround, exit the older running copy of VMTBox.exe before upgrading to the new version of VMware Tools. To do this, right-click on the VMware Toolbox icon on the Windows task bar and select Exit; then install the new version of VMware Tools.

Related Topics:

  • Installing VMware Tools for Windows
  • Installing VMware Tools for Linux
  • Installing VMware Tools for FreeBSD
  • Components of VMware Tools
  • Setting preferences for VMware Tools


Installing VMware Tools for FreeBSD

VMware Tools for FreeBSD include:

  • The X server to run in a virtual machine for SVGA display modes.
  • The vmware-toolbox program to access virtual machine settings from the guest operating system.
  • Support for dual-booting a BSD partition either in a virtual machine or on the real machine.

To install VMware Tools for FreeBSD:

  1. Power on the virtual machine.
  2. Prepare your virtual machine to install VMware Tools by selecting Settings > VMware Tools Install.

    Note: The following steps all take place inside the virtual machine, not on the host computer.

  3. As root, mount the VMware Tools CD-ROM, copy its contents to /tmp, then unmount it:
    mount /cdrom
    cp /cdrom/vmware-freebsd-tools.tar.gz /tmp
    umount /cdrom

  4. Untar the VMware Tools tar file in /tmp, and install it:
    cd /tmp
    tar zxf vmware-freebsd-tools.tar.gz
    cd vmware-freebsd-tools
    ./install.pl

  5. Start X and your graphical environment if they are not started yet.
  6. In an X terminal, launch the VMware Tools background application:
    vmware-toolbox &

You may run VMware Tools as root or as a normal user. VMware Tools has additional capabilities if you run it as root.

By default, the resolution of the X server is set to the resolution of the screen as determined at install time. If you wish to change this, you can edit the configuration file.

To configure the X server for different resolution:

  1. Locate the XF86Config file. This file stores X server configuration information and is typically located in the directory /etc/X11, or sometimes in /etc.
  2. Look for the line:
    Section "Screen"
    and under this there will be a line that sets the resolution:
    Modes "1280x1024"

  3. Change this line to the desired resolution. There are several example mode lines, which are commented out.

If you are dual-booting note that there is an XF86Config.vm file and an XF86Config.org file, which are linked to XF86Config, depending on whether you are booting in a virtual machine or not. Be sure to edit the correct one of these files.

Dual Booting your FreeBSD System

The install script attempts to set up your system so that it can boot either in a virtual machine or on the real hardware. These things are different in the two environments:

  • The Workstation X server should be run in the virtual machine instead of the native X server.
  • The X config file is different.
  • The device configuration is different. The virtual machine emulates an AMD Lance Ethernet card and a Sound Blaster sound card, regardless of the actual hardware present on the machine. Generic FreeBSD kernels should provide support for these devices automatically. If you intend to dual boot with a custom kernel, you must ensure that it provides support for both your real hardware and the emulated products (AMD Lance and Sound Blaster).

To handle these differences, the install script creates links to the current versions of the X server and the X config file. Then it installs new versions of these files, for use when booting in a virtual machine.

The Workstation install modifies the /etc/rc file (making backups to /etc/rc.old.n, where n is a number from 1 to 3). At init time, Workstation's addition to /etc/rc calls checkvm to determine if the system is running in a virtual machine. If so, /etc/rc.dualconf.vm is called; otherwise /etc/rc.dualconf.org is called. These scripts switch the links to point to the correct X server and X config file. They also provide a good place for the user to introduce virtual machine dependent behavior.

Note: The rc.conf link is set after the rc.conf file is read, which means it does not take effect until the next boot. If rc.conf.org and rc.conf.vm are different for your setup, then you will always have to boot twice when switching from running FreeBSD in a virtual machine to running on the real machine (and vice versa). The reason for this behavior is that the rc.conf file is read in while the root file system is still mounted read only, so the links cannot be switched before rc.conf is read in.

The installation program will make every effort to find the correct place to modify /etc/rc (before networking is set up, but after local disks have been mounted). If it is not successful, you may have to insert the lines into your /etc/rc file before networking but after local disks are mounted:

if [ -x /etc/vmware/checkvm ]
then
if /etc/vmware/checkvm > /dev/null
then
if [ -f /etc/rc.dualconf.vm ];
then . /etc/rc.dualconf.vm
fi
else
if [ -f /etc/rc.dualconf.org ];
then . /etc/rc.dualconf.org
fi
fi
fi

Related Topics:

  • Components of VMware Tools
  • Setting preferences for VMware Tools


Installing VMware Tools for Linux

  1. Power on the virtual machine. The following steps all take place inside the virtual machine, not on the host computer.

    Note: If you have an older version of VMware Tools installed, terminate the running version before installing the new one.

  2. Choose Settings > VMware Tools Install.

    Note: If you decide not to proceed with the installation of VMware Tools, you may cancel the operation by selecting Settings > Cancel VMware Tools Install.

  3. In a terminal, become root.
    su

  4. Mount the VMware Tools CD-ROM, copy its contents to /tmp, then unmount it.
    cd /
    mount -t iso9660 /dev/cdrom /mnt
    cp /mnt/vmware-linux-tools.tar.gz /tmp
    umount /dev/cdrom

  5. Untar the VMware Tools tar file in /tmp and install it.
    cd /tmp
    tar zxf vmware-linux-tools.tar.gz
    cd vmware-linux-tools
    ./install.pl

  6. Start X and your graphical environment if they are not started yet.
  7. In an X terminal, launch the VMware Tools background application.
    vmware-toolbox &

    You may run the VMware Tools background application as root or as a normal user. The application will have additional capabilities if you run it as root.

Note: The ./install.pl installation script included with the VMware Tools for Linux package will not recognize Linux Mandrake installations. To install VMware Tools for Linux on top of Linux Mandrake installations, add redhat as a command line parameter when you run the installation script. For example, run the following command:
./install.pl redhat

Related Topics:

  • Components of VMware Tools
  • Setting preferences for VMware Tools
  • Setting up virtual machines for dual-boot systems


Issues after installing VMware Tools for Windows

More information to be provided in a later release.


Installing VMware Tools for Windows

VMware Tools for Windows supports Windows 95, Windows 98, Windows Me, Windows NT 4.0,Windows 2000 and Windows XP guest operating systems.

  1. Power on the virtual machine. The following steps all take place inside the virtual machine, not on the host computer.

    Note: If you have an older version of VMware Tools installed, stop the old version before installing the new one.

  2. Right-click the VMware Tools icon in the system tray on the Windows toolbar and choose Exit.
  3. Choose Settings > VMware Tools Install.

    Note: If you decide not to proceed with the installation of VMware Tools, you may cancel the operation by selecting Settings > Cancel VMware Tools Install.

  4. If the installation does not auto-launch, you can run the installer by clicking Start > Run and entering D:\VmwareTools.exe where D: is your virtual CD-ROM drive.

    On Windows Me, Windows 2000 and Windows XP guests, the SVGA driver is installed automatically and the guest operating system uses it after it reboots. On Windows 9x and Windows NT guests, you need to configure the video driver manually.

    Instructions for configuring the video driver will open automatically in Notepad at the end of the installation process. If the Notepad window is hidden, bring it to the front by clicking the Notepad button on the Windows taskbar.

    The VMware Tools background application will be launched automatically when you reboot the virtual machine.

Related Topics:

  • Issues after installing VMware Tools for Windows
  • Components of VMware Tools
  • Setting preferences for VMware Tools
  • Setting up virtual machines for dual-boot systems


Issues with VMware Tools

More information to be provided in a future release.


Setting preferences for VMware Tools

More information to be provided in a future release.


Add Hardware Wizard -- Select a Physical Drive (CD-ROM)

Information not available in this release.


Add Hardware Wizard -- Choose an ISO Image

Information not available in this release.


Add Hardware Wizard -- Select a Drive Connection (CD-ROM)

Information not available in this release.


Add Hardware Wizard -- Select a Device Node

Information not available in this release.


Add Hardware Wizard -- Select a Physical Disk

Information not available in this release.


Add Hardware Wizard -- Select an Existing Disk

Information not available in this release.


Add Hardware Wizard -- Specify the Disk File

Information not available in this release.


Add Hardware Wizard -- Select a Disk Mode

Information not available in this release.


Add Hardware Wizard -- Configure Partition Access

Information not available in this release.


Add Hardware Wizard -- Specify Disk Capacity

Information not available in this release.


Add Hardware Wizard -- Select a Disk

Information not available in this release.


Add Hardware Wizard -- Choose a Physical Floppy Drive

Information not available in this release.


Add Hardware Wizard -- Choose a Floppy Image

Information not available in this release.


Add Hardware Wizard -- Choose the Floppy Media Type

Information not available in this release.


Add Hardware Wizard -- Choose a SCSI Device

Information not available in this release.


Add Hardware Wizard -- Network Type

Information not available in this release.


Add Hardware Wizard -- Parallel Port

Information not available in this release.


Add Hardware Wizard -- Serial Port

Information not available in this release.


Add Hardware Wizard -- Sound

Information not available in this release.


Add Hardware Wizard -- Selecting the Type of Hardware to Add

Information not available in this release.


New Virtual Machine Wizard -- Select a Guest Operating System

Information not available in this release.


New Virtual Machine Wizard -- Memory for the Virtual Machine

Information not available in this release.


New Virtual Machine Wizard -- Select a Network Connection

Information not available in this release.


New Virtual Machine Wizard -- Select a VMware Guest OS Kit

Information not available in this release.


New Virtual Machine Wizard -- Select a Configuration

Information not available in this release.


New Virtual Machine Wizard -- Name the Virtual Machine

Information not available in this release.


Configuration Wizard

The Configuration Wizard steps through the process of configuring a virtual machine. In most cases, the Configuration Wizard provides appropriate default settings for a virtual machine.

While the Configuration Wizard is the easiest way to define a new virtual machine, the Configuration Editor must be used to modify an existing configuration.

The configuration settings for a virtual machine are stored in a configuration file (.vmx) . By default the wizard creates a configuration file and other data files, such as a virtual disk file (.vmdk) and a BIOS NVRAM file, in a common directory. The wizard configures the location in which these files are stored.

See also

  • Configuration Editor


Configuring a CD-ROM

CD-ROM Device

This panel is used to configure a CD-ROM drive for the virtual machine.

The Configuration Wizard will determine if you have a CD-ROM, CD-RW, CD-R, or DVD-ROM configured on your host machine. Under certain circumstances this device might not always be available to the virtual machine. If this is the case, uncheck the Start with CD-ROM connected box. This prevents the virtual machine from trying to access the CD-ROM at power on. If the device becomes available later, it can be connected from the Devices menu.

Only one CD-ROM drive can be configured using the Configuration Wizard. If necessary, the Configuration Editor can be used to add CD-ROM drives later.


Confirmation

The Configuration Wizard is ready to finish setting up your virtual machine. No virtual machines files have been created yet. That is, the configuration file (.vmx) , virtual disk file (.vmdk) or raw disk definition files (.raw), BIOS NVRAM file (nvram), and log file (.log) have not been created on your host file system. Review the configuration information displayed in this panel. It is still possible to click the Back button to change any selections that were made. Click the Finish button to let the Wizard complete the configuration. After the Configuration Wizard exits, select Power > Power On to power on the virtual machine or Settings > Configuration Editor to fine tune the configuration of the virtual machine.

Use the Configuration Editor if you wish to add devices not mentioned by the Configuration Wizard, such as serial and parallel ports or the sound device.

The VMware Support Web site has the most up-to-date technical information on VMware Workstation.


Virtual Disk

The wizard will create a persistent virtual disk. A new operating system can be installed onto the virtual disk file without the need to repartition a physical disk or even reboot the host system. The maximum virtual disk size is currently limited to 2 gigabytes. A smaller virtual disk size can be specified in this panel. The initial size of the virtual disk will be only a few kilobytes and will grow dynamically as needed up to the size specified. This occurs transparently to the guest operating system, which will always believe that the virtual disk size is actually the full size specified.

You cannot change the maximum virtual disk size once a virtual disk has been created. The actual maximum space available to the guest operating system inside the virtual disk may be very slightly smaller than the amount specified.

Once the Configuration Wizard is finished, the Configuration Editor can be used to change the disk mode to undoable or nonpersistent.

A virtual disk is a file on the host file system that contains all data stored in the virtual IDE or SCSI drive visible to the guest operating system. A virtual disk can be created on any type of disk (IDE, SCSI, etc.) and any type of file system (E2FS, FAT, FAT32, NTFS, etc.) supported by the host operating system. The virtual disk can also be created on a removable disk drive or placed on a network file server. The Configuration Wizard will place the virtual disk in the virtual machine directory specified earlier. The location can be changed by clicking the Back button and returning to the Virtual Machine Directory panel.


Disk Partition Specification

Existing IDE drives on the host computer can be used as virtual machine disk drives. If an existing partition is empty, an operating system can be installed in the partition. If the host is a dual-boot or multi-boot system, then bootable partitions on the host computer can also be booted within the virtual machine. VMware Workstation does not support using existing disk partitions on RAID or network disk drives. Use of existing disk partition on SCSI disk drives is experimental at this time. Technical notes on the VMware Web site provide additional information about using existing disk partitions.

It is generally not possible or advisable to run the host operating system again inside the virtual machine. Doing so may cause the host system to crash and possibly cause disk corruption if two operating systems attempt to use the same disk partitions concurrently.

Disk Partition Hiding

When configuring an existing disk partition, you are given the option of enabling disk partition hiding. The disk partition hiding option is useful if you are running multiple operating systems at the same time and you are not running an advanced boot manager, such as PowerQuest's BootMagic or V Communications' System Commander. For example, if you are running Windows NT from a FAT partition, and you boot Windows 98 from another partition, Windows 98 will see the partition that Windows NT is running from and will attempt to repair that file system. This may damage your disk and/or cause your computer to crash.

Some advanced boot managers solve this problem by changing the partition type of all the partitions not needed by the operating system being booted to an "unknown" type. If you are not using an advanced boot manager, then selecting Disk Partition Hiding will do the same thing.

When this option is enabled, only the partitions for which the virtual machine has read/write access are visible to the guest operating system. The other partitions are changed to "unknown" type. In addition, all writes to the master boot record (MBR), where this information is recorded, are intercepted. This allows multiple operating systems to run on the same disk, but with different views of the same partitions.

With disk partition hiding enabled, an advanced boot manager program run inside a virtual machine will not function properly. If you wish to use an advanced boot manager program or install a new boot manager from within a virtual machine, the Disk Partition Hiding option should be turned off.

Four IDE Virtual Device Limit

A virtual machine can have at most four virtual IDE disk devices. If a host system has four disk drives, then configuring all four disk drives in the virtual machine will not leave space for a virtual IDE CD-ROM drive. Even if the host computer has a SCSI CD-ROM, the drive should be configured inside the virtual machine as an IDE device. If you have configured four IDE disks in a single virtual machine, you will be warned at the end of the disk configuration panels that you will not have room for a CD-ROM drive. At that point, you can either continue to configure your virtual machine without a CD-ROM, or you can use the Back button to return to the previous screens and remove one or more of the configured hard drives.

The Configuration Wizard always requires that the first IDE disk drive found be configured as virtual IDE drive 0:0


Disk Type

Use this panel to select whether the virtual machine will use a virtual disk or an existing (raw) disk partition. Virtual disks are simpler to set up and use. Using an existing disk partition is recommended for advanced users only. VMware recommends that new users gain experience with the product by initially installing a guest operating system on a virtual disk. However, be aware that it is not possible to convert a virtual disk to a raw disk or vice versa.

For advanced users: Select the Existing Disk Partition option if the host computer is a dual-boot or multi-boot system with another operating system installed on an IDE or SCSI disk partition. The Existing Disk Partition option can also be used to configure a virtual machine where an operating system will be installed later onto an existing IDE or SCSI disk partition. VMware Workstation can work with existing disk partitions only on IDE and SCSI disk drives. RAID and network drives are not supported.

Note: The VMware Workstation product, documentation, and Web site use the terminology existing disk partition and raw disk interchangeably.


Configuring Floppy Device

Floppy Device

This panel is used to configure a floppy drive for the virtual machine.

A floppy drive can be used only by the host operating system or by one guest operating system at a time. Access to a floppy drive can be enabled and disabled while a virtual machine is running by using the Devices menu.

Many laptop computers have removable floppy disk drives. The Configuration Wizard can configure a floppy drive for the virtual machine even if the floppy drive is physically detached from the computer. If the floppy drive is likely to be physically detached from the computer, then uncheck the Start with floppy connected box. This prevents the virtual machine from trying to access the floppy device at power on. A floppy drive can be attached to or detached from a running virtual machine by using the Devices menu.

Only one floppy drive can be configured using the Configuration Wizard. If necessary, the Configuration Editor can be used to add floppy drives later.


Networking Setting

This panel configures the type of networking that the virtual machine will use.

No Networking.

Information not available in this release.

See also Common Networking Configurations and Networking on the VMware Web site.


Guest Operating System

Use the drop-down list box on this panel to choose the guest operating system that will run in the virtual machine. If you are planning to use more than one virtual machine, you can run the Configuration Wizard again later to create additional virtual machines.

The set of guest operating systems in the drop-down list box are those supported by VMware Workstation. Select the operating system from this list that is closest to the operating system you are going to install in the virtual machine. The operating system choice is used to name the virtual machine and to select the amount of memory with which to configure the virtual machine. Later, the Configuration Editor can be used to change the selected guest operating system and the amount of memory allocated to the virtual machine.

Guest operating systems that are not listed in the drop-down list box may also run but may not be officially supported by VMware Workstation. If you choose to install an unsupported guest operating system, choose the Other option. Consult our Web site for the most recent list of supported and unsupported guest operating systems.


Virtual Machine Directory

This panel allows you to designate a directory for your virtual machine. The default virtual machine directory is C:\Documents and Settings\username\My Documents\My Virtual Machines\vmname.

The Configuration Wizard puts all files associated with a virtual machine in this directory. Virtual machine files include

  • the virtual machine configuration file (.vmx)
  • the virtual disk file (.vmdk) or raw disk definition files (.raw).
  • the BIOS NVRAM file
  • the virtual machine log file (.log)
Each virtual machine should reside in a separate directory.

Some of the reasons you may want to use a different directory include lack of space on the default drive or the need to place the virtual machine directory on a file server or on a removable disk.

Virtual disks can grow up to a maximum of 4 gigabytes in size, but they start small and do not always consume the maximum space allowed. Therefore, it is not necessary to have 4 gigabytes of free space on your drive. It is possible to move the virtual disk file to a different host drive at a later time. If that is done, the path to the virtual disk file must be modified using the Configuration Editor.

If you want to limit the maximum size of a new virtual disk to less than the 4 gigabyte default, enter the maximum size in the Configuration Wizard's virtual disk panel.

  • The size of the disk is indicated in gigabytes; the 4 gigabyte default is shown as 4.0.
  • To create a virtual disk that is smaller than 1 gigabyte or not precisely sized in gigabytes, use fractions. For example, enter .1 to create a 100 megabyte virtual disk, or 2.2 to create a 2.2 gigabyte virtual disk.

Once a virtual disk is created, the maximum size cannot be changed.


Error Messages

Information will be provided in a later release.


Frequently Asked Questions

  • If a virtual machine crashes, will the entire PC (and other running virtual machines) also crash?
  • What are VMware products' software compatibility?
  • What are VMware products' system requirements?
  • What features are new with VMware Workstation 3.0?
  • What is included in VMware Tools?
  • What network protocols are supported?
  • How are network protocols assigned to virtual machines with regards to the host system?
  • What types of networking is supported in VMware pdocucts?
  • How are IP addresses handled for virtual machines versus the host system?
  • If the underlying PC hardware changes, do the operating systems running in virtual machines need to be reconfigured?
  • How can I run a virtual machine if there is very little free space on my local hard drive?
  • What if I trash a virtual machine during a session? Do I have to rebuild it?
  • What is virtual networking and how is it different from traditional networking?
  • How much RAM is required to run VMware Workstation?
  • What is the limit of memory that can be used by a virtual machine?
  • What performance can I expect from different hardware configurations?
  • What drivers are needed for network emulation?
  • How can I install a guest operating system if I only have an upgrade version of the operating system?
  • How do changes to BIOS and SVGA affect virtual machines?
  • Why can't I send CTRL-ALT-DEL only to the virtual machine?
  • Can I run a virtual machine inside another virtual machine?
  • Can I run a virtual machine over a network?

If a virtual machine crashes, will the entire PC (and other running virtual machines) also crash?

No. Each operating system runs in an isolated virtual machine window. Errors within an operating system or applications running in a virtual machine do not affect other virtual machines or the PC on which they are running. This is because VMware products have built-in error-protection and isolation capabilities for reliably running multiple virtual machines at the same time. For example, the host operating system is not affected by the operating system and applications that run inside the virtual machine. Furthermore, if an error occurs with the software running inside a virtual machine, the problem will be isolated to that particular virtual machine (the host and other virtual machines running on the host will not be affected).

Back to top

What are VMware products' software compatibility?

VMware virtual machines are compatible with thousands of software packages -- applications whose minimum software requirements meet the virtual machine specifications. For example, the following popular applications can run inside a VMware virtual machine:

  • Microsoft Office
  • Adobe Photoshop
  • Apache Web Server
  • Microsoft Visual Studio
  • Kernel debuggers
  • Firewalls
  • VPN software

Back to top

What are the system requirements for running VMware Workstation?

You can find a list of VMware Workstation system requirements by clicking here.

Refer to these addresses on the VMware website for more information about system requirements:

  • Windows systems -- http://www.vmware.com/products/desktop/ws_specs_win.html

  • Linux systems -- http://www.vmware.com/support/ws2/doc/sysreqs_ws_linux.html

Back to top

What features are new with VMware Workstation 3.0?

You'll find performance improvements throughout VMware Workstation in this release. Some of them - smoother mouse movement, for example - are obvious. Others operate behind the scenes to make more efficient use of the resources of your host machine and speed the performance of your virtual machines. There are many other new and improved features in this release. Here are some highlights.

Get a Better View of Your Virtual Machines

If you're running VMware Workstation on a Windows host, you'll notice some changes right away. The updated user interface provides better wizards for creating new virtual machines and adding devices to virtual machines, gives you more information about the state of your virtual machines and makes it easier to adjust configurations to suit your needs.

Use the Latest Microsoft Operating Systems

There's better support for Windows Me as guest operating system. And Windows XP is supported as both a guest and a host.

Connect to USB Devices

If your host and guest operating systems support USB, you can now connect USB devices to your virtual machine. Keep in mind that Windows NT and Windows 95 do not support USB. Linux support for USB is common only in kernels 2.2.18 and higher, though some distributions provided USB support on earlier kernels.

Create Big Virtual Disks

You can now create virtual disks as large as 128GB (virtual IDE hard disks) and 256GB (virtual SCSI hard disks). You can set up one large disk when you create a new virtual machine with the New Virtual Machine Wizard and add more large disks later, using the Configuration Editor.

Note: These new virtual disks use a new format and cannot be used under Workstation 2.0.

Connect to CD-ROM Image Files

You can now connect a virtual CD-ROM drive to either a physical drive or an ISO image file using the Configuration Editor.

Connect Directly to SCSI Devices

If you want to use a SCSI device that is not supported directly in the virtual machine - a scanner or tape drive, for example - you can now connect to it using the Generic SCSI device in the Configuration Editor.

Install VMware Tools More Easily

The VMware Tools package, essential for good performance in a guest operating system, has a number of improvements. It's simpler to install VMware Tools after you install your guest operating system. And the new version of VMware Tools provides an improved SVGA driver.

Use Your Notebook Docked and Undocked

Support for multiple networking configurations is improved, making it easier for you to use a virtual machine on a notebook host that is sometimes used in a docking station and sometimes used stand-alone.

Use Networking on SMP Hosts

Networking on SMP hosts is more robust than in previous versions of VMware Workstation.

Back to top

What is included in VMware Tools?

VMware Tools is a supplemental software suite that includes two components:

  • A graphics driver that is optimized for the Workstation virtual graphics card. For Linux guest operating systems, this consists of VMware's version of the Xfree86 X server.
  • A small background application that allows you to change configuration settings within the virtual machine. Workstation controls the cursor settings (such as how smoothly the mouse moves between the virtual machine and host graphical user interface) and the connection state of removable devices, such as floppy and CD-ROM drives. This application also enables you to copy and paste between virtual machines and the host, and from one virtual machine to another.

VMware Tools is included with VMware Workstation.

Back to top

What network protocols are supported?

Each virtual machine has a unique Media Access Control (MAC) address, a hardware address that uniquely identifies each node of a network. Hence all network protocols are supported, including: Internet Protocol (IP), Internetwork Packet Exchange (IPX), NetBios Enhanced User Interface (NetBeui), and so on.

Back to top

How are network protocols assigned to virtual machines with regards to the host system?

Each virtual machine's guest operating system is configured for any network protocol -- regardless of the protocol used by the host system.

Back to top

What types of networking are supported by VMware Workstation?

VMware Workstation supports three types of networking:

  • Network Address Translation. A type of network connection between a virtual machine and other virtual machines that does not include the host.
  • Bridged networking. A type of network connection between a virtual machine and the rest of the world. Under bridged networking, a virtual machine appears as an additional computer on the same physical Ethernet network as the host. More technically, the virtual machine connects directly to the Ethernet via an Ethernet network adapter card in your computer.
  • Host-only networking. A type of network connection between a virtual machine and the host. Under host-only networking, a virtual machine is connected to the host on a virtual private network, which normally is not visible outside the host. Multiple virtual machines configured with host-only networking on the same host are on the same network. This type of networking is useful if you do not want to connect to a remote network, if you want to use the host as a gateway to a remote network, or if you must do so because the remote network is not Ethernet.

>>More information on networking with VMware Workstation

Back to top

How are IP addresses handled for virtual machines versus the host system?

Each virtual machine has its own unique IP address -- the IP address of the host is not shared nor spoofed.

Back to top

If the underlying PC hardware changes, do the operating systems running in virtual machines need to be reconfigured?

No.

Back to top

How can I run a virtual machine if there is very little free space on my local hard drive?

You can run a virtual machine that is stored on a shared network server. VMware Workstation can access virtual disks stored remotely on a file server. To enable this access, you must set up host-only or bridged networking for the virtual machine.

Back to top

What if I trash a virtual machine during a session? Do I have to rebuild it?

No. Simply choose to restore the original session settings and all changes made to the virtual machine during the session will be discarded.

Back to top

What is virtual networking and how is it different from traditional networking?

Virtual networking allows Web-based, client/server, and peer-to-peer applications to run in multiple virtual machines -- on one standalone computer.

>>More about networking in virtual machines

Back to top

How much RAM is required to run VMware Workstation?

You need enough memory to run the host operating system and its applications, plus enough memory to run each virtual machine's guest operating system and applications. VMware recommends 128MB, with a minimum of 96MB.

Back to top

What is the limit of memory that can be used by a virtual machine?

50% of the available memory on the host. However, this limit can be expanded by disabling memory limits.

Back to top

What performance can I expect from different hardware configurations?

More information will be provided in a later release.

Back to top

What drivers are needed for network emulation?

More information will be provided in a later release.

Back to top

How can I install a guest operating system if I only have an upgrade version of the operating system?

You cannot install an upgrade version of an operating system in a virtual machine. You must have a full version of the operating system.

Back to top

How do changes to BIOS and SVGA affect virtual machines?

More information will be provided in a future release.

Back to top

Why can't I send CTRL-ALT-DEL only to the virtual machine?

It is not possible to mask the CTRL-ALT-DEL event from the host operating system. Typing CTRL-ALT-DEL into a virtual machine will result in both the host operating system and the virtual machine receiving the CTRL-ALT-DEL. Workstation supports using CTRL-ALT-INSERT when inside a virtual machine and Workstation translates that into CTRL-ALT-DEL for the virtual machine.

Back to top

Can I run a virtual machine inside another virtual machine?

A virtual machine cannot be run within a virtual machine. VMware recommends that you do not attempt this procedure. Attempts to run a virtual machine within a virtual machine may hang your system.

Back to top

Can I run Workstation over a network?

Yes, Workstation runs over a network. This, however, can have a substantial performance impact.


Technical Support Resources

More information to be provided in a future release.


Glossary

Bridged networking

A type of network connection between a virtual machine and the rest of the world. Under bridged networking, a virtual machine appears as an additional computer on the same physical Ethernet network as the host.
See also Host-only Networking.

Configuration

See Virtual machine configuration.

Configuration Editor

A point-and-click editor to view and modify the configuration of a virtual machine. It may be launched from the Settings menu.
See also New Virtual Machine Wizard.

Custom networking

Any type of network connection between virtual machines and the host that is not bridged or host-only networking. For instance, different virtual machines can be connected to the host by separate networks, or connected to each other and not to the host. Any network topology is possible.

Disk mode

A property of a virtual disk that defines its external behavior but is completely invisible to the guest operating system. There are three modes: persistent (changes to the disk are always preserved across sessions), nonpersistent (changes are never preserved), and undoable (changes are preserved at the user's discretion). Disk modes may be changed from the Configuration Editor. See also Disk Modes.

Existing partition

A partition on a real disk in the host machine.
See also Raw disk.

Guest operating system

An operating systems that runs inside a virtual machine.
See also Host operating system.

Host-only networking

A type of network connection between a virtual machine and the host. Under host-only networking, a virtual machine is connected to the host on a private network, which normally is not visible outside the host. Multiple virtual machines configured with host-only networking on the same host are on the same network.
See also Bridged networking and Custom networking.

Host machine

A real, physical computer (as opposed to a Virtual machine).

Host operating system

An operating system that runs on the host machine.
See also Guest operating system.

New Virtual Machine Wizard

A point-and-click interface for convenient, easy creation of a virtual machine configuration. It is launched automatically when VMware Workstation is started without specifying a configuration file. It can also be launched from the VMware Workstation File menu. It prompts the user for information, suggesting default values in most cases. At the end it creates files that define the virtual machine, including a virtual machine configuration file and (optionally) a virtual disk or raw disk file.
See also Configuration Editor.

Nonpersistent disk mode

All disk writes issued by software running inside a virtual machine with a nonpersistent disk appear to be written to disk, but are in fact discarded after the session is powered down. As a result, a Virtual disk or Raw disk in nonpersistent mode is not modified by VMware Workstation.
See also Disk Modes.

Persistent disk mode

All disk writes issued by software running inside a virtual machine are immediately and permanently written to a persistent virtual disk. As a result, a Virtual disk or Raw disk in persistent mode behaves like a conventional disk drive on a real computer.
See also Disk Modes.

Raw disk

A hard disk in a virtual machine that is mapped to a physical disk drive in the host machine. A virtual machine's disk can be stored as a file on the host file system (see Virtual disk) or on a local IDE raw disk device. When a virtual machine is configured to use a raw disk, VMware Workstation directly accesses the local disk/partition as a raw device (not as a file on a file system). It is possible to boot a previously installed operating system on an existing partition within a virtual machine environment. The only limitation is that the existing partition must reside on a local IDE or SCSI drive.
See also Safe raw disk file, Virtual disk.

Safe raw disk file

A file containing access privilege information that controls a virtual machine's read/write access to partitions on a raw disk. Proper use of this file prevents dual-boot users from accidentally trying to run the host operating system again as a guest or from another guest operating system that the virtual machine was not configured for. Safe raw disk files can also prevent accidental writes to raw disk partitions from badly behaved operating systems or applications. Safe raw disk files can be created by the Configuration Wizard or the Configuration Editor.
See also Raw Disks (VMware Web site).

Undoable disk mode

All writes to an undoable disk issued by software running inside the virtual machines appear to be written to the disk, but are in fact stored in a temporary file (.REDO) on the host file system for the duration of the session. When the virtual machine is powered down, the user is given three choices: (1) permanently apply all changes to the disk; (2) discard the changes, thus restoring the disk to its previous state; or (3) keep the changes, so that further changes from future sessions can be added to the log.
See also Disk Modes.

Virtual disk

A virtual disk is a file on the host file system that appears as a physical disk drive to a guest operating system. This file can be on the host machine as well as on a remote file system. When you configure a virtual machine with a virtual disk, you can install a new operating system onto the disk file without the need to repartition a physical disk or reboot the host. VMware Workstation virtual disk devices can also be mapped to partitions on the host machine
See also Raw disk.

Virtual machine

A virtualized x86 PC environment on which a guest operating system and associated application software can run. Multiple virtual machines can operate on the same host machine concurrently.

Virtual machine configuration

The specification of what virtual devices (disks, memory size, etc.) are present in a virtual machine, and how they are mapped to host files and devices.

Virtual machine configuration file

A file containing a virtual machine configuration. It is created by the Configuration Wizard or the Configuration Editor. It is used by VMware Workstation to identify and run a specific virtual machine.


VMware Workstation Help

  • Introduction
  • How do I
    • Create a virtual machine with the Configuration Wizard?
    • Configure a virtual machine?
    • Start a virtual machine?
    • Size the window for an application within the virtual machine?
    • Install a guest operating system into a virtual machine?
    • Run specific applications in a virtual machine?
    • Install VMware Tools?
    • Switch between virtual machines and the host operating system?
    • Configure VMware Workstation on a host machine?
    • Enable virtual network access from a virtual machine?
    • Migrate a virtual machine?
    • Share and reuse a virtual machine between computers and users?
    • Move files with virtual machines?
    • Enable devices using the Configuration Editor?
    • Print from a virtual machine?
    • Change the state of a virtual machine?
    • Improve performance?
    • Use laptops with virtual machines?
    • Ping the virtual machine?
    • Grab keyboard and mouse input?
    • Use Hot-Key sequences?
    • Balance memory requirements of the host and its virtual machines?
    • Disable memory limits?
  • FAQs
  • Error Messages
  • Glossary
  • Migrating VMware Workstation


Powering on a virtual machine

To power on a an existing virtual machine:

  1. In Workstation, select a virtual machine to power on by clicking on one of the Virtual Machine Names in the list of virtual machines.
  2. Click the Power On button (or select Power > Power On).

    Related Topics:

    • Changing the state of a virtual machine
    • Configuring the automation properties of a virtual machine